Ubuntu

laptop overheats and suddenly shuts down/off

Reported by Igor Starikov on 2009-05-01
532
This bug affects 84 people
Affects Status Importance Assigned to Milestone
Linux
Expired
Medium
acpi
New
Undecided
Unassigned
acpid
New
Undecided
Unassigned
cpufreqd
New
Undecided
Unassigned
lm-sensors
New
Undecided
Unassigned
acpi (Debian)
New
Undecided
Unassigned
linux (Ubuntu)
High
Unassigned
Nominated for Dapper by Andreas Summerauer
Nominated for Hardy by Andreas Summerauer
Nominated for Intrepid by Andreas Summerauer
Nominated for Jaunty by ana
Nominated for Karmic by Andreas Summerauer
Nominated for Lucid by Andreas Summerauer
Nominated for Maverick by Abdelrahman

Bug Description

Ubuntu 9.04, fresh install on Acer Aspire 5005 / Toshiba Satellite.
(confirmed also with 9.10 and 10.04)

Not sure about package, but it seems the problem is:
  * with CPU frequency adjustment,
  * fan control,
  * thermal sensors,
  * control of cooling itself.

Laptop shuts down right in the middle of CPU-greedy operation overheated. I haven't seen it before (since 7.10).
The issue is discussed at several forums (eg. http://ubuntuforums.org/showthread.php?p=7399158 )

     *-cpu
          product: AMD Turion(tm) 64 Mobile Technology ML-37
          vendor: Advanced Micro Devices [AMD]
          physical id: 1
          bus info: cpu@0
          version: 15.4.2
          size: 2GHz
          capacity: 2GHz
          width: 64 bits
          capabilities: fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 syscall nx mmxext fxsr_opt x86-64 3dnowext 3dnow up pni lahf_lm cpufreq

also: AMD Turion Ultra 64 X2 RM-80 @ 2.1 GHz, AMD Turion 64 X2 TL-60, Intel(R) Celeron(R) CPU 540 @ 1.86GHz

-----
Replication:

You can try:
# sudo apt-get install stress
# stress --cpu 16 --vm 2 --vm-bytes 128M

But it may be the graphics card (gpu), connected to the same heat sink as the cpu, that causes the shutdown. And the gpu will only overheat when cpu is not getting very stressed/hot and thus the fan is not running fast enough to keep the gpu from overheating.

It may also be reproducable by installing the ubunu alternate CD into virtualbox (without guest additions).

-----
Workarounds:

Hint 1: Make sure the heatsink/vent system is not dusty. (Do clean it with pressured air/vacuum at own risk.)
Hint 2: Using your laptop standing on its side or front edge (even if opened), i.e. when it is connected to external monitor etc., can change the heat flow and make parts like the gpu overheat which won't get so hot in normal orientation.

In some cases using some additional kernel modules (or other cpu throttling packages) seem to work around the problem.

Comment #308 points out how with ati graphics cards supported by the fglrx driver you can disable its acpi functions as a workaround. Bug #488152 and Bug #570589 deal with the many ATI cards that overheat.

An example /etc/X11/xorg.conf to keep the gpu cooler in general is the following:

        Section "Screen"
   Identifier "Configured Screen Device"
       Device "Configured Video Device"
        EndSection

        Section "Device"
   Identifier "Configured Video Device"
   Option "ClockGating" "true"
   Option "DynamicPM" "true"
   Option "DynamicClocks" "on"
        EndSection

Comment #327 points to the "server" edition which does not use acpi and does not suffer from this bug.

Comment #328 hinted that adding the "acpi.power_nocheck=1" AND "acpi_osi=linux" boot options can help, if your (updated) BIOS supports it. (Making nocheck=1 the default was proposed https://patchwork.kernel.org/patch/23156/ but it is not upstream as of april 2010.)

---

If your fan does not start at all, but in emergency overheating conditions, you may be seeing an (source code wise) unrelated issue/bug, that can be worked around however by the same acpi.power_nocheck=1 boot option as well, though. (Or by staying 10 seconds or so in the grub boot menu until the fan starts controlled by the bios can help.)

Igor Starikov (idlesign) on 2009-05-01
tags: added: laptop
Simon Castillo (simoncastillo) wrote :

I can confirm this issue in a Sony Vaio VGN-NS150J.

Also, battery time has been considerably reduced from Ubuntu 8.10. Powertop output:

Top causes for wakeups:
  96.1% (43222.2) <interrupt> : extra timer interrupt
   2.0% (887.4) pidgin : hrtimer_start_range_ns (hrtimer_wakeup)
   0.6% (286.6) firefox : hrtimer_start_range_ns (hrtimer_wakeup)
   0.5% (229.4) <kernel core> : hrtimer_start_range_ns (tick_sched_timer)
   0.3% (115.8) amarok : hrtimer_start_range_ns (hrtimer_wakeup)
   0.2% ( 98.6) <interrupt> : HDA Intel
   0.0% ( 21.6) gnome-panel : hrtimer_start_range_ns (hrtimer_wakeup)
   0.0% ( 21.0) skype : hrtimer_start_range_ns (hrtimer_wakeup)
   0.0% ( 20.0) <interrupt> : ahci
   0.0% ( 15.2) <interrupt> : iwlagn
   0.0% ( 10.0) async/0 : timer_action (ehci_watchdog)
   0.0% ( 5.6) python : schedule_timeout_uninterruptible (process_timeout)
   0.0% ( 5.4) <interrupt> : i915@pci:0000:00:02.0
   0.0% ( 4.2) VBoxSVC : hrtimer_start_range_ns (hrtimer_wakeup)
   0.0% ( 3.6) <interrupt> : acpi
   0.0% ( 2.4) <kernel core> : hrtimer_start (tick_sched_timer)

Bitrot (yoyo42) wrote :

I have seen this behaviour for the first time today. I've had Jaunty running for a couple of weeks on my Compaq Armada M700 (PIII-800). Today I installed the latest batch of updates (I usually update whenever it tells me, so it should only be the last day or so's worth of updates) and then noticed that after gentle web browsing (not even video clips/flash) the laptop was insanely hot and the fan wasn't running.

I also had constant notification popups saying something about not being able to read 'sensor CPU C19A' from /proc/cpu/therm...(? from memory).

When it's cooled down I'll try it again and add more detail.

Is there any way to find out what updates have just been installed in the latest batch?

If I hadn't spotted it this could have been nasty for the laptop, or for any heat-damageable furniture it was sat on.

Bitrot (yoyo42) wrote :

OK, after a cool down and reboot:

It was /proc/acpi/thermal_zone/C19A/<something> it was popping up and complaining about. After the reboot it hasn't been warning me. It also seems to be running cooler, and I've felt the fan running.as well.

I guess the update left it in an odd state.

I've now tested it with cpuburn (actually burnMMX) and it went up to 78C with the fan going full belt, then cooled immediately when I stopped burnMMX. It felt *a lot* hotter when it overheated than it did after running at 78C for a few minutes...

I've attached syslog for the time from when I did the update (19:10) to when I manually shut it down as it overheated (19:30) then the next boot (19:58) to now. Some interesting messages in there.

If you need any other files let me know.

Igor Starikov (idlesign) on 2009-05-11
affects: ubuntu → linux (Ubuntu)
Changed in linux (Ubuntu):
assignee: nobody → Ubuntu Kernel ACPI Team (ubuntu-kernel-acpi)
status: New → Confirmed
J_Wesker (wesker-report2) wrote :

I had this issue last week when I installed Ubuntu 9.04, on my Gateway laptop. My specifications are:

Gateway T-1625
AMD Turio 64 X2 TL-60
Ubuntu 9.04 Jaunty Jackalope 32 bits

But I followed this thread http://ubuntuforums.org/showthread.php?t=597998 and at least my laptop doesn't suddenly shutdown anymore, it's hot sometimes anyway, but now, I'm constantly monitoring the activity of the CPU to prevent that from happening. I hope in the future we don't have to adjust this and look for help with everyone. I love Ubuntu but I will try others Linux distros that support better my laptop.

Hope this can help anyone who go through the same issue.

Marcos Jr (junalmeida) wrote :

I can confirm this issue on my hp tx2110us, using Jaunty 64.

When using some intensive app for a minute or two, processor temp goes over 90 Celsius. When using the same app on Intrepid 64, everything works fine.

David (david-skagersten) wrote :

My acer aspire 5315 runs at 80 celsius idle. After watching videos or using flash it shuts down giving an overheated promt. Having a dualboot with intrepid, hardy and vista, but I only encounter this problem in jaunty.

William Woolrich (wwoolrich) wrote :

Acer Aspire One D150--Fresh install
Same issue

Maurizio (mauriziosilverii) wrote :

I have the same problem with Acer Aspire 5315. I installed Ubuntu 9.04.

yuruba (yuruba) wrote :

Same problem with MSI Megabook L715
AMD Turion 64 mobile ML-40
Ubuntu 9.04 Jaunty Jackalope 64 bits

Marcos Jr (junalmeida) wrote :

Just a comment: i've downgraded to intrepid 64 and it does not overheat anymore.

AMD Turion 64 X2 TL-62

ehuang (erichuang03) wrote :

same with lenovo x200s with jaunty

lavinog (lavinog) wrote :

My laptop has not reached a critical temp yet, but I can feel alot of heat coming from the keyboard when idle. This was not the case with hardy-32bit (Clean install of jaunty-32bit currently)
AMD Turion 64 ML-32
ATI 200m (currently using xorg-ati drivers, while in hardy I was using fgrlx, which is no longer available for my video card now)

CapnBoost (capnboost) wrote :

My HP dv1430us has done it about 4-5 times a day (acpi critical_trip_point) despite me altering the fan points, frequency stepping, etc. It did it this morning while I was reading text on a non-cpu intensive website. It also seems to have corrupted grub and made my entire installation useless, so I can't even post system logs.

I would like to note that this is *not* a hardware issue, I ran 8.10 for months without a hiccup.

Igor Starikov (idlesign) on 2009-06-02
Changed in linux (Ubuntu):
assignee: Ubuntu Kernel ACPI Team (ubuntu-kernel-acpi) → Ubuntu Laptop Team (ubuntu-laptop)
CharlieAshford (chezzo) wrote :

got this with a dell inspiron 640m, intel core solo processor with integrated graphics

abhiroopb (abhiroopb241088) wrote :

Having the same problem:

Could it be nVidia graphics card?

Specs: HP dv5242ea | Core Duo 1.60GHz | 2GB RAM | 320GB SATA | DVD-RAM Matshita UJ 840S | nVidia GeForce Go 7400 256mb | Intel PRO 3945ABG

ehuang (erichuang03) wrote :

i don't think its nVidia because my x200s has intel integrated

CylnZ (cylnzz) wrote :

Heat issues partially solved on 2 laptops both have Intel 965 chips

gateway 6860 fx w/ 9.04 64bit 2.6.28.12-generic

acer extensa 5620-6830 w/ 9.04 64bit 2.6.28.12-generic

both have custom DSDT files w/ 0,0,0 problems reported in iasl

both use acpi_osi="Linux" permanently added to /boot/grub/menu.list

both have been taken down to motherboard for cleaning and re-assembled

6860 video is nvidia 185.18.10

5620 video is integrated 965

Same slow fan issue on both systems, the fans NEVER STEP HIGHER THAN 66%

I can reboot the 6860 from JJ64 with sensors reading 78C on 8800m video with fan barely blowing boot into vista 64 ultmt where the fan immediately comes on and stays on for 5-6 minutes then slows down to JJ64 like speeds, I reboot into JJ64 and within 1/2 hour the temps are back up.

Keep in mind that ntune doesnt support fans on the 8800M so I cant change it in windows either but the fan does spin up to full speed and in JJ64 it never does.

The 5620 fans never seem to get above idle-33% ever for any reason (I just shut it down @ 65C. In my mind no hardware that isnt abused due to neglect or environment should see 75C ).

I'm happy to submit any info for either system that will be helpful.

lavinog (lavinog) wrote :

Like CylnZ said, my fan seems to not spin as fast as it used to.
I don't have a way to get actual numbers, but I can tell by the sound the fan makes that it doesn't reach its maximum speed now when at 100% cpu for a couple of mins.

pampistell (pampistell) wrote :

I can confirm on two different laptops:
After upgrading to jaunty 9.04 they both run overheat even when closed
Acer aspire 5630 with 2.6.28.11-generic | intel core duo 1.66GHz
Acer aspire 5730Z with 2.6.28.11-generic | intel core duo 2.16GHz
both are integrated video

This is definitely an os issue. Both were fine running on gutsy and intrpid.
Both do not overheat when I boot into windows.

David (david-skagersten) wrote :

I found a very clumsy workaround. Either I unplug the battery or the AC and the temperature stays around 55-65 celsius. So could this be a charging issue mainly?

Jaunty
Linux 2.6.28-11-generic
Intel(R) Celeron(R) CPU 540 @ 1.86GHz
ACER aspire 5315

CharleyS (charley-socci-com) wrote :

This is the same bug mentioned above (e13) - https://bugs.launchpad.net/ubuntu/+bug/361123

The issue is the fan speed. NOT that the processor is working at capacity (set to performance, etc). My Lenovo T61 frequently serves as a desktop replacement. Even with the cpu throttled it runs not. Overnight backups, or software like BOINC or even a flashy screen saver can all send the laptop into thermal shutdown. If I want to run my cpu at it's full speed, the laptop should be capable of that without overheating. Dumbing it down is not the answer.

Here is the workaround for Lenovo, which involves disengaging acpi control of the fan so that it runs at the correct speed. If you look at your fan speed, you will see that it is *slow* and that it gets *delayed* turning on when the cpu overheats. This is why the cpu overheats - the fan is too slow and does not turn on soon enough - at least in my case.

A person should be able to run cpu intensive applications overnight without causing their laptop to go into thermal shutdown!

 I found a work around, which is to let the fan run full speed all the time. (This can also be adjusted easily)

The laptop is now running at 44C as I surf and write this post, and goes to 94-95C under a cpu stress test but no higher.

1. you can monitor your fan speed from the thinkpad-acpi module: cat /proc/acpi/ibm/fan (check path under /proc for your laptop)

2. you can adjust the fan speed to stay on at full speed by executing the following command as root: echo level disengaged > /proc/acpi/ibm/fan

(you will need to uninstall any other fan control applications or scripts you may have tried, including tpfand)

One I did that, the fan kicked up to 4000+ rpm and stayed there. The CPU temp stays at 94C under full load and goes no higher. There are additional options, and scripts you can run if you wish to control the fan based on temperature and load.

With the fan running between 4000-5000 rpm cooling is not a problem.

When fan control is engaged in the thinkpad-acpi module, the fan spins *only* between 0 and about 3000 rpm and takes quite a while to kick in - usually too late

Note that I tested the same software on my wife's T61 running 8.04 and did *NOT* have any thermal issue. I have replicated my heat problem on the T61 using both the 64-bit and 32-bit kernels.

For more info, see the following: http://www.thinkwiki.org/wiki/How_to_control_fan_speed

abhiroopb (abhiroopb241088) wrote :

@CharleyS:

Your fix sounds encouraging, but are there any side-effects of leaving it on all the time like that?

Is there no way of using a different setting in Jaunty that controls the fan a bit better. I mean I had no such problem in Intrepid?

Igor Starikov (idlesign) wrote :

@e13:
Yeah, seems the same bug, but not only on Lenovo, so I marked #361123 as a duplicate, even though it was registered earlier.

@David:
This might be weird and subjective, but I've noticed that if the battery is unplugged temperature rises fast and high. With the battery laptop is more stable. Need to check and confirm that though.

Bitrot (yoyo42) wrote :

I think you may have something with the battery. After reporting this a while ago, my Compaq Armada M700 has not drastically over heated again - although it has been running 10 degrees or so hotter than it did with Gutsy-Intrepid (58 not 48 when idling).

Until last night. I usually run it plugged in, with the battery in place. I noticed the orange 'battery charge' light was on which is rare, then a few minutes later there was a 'pop' (I think just the speakers) and it froze. When I held it to turn it off it didn't respond to the keyboard, mouse or soft power button, and it was scorching hot.

After a hard reset, then a cool down, it's been fine again. No charging light.

Nathan Valentine (nrvale0) wrote :

Just to confuse things even more...

Since I created the original bug report I've not witnessed the behavior EXCEPT when I have the laptop plugged in w/ battery and connected to a 2nd monitor with Xinerma enabled. I have a feeling that, in that situation, the temperature increase is probably more due to the video card working extra hard for dual-monitor rather than any CPU freq scaling issues.

CharleyS (charley-socci-com) wrote :

Again - This is NOT a "cpu scaling" problem. Unless you are OVER clocking your cpu, you are running it at the speed it was DESIGNED to operate at.

The issue is cooling.

The FAN is not running fast enough, or often enough, or at the right time, to sufficiently cool the processor.

This is NOT a CPU "scaling" issue.

It is a heat issue caused by the fan control (ACPI).

CharleyS (charley-socci-com) wrote :

You also need to REPLICATE the issue with a CONTROL.

If you just "wait" for the bug to "happen" you will ge nowhere.

I can replicate the issue EVERY time by running stress.

sudo apt-get install stress

Then run it: stress --cpu 16 --vm 2 --vm-bytes 128M

Watch your laptop shutdown.

Marcos Jr (junalmeida) wrote :

I guess that it can be a cpu scaling problem, 'cause Jaunty always boot in PERFORMANCE governor, instead of the default ondemand.

CharleyS (charley-socci-com) wrote :

The bug is labled as an overheat and shutdown issue. Normal CPU's do not overheat when run at their designed speed. "Performance" does NOT mean "over clock". It simply means the cpu is running at it's highest (and least battery friendly) mode.

This should have nothing to do with an overheating problem.

The cpu is designed to run comfortably at it's rated speed so long as the cooling is adequate as designed.

No, it is NOT a cpu scaling problem. It is a head problem.

Booting in one mode or another is an entirely different issue. The laptop should NOT be overheating in ANY mode. Period.

Alex Cockell (alcockell) wrote :

I'm also affected; a Thinkpad R61i model 7650-range, preinstalled Ubuntu 8.04, currently running kernel 2.6.24-23, as had boot issues with -24.
(probably got the most recent ACPI patches for Hardy)
Fan running slowly - was cooking my laptop more.

I have had to buy a laptop cooler so I can safely use it.

PLEASE fix it for us on Hardy as well!

Igor Starikov (idlesign) wrote :

@CharleyS
I can successfully replicate the issue with three or four opened Flash pages in browser, or Skype with video. So no 'stress' need for me. Who could do the same?

@Alex Cockell
Hmm, we should somehow ascertain that in Hardy you have the same issue, because we experience this only since Jaunty. When your Hardy started to cook your laptop, Alex, — since the beginning or not so long ago?

Alex Cockell (alcockell) wrote :

@ Idle sign - since not so long ago. So it's definitely recent changes that came down.

Being a "regular user", I generally trust the release people to get it right - I am currently running the machine atop a cooler - which at least makes it usable.

Temperatures are still around what I quoted... but before I bought the machine - it would freeze up... or not boot due to heat during the last mini-heatwave...

Although I did notice it getting rather warm around the CPU fan outlet.. but I would have expected that to ramp the fan if it WAS getting warm...

When was the last batch of acpi patches released?

Alex Cockell (alcockell) wrote :

What was VERY scary was that the following lines started showing in my /var/log/messages...

May 30 22:32:21 ubuntu -- MARK --
May 30 22:52:21 ubuntu -- MARK --
May 30 23:10:05 ubuntu kernel: [531782.411921] thinkpad_acpi: unhandled HKEY event 0x6022
May 30 23:32:21 ubuntu -- MARK --
May 30 23:52:21 ubuntu -- MARK --

Jun 2 23:52:22 ubuntu -- MARK --
Jun 3 00:12:22 ubuntu -- MARK --
Jun 3 00:32:22 ubuntu -- MARK --
Jun 3 00:50:15 ubuntu kernel: [644574.555901] thinkpad_acpi: unhandled HKEY event 0x6022
Jun 3 01:06:48 ubuntu kernel: [645562.273688] thinkpad_acpi: unhandled HKEY event 0x6022
Jun 3 01:07:44 ubuntu exiting on signal 15

... and *didn't* shut down.

This happened a lot when the lappie overheated... I've got Linux Emporium investigating it as well (preinstalled machine from them).

Looks as though it's known about... http://marc.info/?l=git-commits-head&m=123213959414589&w=2

In both cases - the fan ought to kick in and run at close to max speed - it doesn't. Only speed up from, say 3003rpm to 3050 for a few seconds. I'd have expected to feel the fan really ramp up and run at abotu 4000-5000 or even max out (I think they're rated to approx 5500rpm for a long time ot get the temp right back down before slowing back down again. Hence the cooler...

I use this thing as a desktop replacement, so often run it without the battery on mains, and often all day.

Alex Cockell (alcockell) wrote :

From the above - possible leads - thinkpad_acpi.. needs to be released to ALL VERSIONS.

PLEASE!!!!!

abhiroopb (abhiroopb241088) wrote :

I have collated all the various posts into one ubuntuforums post...please help advice there...

http://ubuntuforums.org/showthread.php?p=7399158#post7399158

pampistell (pampistell) wrote :

This is NOT just a thinkpad issue. Both my laptops are overheating and they are not thinkpads. It happens every time, with battery or without. I don't even have to run any programs, just walk away from it and it gets so hot you can't touch it.

I have to work in windows until this is fixed #@$%
There are many who are affected by this bug. It should be marked as high importance.

Please, pretty please! with cherries on top

arsenix (arsenix) wrote :

   I also see this issue on my lenovo t61p. Hard for me to tell if it happens all the time or just occassionally. I will notice the keyboard burning up and realize that my temps are at 90C even though I am not doing anything processor intensive. No 3D (I don't use compiz or other compositing). Fan is sitting at a fairly low speed. When I switch the fans to manual unlocked mode the temps settle down to 58/69 (temp1 and temp2 respectively) which still seems pretty hot especially for max cooling.

   I think this might be a contributor to the periodic instabilities I see under Jaunty. I'll start paying more attention to the temps.

James

abhiroopb (abhiroopb241088) wrote :

The fan fix suggested sounds interesting...but there is nothing under the /proc/acpi/fan folder.

CharleyS (charley-socci-com) wrote :

@abhiropb -

On my Lenovo it is /proc/acpi/ibm/fan - using the ibm acpi module.

On your laptop it may be different. Look under /proc/acpi for something else. I thing there is a module called acer-acpi.

abhiroopb (abhiroopb241088) wrote :

I have the following under /proc/acpi:

Folders:
battery
embedded_controller
fan
processor
video
button
ac_adapter
powinfo
sleep
wakeuper_resource
thermal_zone

Files:
event
dsdt
fadt
info
sleep
wakeup

The folders and files are mostly empty (the fan directory is empty).

Also I'm using a HP laptop

TQ (tjgq) wrote :

I seem to be having this problem on a Toshiba Satellite A200 1 GB. The CPU heats up to 78C (in Windows it never gets past 70C) at max usage, then the laptop shuts down. Sometimes it even refuses to boot for several minutes after I shut it down (presumably until it cools down). I can confirm this began happening when I upgraded from intrepid to jaunty.

It can't be a dust problem because the laptop was cleaned less than a month ago. Also, it runs fine on Windows Vista at full load.

I should note that even setting the CPU scaling governor to powersave, the problem persists. This renders the machine pretty much unusable until the problem is fixed.

I'll be more than happy to provide you with more information if you request it.

Michal Pěnka (michal-penka) wrote :

I can confirm Jaunty's (incl. fresh install) overheating. My laptop is HP 6510b with Intel x3100 GPU, and Intel Core 2 Duo.

I suggest to mark this bug as CRITICAL because I can see my battery capacity lowered :( So this heat affects the hardware.

arsenix (arsenix) wrote :

    I believe one aspect of this "bug" may be related to the fact that my laptop has a single fan for both processor and GPU. My GPU seems to stay on its "high performance" mode most of the time, possibly because I have VirtualBox running, but I'm not exactly sure why this is.(in any case this is the nvidia driver's responsibility) My GPU runs VERY hot (92C as I write) and the fan does not seem to react to GPU temperature/load. None of the 10+ temperatures reported to acpi seem to correspond to the GPU temp reported by the nvidia tools.

    There is a lot of reporting in this thread but not much investigation. I think we first have to determine what mechanism is actually controlling the fans on these machines. If the kernel is controlling the fans, then it is a kernel bug. If in fact the machine BIOS's are controlling them... then this is in fact a hardware bug.(windows drivers may gloss over the hardware bug by overriding the BIOS fan control) I believe that on my Lenovo T61p the fan speeds are controlled by the hardware and not the kernel. Again it is possible that under windows this control is overridden.

James

CharleyS (charley-socci-com) wrote :

James - http://www.thinkwiki.org/wiki/How_to_control_fan_speed

I'm using a T61

I will repeat what I posted earlier, the Lenovo T61 fan is controlled by the thinkpad-acpi module. There is no question on this. It IS a kernel module. It is called thinkpad-acpi - in the following you will find a successful method to override control of the fan so you can choose the speed or disengage control completely (so it runs full speed). Also note that fan speed control and cpu controls are for power saving only. There is no issue with running your fan at full speed (some bios allow you to override this on ac power - HP does) - and there should be no issue running your cpu at its full speed either. You aren't "over clocking" anything. The only reason for controlling these things in this context is to save battery life. On AC I'm not worried about battery, so letting the fan run full speed is not an issue for me.

For more info, see the following: http://www.thinkwiki.org/wiki/How_to_control_fan_speed - this is specific to ThinkPads.

You can monitor your fan speed from the thinkpad-acpi module: cat /proc/acpi/ibm/fan (check path under /proc for your laptop)

You can adjust the fan speed to stay on at full speed by executing the following command as root: echo level disengaged > /proc/acpi/ibm/fan

(you will need to uninstall any other fan control applications or scripts you may have tried, including tpfand)

With the fan running between 4000-5000 rpm cooling is not a problem.

When fan control is engaged in the thinkpad-acpi module, the fan spins *only* between 0 and about 3000 rpm and takes quite a while to kick in - usually too late. With the control disengaged the fan runs at full speed. (but is not noisy)

For more info, see the following: http://www.thinkwiki.org/wiki/How_to_control_fan_speed

The issue is that the fan does not spin up soon enough or fast enough when the processor is running at full speed.

THAT is the bug.

CharleyS (charley-socci-com) wrote :

For the link challenged - how to work around your fan issue on a Lenovo running a late version kernel

Linux Kernel 2.6.22 and Above (ibm-acpi has been replaced by thinkpad-acpi)

To enable fan control, the module parameter fan_control=1 must be given to thinkpad-acpi. (find the thinkpad-acpi configuration file under /etc/modprobe.d)

Having done so, reboot and you can use the following commands to control fan speed:
NOTE!
Instead of rebooting reloading module is enough (rmmod thinkpad_acpi && modprobe thinkpad_acpi as root).

# echo level 0 > /proc/acpi/ibm/fan (fan off)

# echo level 2 > /proc/acpi/ibm/fan (low speed)

# echo level 4 > /proc/acpi/ibm/fan (medium speed)

# echo level 7 > /proc/acpi/ibm/fan (maximum speed)

# echo level auto > /proc/acpi/ibm/fan (automatic - default)

# echo level disengaged > /proc/acpi/ibm/fan (disengaged)

arsenix (arsenix) wrote :

The thinkpad-acpi module can <b>override</b> the fan speed, but when the mode is set to "auto" (the default) it is controlled by the hardware. This is documented in the thinkpad-acpi documentation. From the thinkpad-acpi documentation:
"Level "auto" means the EC changes the fan level according to some
internal algorithm, usually based on readings from the thermal sensors."

I have not checked the latest source but I assume this documentation is up to date.

I have been setting my fan to disengaged when I notice it is hot... but I don't consider this a fix.

James

CharleyS (charley-socci-com) wrote :

James -

Auto is *not* hardware controlled. When set to Auto, thinkpad-acpi is controlling the fan speed directly. When you set it to disengage, this means thinkpad-acpi is *disengaged* - which is the fan will run at full speed. Thinkpad-acpi's "algorithm" does not spin the fan up soon enough or fast enough. "Auto" means acpi is controlling the fan. At least on my T61 running the latest kernel and Jaunty. Perhaps you are reading documentation related to an older version or different kernel.

I have not been able to duplicate the overheating issue in any other version of Ubuntu, nor in Windows XP SP3.

Auto is the default setting and the one that causes the issue.

With the acpi module disengaged, my fan runs between 4000 and 5000 rpm. The laptop now idles at 45C. I can drive the cpu temp to the mid 90's by running cpu stress, but the temp does *not exceed* 95C. The high temp is only achieved when artificially stressing the cpu using the stress application.

arsenix (arsenix) wrote :

Charley -

I suggest you check the thinkpad-acpi source. I just did. There is NO automatic fan control in there. When you set "auto" it is simply setting the hardware to regulate the fans automatically. This is the default setting for thinkpad-acpi and the default setting when the machine turns on before any OS drivers come into play. The file is in git under drivers/platform/x86/thinkpad-acpi.c. The fan part isn't much code at all.

There is actually quite a bit of interesting stuff in the source. For one it says that the hardware controller will only set a maximum of fan level 6 and that 7 is only used for "thermal emergencies". Level 6 on my machine corresponds to ~3000rpm... which is basically where it sits all the time. This means the hardware controller is basically sitting at max cooling all the time. Is it possible that there is a windows driver that preemptively "disengages" the automatic control to kick up the fan during heavy GPU/CPU usage? Since the machine runs extremely hot and the automatic fan controller is at its max speed, I don't see any other way the machine would run cooler under similar loading.

Regardless of this though since nothing about the fan control has changed, if this is a truly new issue it must be related to changes in CPU or GPU power management.

James

CharleyS (charley-socci-com) wrote :

James,

I apologize as it appears you are *correct* about the embedded controller and firmware - could it be that the hardware is expecting some type of control from the OS? Could it be that the firmware was not designed to regulate the temperature independent of the OS (assuming the OS is also governing CPU speed, GPU, etc?)

However - disengaging the fan control (thus allowing the fan to run full speed) does "solve" heat the issue for me. I have experienced no thermal shutdowns and the laptop runs *much* cooler.

The top fan speed on the T61 is about 5000 rpm. If you monitor the fan speeds while running stress, you'll see that regardless, the fan never goes over much more than about 3000 rpm and frequently does not run at all!

Is it unreasonable to think that one ought to be able to let the laptop run in performance mode, on AC power, with an application running the cpu at or near 100% and not experience temps in excess of 100C? This is why I don't accept the CPU governance issue as this should only be a function of keeping the laptop quiet and extending battery life (or perhaps pleasing the more 'green minded' among us). Other than modifying the hardware or over-clocking the cpu or gpu beyond spec, it shouldn't be possible to overheat... Perhaps that assumption is not valid?

For the mean time, I'm experiencing normal temps with fan control disengaged. I'm happy with this solution for the time being, but I agree it would be great to know the real issue and have a fix.

You are correct on the auto mode leaving it up to the firmware. Hats off.

Cheers,

Charley

arsenix (arsenix) wrote :

  I did some testing under that other closed source operating system and I have decided that in my case at least I believe the thermal behavior is pretty much the same. I think my issue under ubuntu is that the nvidia driver does not seem to be throttling the GPU (despite it being set to, and me not being in a 3d app). Under windows the GPU does get throttled correctly but when I am running 3D applications for an extended period (games etc) the system runs just as hot as it does under Ubuntu. Windows does not kick up the fan speed... it sits at ~3000rpm and gets extremely hot (GPU at 99C, CPU at ~90). Frankly... it seems the T61p just does not have enough cooling to keep things under 100C.

   I'm going to fool with the nvidia driver settings to see if I can get the power management to work properly. The current behavior is that it boots at a lower speed (cooler), but once it kicks it up to the high performance mode it never goes back. I suspect probably an nvidia problem... not kernel or ubuntu.

  Note this is on the Lenovo T61p specifically... some of the other thermal issues discussed above on other machines could be (and probably are) for different reasons.

James

Igor Starikov (idlesign) wrote :

@James,
Presumably the issue has nothing to do with GPU for the reason that we all have the same problem even though having different hardware. OS - that's what is the same for us all. Since the issue was introduced with Jaunty and later on Hardy, according to Alex Cockell's report, it sticks me to the idea of ACPI built in kernel that causes the mess.

CylnZ (cylnzz) wrote :

Well, it looks like ibm/lenovo folks have some hope :)

Anyone know of a util similar to "thinkpad-acpi" for compaq/gateway/acer ??

abhiroopb (abhiroopb241088) wrote :

I'm really confused by this bug...

On the one hand where before I could leave my laptop lying on its own rubber feet and not have it turn off due to heat, I need to raise it a few inches to ensure that there is sufficient airflow and that it does not shut down due to heat.

On the other hand NOTHING has changed on my computer except the OS. I use the same scripts and programmes as I did before.

On another note, the fan SEEMS to be running as fast as it always did. That is I can hear it running hard when the CPU gets hot.

So, I can't see where the problem lies!

Alex Cockell (alcockell) wrote :

Could this be a lead? http://forums.lenovo.com/lnv/board/message?board.id=R_Series_Thinkpads&thread.id=3409
Possible heat issue with the graphics processor even with Vista...

I found the above on the Lenovo forums yesterday; maybe it's the GPU that's heating stuff up.. but the main thermal sensors listened to are on the CPUs? Is the GPU kinda central on the motherboard? Just that I do remember my laptop's underside getting warm especially when running on mains with the battery out ever since I bought the laptop (I used to cook batteries in an old Toshiba - so I often do that if I'm running mostly on mains at home).

Laptop fan kicks up to around 3000 periodically - but mostly being handled by the cooler at the mo.

Could it be that the GPU needs the fan to run longer and faster to cool it down?

Just that I did notice once when it WAS hot that the mouse would respond to movement but not to clicks. Could the GPU be thrashing? There were also these lines from /var/log/messages...

May 30 23:10:05 ubuntu kernel: [531782.411921] thinkpad_acpi: unhandled HKEY event 0x6022

But with no shutdown action as these events weren't being handed off in Hardy...

But - since I bought the cooler - no heat issues at all. However, I DID notice CPU0 go to 100% when the GPU wakes up (I hit shift to wake the display up after leaving the machine for a bit)... in 2.6.24-24 (kernel that gave me grief), I did also notice a bit of a memory leak.

In -23 (my uname - Linux ubuntu 2.6.24-23-generic #1 SMP Wed Apr 1 21:47:28 UTC 2009 i686 GNU/Linux), it isn't immediately hitting swap, and running at about 100Mb less memory used with Evolution, Firefox (6 tabs), Sysmon, gedit. Unlike under -24, where there was a definitely memory leak (committed memory climbing towards 50% rather than 30 - I run 2Gb onboard).

Could the bugs be in -24-restricted?

abhiroopb (abhiroopb241088) wrote :

Well its happening on my HP, but I have a nVidia geforce 7400

arsenix (arsenix) wrote :

  Those of you who have nvidia GPUs and are running the "nvidia" driver (the closed source one), you can check the powermizer status of your card by running the nvidia-settings tool. My machine starts up at level 1, but if I run a 3D application it switches to 2 and then never downclocks. If the GPU is at level 1, the machine stays reasonably cool (CPU temps ~50C after hours of use, GPU at 68). For those of you running compiz, your video card probably runs at the highest speed at all times.

James

arsenix (arsenix) wrote :

   I have discovered that the nvidia driver locks the card in the highest performance mode when you have an external monitor enabled (which I usually do), which causes it to run very hot. When I am running just with the built in screen the card correctly declocks itself when doing normal "desktop" 2d work. Due to the fact that the GPU and CPU share a heatsink on this machine (T61p)... higher GPU temp most definitely affects CPU temps as well.

   I'm not sure if the external monitor/high performance mode is a bug or a feature... it seems unnecessary to me though.

James

Loki (stharlow) wrote :

I apologize if this isn't the forum to ask this question, but has this heat issue been reported for new Dell Inspiron's with Ubuntu preinstalled? I was planning on supporting Linux with my money by not paying the M$ tax, but if there is a heat issue, I'll have to wait to get my laptop. I'm not even sure which distro the inspirons come with.

ana (anabelle) wrote :

So what is to do?

Have you tried playing Glest? or Wesnoth?

Don't speak about flightgear.

I own a HP dv6000, the unly way I can run those programs is using "cpulimit"

sudo apt-get install cpulimit

But framerate goes to hell, This has never happened before, not since Edgy...

This is happening to a huge percentage of laptops rendering them unusable for intensive tasks... counting of course flash as "intensive"

this is a MAJOR issue

Alex Cockell (alcockell) wrote :

Please backport fixes to Hardy as well when resolved.

kblc (kblcuk) wrote :

So is anything happening with this bug at all? I would gladly submit any information required, if only I knew that someone handles this bug.
But so far seems like the way to fix that is just to switch to a different Linux distribution which is not Jaunty-based. That's sad. :(

Yeah, i have been using my own patch for my Dell Laptop. Basically i
have just been speeding up the fan to max. Its looped to fight to
keep the speed at max, it kind of breaths again. Its a dirty hack
for sure, but not as dirty as Canonical for releasing such as shitty
bug.

#!/usr/bin/python
import os
import time
#apt-get install i8kutils
#sudo modprobe i8k force=1
while(True):
 os.system("i8kfan speed 10000 > /dev/null")
 time.sleep(.5)

On Mon, Jun 15, 2009 at 3:56 AM, kblc<email address hidden> wrote:
> So is anything happening with this bug at all? I would gladly submit any information required, if only I knew that someone handles this bug.
> But so far seems like the way to fix that is just to switch to a different Linux distribution which is not Jaunty-based. That's sad. :(
>
> --
> Ubuntu 9.04 laptop overheat and shutdown
> https://bugs.launchpad.net/bugs/370173
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “linux” source package in Ubuntu: Confirmed
>
> Bug description:
> Ubuntu 9.04, fresh install on Acer Aspire 5005.
> Not sure about package, but it seems the problem is with CPU frequency adjustment or fan control.
> Laptop shuts down right in the middle of CPU-greedy operation overheated. I haven't seen it before (since 7.10).
> The issue is discussed at several forums (eg. http://ubuntuforums.org/showthread.php?t=1130450)
>
> ----
>     *-cpu
>          product: AMD Turion(tm) 64 Mobile Technology ML-37
>          vendor: Advanced Micro Devices [AMD]
>          physical id: 1
>          bus info: cpu@0
>          version: 15.4.2
>          size: 2GHz
>          capacity: 2GHz
>          width: 64 bits
>          capabilities: fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 syscall nx mmxext fxsr_opt x86-64 3dnowext 3dnow up pni lahf_lm cpufreq
>

Well, worse looking at this bug suggests it's a collection of different
problems, and instead of trying to triage, reproduce it, and working on
the bugs one-on-one, they are collecting it into one big bug, with no
hope of ever fixing it.

In my case, the buggy overheating leads to a situation where my laptop
is not capable of running Ubuntu, without major nursing by a Linux
old-hand. That basically destroys the value-proposition of Ubuntu. If I
need to tweak, hack, and so on, I do not need Ubuntu, there are
certainly distributions better suited to this.

Basically, it's an irritating situation for me, that I can survive, in
the hope that it will happen to get better, by random change, because
one does not get the impression that Ubuntu even cares. Would the laptop
be owned by some 3rd party that is not as well versed in Linux, this
would be a major disaster.

I wonder what would happen if I buy an installation support package from
Canonical, and then end up with this situation? Would that make anyone
care for this problem?

As far as I've sampled this bug, Jaunty seems to have often problems
with AMD based laptop, which makes one wonder how common this problem
is?

Andreas

Todd Smith (td-smith) wrote :

Andreas you are wrong. The problem is very simple and my python patch
works GREAT on my system. If you speed up the fan, then the machine
works like a CHAMP. By default the fan is too fucking slow and the
machine overheats and dies. I'm going to stick with Ubuntu until I
get burned again. (No Pun intended...) What concerns me most is that
the problem is SIMPLE but there isn't an official patch which is just
pissing everyone off.

Peace

On Mon, Jun 15, 2009 at 5:21 AM, Andreas Kostyrka<email address hidden> wrote:
> Well, worse looking at this bug suggests it's a collection of different
> problems, and instead of trying to triage, reproduce it, and working on
> the bugs one-on-one, they are collecting it into one big bug, with no
> hope of ever fixing it.
>
> In my case, the buggy overheating leads to a situation where my laptop
> is not capable of running Ubuntu, without major nursing by a Linux
> old-hand. That basically destroys the value-proposition of Ubuntu. If I
> need to tweak, hack, and so on, I do not need Ubuntu, there are
> certainly distributions better suited to this.
>
> Basically, it's an irritating situation for me, that I can survive, in
> the hope that it will happen to get better, by random change, because
> one does not get the impression that Ubuntu even cares. Would the laptop
> be owned by some 3rd party that is not as well versed in Linux, this
> would be a major disaster.
>
> I wonder what would happen if I buy an installation support package from
> Canonical, and then end up with this situation? Would that make anyone
> care for this problem?
>
> As far as I've sampled this bug, Jaunty seems to have often problems
> with AMD based laptop, which makes one wonder how common this problem
> is?
>
> Andreas
>
> --
> Ubuntu 9.04 laptop overheat and shutdown
> https://bugs.launchpad.net/bugs/370173
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “linux” source package in Ubuntu: Confirmed
>
> Bug description:
> Ubuntu 9.04, fresh install on Acer Aspire 5005.
> Not sure about package, but it seems the problem is with CPU frequency adjustment or fan control.
> Laptop shuts down right in the middle of CPU-greedy operation overheated. I haven't seen it before (since 7.10).
> The issue is discussed at several forums (eg. http://ubuntuforums.org/showthread.php?t=1130450)
>
> ----
>     *-cpu
>          product: AMD Turion(tm) 64 Mobile Technology ML-37
>          vendor: Advanced Micro Devices [AMD]
>          physical id: 1
>          bus info: cpu@0
>          version: 15.4.2
>          size: 2GHz
>          capacity: 2GHz
>          width: 64 bits
>          capabilities: fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 syscall nx mmxext fxsr_opt x86-64 3dnowext 3dnow up pni lahf_lm cpufreq
>

Michael Brooks: Firstly, there's whole community involved even though it's Jaunty-only problem. Secondly, without Canonical you wouldn't have anything to complain about.

However, I suggest to mark it as CRITICAL again. Can anybody do it? I can't.

CRITICAL because
1) it damages hardware
2) it disables people to use computer properly (ana and her dv 6000)
3) because it shutdowns the computer without any warning so one's unsaved work can be done again
4) people switch to another distributions (I think about it as well)
5) people switch to another OS (back to trees?)

I'm sure this bug would be also much more visible in case of higher priority.

kblc (kblcuk) wrote :

Yep, it's already 1,5 month this bug is here, and I assume that most of those who have encountered this bug didn't bother filling a bug report (or maybe they don't even know about it).
Still, most of the reports seem to be somehow connected to either NVidia GPU or chipset (correct me if I'm wrong), so maybe Canonical can't really do anything about this bug. But still that silent "ignore" mode for this bug is annoying.

Maybe this bug is assigned to the wrong team? I've checked stuff assigned to them - there are some bugs from 2006 which are still unresolved.

I've personally installed freshest Fedora on my laptop, and no similar heat issue so far. Even though it is somewhat flawed compared to Ubuntu, it doesn't destroy machine with constant overheat.

Download full text (3.5 KiB)

Hint: on "your" machine.

And it basically validates my points. You machine is not capable of
running Ubuntu without hacks, meaning your machine + Linux newbie =
Ubuntu does not work.

In my case the workaround is to use an older kernel. Not cool, but
workable. Although something in the system (and I have no idea what)
seems to limit which frequencies I'm capable to enable via cpufreq-set.
(might be as well the hardware that disable higher frequencies because
it is feeling "hot")

Andreas

Am Montag, den 15.06.2009, 12:40 +0000 schrieb Michael Brooks:
> Andreas you are wrong. The problem is very simple and my python patch
> works GREAT on my system. If you speed up the fan, then the machine
> works like a CHAMP. By default the fan is too fucking slow and the
> machine overheats and dies. I'm going to stick with Ubuntu until I
> get burned again. (No Pun intended...) What concerns me most is that
> the problem is SIMPLE but there isn't an official patch which is just
> pissing everyone off.
>
> Peace
>
> On Mon, Jun 15, 2009 at 5:21 AM, Andreas Kostyrka<email address hidden> wrote:
> > Well, worse looking at this bug suggests it's a collection of different
> > problems, and instead of trying to triage, reproduce it, and working on
> > the bugs one-on-one, they are collecting it into one big bug, with no
> > hope of ever fixing it.
> >
> > In my case, the buggy overheating leads to a situation where my laptop
> > is not capable of running Ubuntu, without major nursing by a Linux
> > old-hand. That basically destroys the value-proposition of Ubuntu. If I
> > need to tweak, hack, and so on, I do not need Ubuntu, there are
> > certainly distributions better suited to this.
> >
> > Basically, it's an irritating situation for me, that I can survive, in
> > the hope that it will happen to get better, by random change, because
> > one does not get the impression that Ubuntu even cares. Would the laptop
> > be owned by some 3rd party that is not as well versed in Linux, this
> > would be a major disaster.
> >
> > I wonder what would happen if I buy an installation support package from
> > Canonical, and then end up with this situation? Would that make anyone
> > care for this problem?
> >
> > As far as I've sampled this bug, Jaunty seems to have often problems
> > with AMD based laptop, which makes one wonder how common this problem
> > is?
> >
> > Andreas
> >
> > --
> > Ubuntu 9.04 laptop overheat and shutdown
> > https://bugs.launchpad.net/bugs/370173
> > You received this bug notification because you are a direct subscriber
> > of a duplicate bug.
> >
> > Status in “linux” source package in Ubuntu: Confirmed
> >
> > Bug description:
> > Ubuntu 9.04, fresh install on Acer Aspire 5005.
> > Not sure about package, but it seems the problem is with CPU frequency adjustment or fan control.
> > Laptop shuts down right in the middle of CPU-greedy operation overheated. I haven't seen it before (since 7.10).
> > The issue is discussed at several forums (eg. http://ubuntuforums.org/showthread.php?t=1130450)
> >
> > ----
> > *-cpu
> > product: AMD Turion(tm) 64 Mobile Technology ML-37
> > vendor: Advanced Micro Devices [AMD]
> >...

Read more...

Hi people.

In fact, it's a CRITICAL bug and it will be nice if it can be solved quickly.

BUT I guess that forcing fan to it's maximum speed is not the right hack. You could damage your fan in a long way.

I'm just waiting for this fix moving back to Intrepid Ibex. But, you can also keep your cpu running in a lowest frequency to keep using jaunty.

kblc wrote:
> Yep, it's already 1,5 month this bug is here, and I assume that most of those who have encountered this bug didn't bother filling a bug report (or maybe they don't even know about it).
> Still, most of the reports seem to be somehow connected to either NVidia GPU or chipset (correct me if I'm wrong), so maybe Canonical can't really do anything about this bug. But still that silent "ignore" mode for this bug is annoying.
>

Seriously? I hadn't bothered to read the bugs I got merged into yet,
but if 370173 is in any way related to nVidia that merge shouldn't have
happened. The original bug that got me here, 213818, has been
reproduced on a bunch of Thinkpad t60 laptops - they've got not a bit of
nVidia inside I'm pretty sure. My graphics card is ATI anyway.

I can only frown.

--
Dominic van Berkel
"Hey, stoic one. We're alive. Dance with me."

My GPU is Intel X3100 in HP 6510b, so I think it's not GPU related.

arsenix (arsenix) wrote :

I think Andreas hit the nail here... this "bug" thread isn't so much a single bug it is a single -symptom- of multiple bugs which may or may not be related.

Without some more detailed data on all the different machine configurations I don't see this bug moving forward. Fan control hack scripts on your own machine aren't going to help fix it.

Folks should report:
  Machine, chipset, graphics chip, graphics driver being used
  Temperature data under both jaunty and another OS (windows or previous ubuntu if the issue is changed). Idle temps, idle fan speeds, cpu loaded temps, cpu loaded fan speeds, heavy graphics temperature data and fan speeds.

With more data we might start to see some trends and be able to boil this down to where the bugs really are.

James

Well, that's what I said. This is a collective bug, where anything with
the keyword "overheat" ends in.

Collecting different bugs, without any directed effort to even verify
what the bug is, won't solve the problems.

In my original bugreport, I did include most of this, although I did not
mention that I've got NVidia graphics.

In my case the problem started with Jaunty, is bad with
2.6.27-14-generic, and got intolerable in 2.6.28 (as in burnK7 manages
to make the machine reboot in less than 60 seconds).

I've documented that with script that logged all kind of potentially
relevant stuff, but nobody even got interested in that.

My current work around is to stick with 2.6.27, although it's impossible
to get more than 1.6GHz, and very hard to persuade the box to speed up
from 800MHz. It's highly unfunny, the Atom netbook of my wife feels
snappier.

I'm also wondering if there is a way to make the fan to spin up
manually, but my /proc/acpi/fan directory is empty, loading fan.ko does
not change that, nor does it produce any dmesg output.

Andreas

Am Montag, den 15.06.2009, 13:17 +0000 schrieb arsenix:
> I think Andreas hit the nail here... this "bug" thread isn't so much a
> single bug it is a single -symptom- of multiple bugs which may or may
> not be related.
>
> Without some more detailed data on all the different machine
> configurations I don't see this bug moving forward. Fan control hack
> scripts on your own machine aren't going to help fix it.
>
> Folks should report:
> Machine, chipset, graphics chip, graphics driver being used
> Temperature data under both jaunty and another OS (windows or previous ubuntu if the issue is changed). Idle temps, idle fan speeds, cpu loaded temps, cpu loaded fan speeds, heavy graphics temperature data and fan speeds.
>
> With more data we might start to see some trends and be able to boil
> this down to where the bugs really are.
>
>
> James
>

HP 6510b, Intel Core 2 Duo, Intel 965GM, Intel GMA X3100 using xserver-xorg-video-intel (I hope so). uname and sensors (just browser running follows)

uname -a
Linux barny 2.6.28-13-generic #44-Ubuntu SMP Tue Jun 2 07:55:09 UTC 2009 x86_64 GNU/Linux

sensors
acpitz-virtual-0
Adapter: Virtual device
temp1: +50.0°C (crit = +256.0°C)
temp2: +48.0°C (crit = +108.0°C)
temp3: +47.0°C (crit = +105.0°C)
temp4: +34.5°C (crit = +108.0°C)
temp5: +50.0°C (crit = +110.0°C)

coretemp-isa-0000
Adapter: ISA adapter
Core 0: +49.0°C (high = +100.0°C, crit = +100.0°C)

coretemp-isa-0001
Adapter: ISA adapter
Core 1: +49.0°C (high = +100.0°C, crit = +100.0°C)

This is copypasting from my original post back when this first happened
to me, in #213818. I haven't used Linux on this machine for some time,
but I recall testing Jaunty and finding that it didn't fix anything.

[paste]
Similar issue here, not quite sure whether it's the same.
Running 8.04 on a Thinkpad t60p (Intel Core2Duo proc), my fan speed for
some reason will not go above 3500RPM while set to "auto". I haven't had
a shutdown yet, but I've been unable to boot once. Temperature mostly
hangs on 62C, which is simply too darn high for an idling laptop on AC.
Funny bit is that I'm for some reason unable to manually set fan speed,
even though I turned the necessary module option (thinkpad_acpi
fan_control=1) - I get a Permission Denied, whether I try as root or as
a plain user.
[paste]

The t60p uses an ATI FireGL V5250, which I've used with both the free
and the non-free drivers.

I really do hope this gets cleared up. And, probably, split up.

Dominic

Michal I think 50C is pretty much normal operating temp for a Core2 Duo laptop. I think if you run under windows you will find it is similar. Thermal shutdown temp is well over 100C.

I think we should focus on users who are getting thermal shutdowns since that is pretty much guaranteed to be a critical bug. Temperatures which are just "higher than I think they should be" are very difficult to judge quantitatively.

Andreas can you post some fan speed information? Before thermal shutdown of the machine what are the fans doing?

James

Am Montag, den 15.06.2009, 13:57 +0000 schrieb arsenix:
> Michal I think 50C is pretty much normal operating temp for a Core2 Duo
> laptop. I think if you run under windows you will find it is similar.
> Thermal shutdown temp is well over 100C.
>
> I think we should focus on users who are getting thermal shutdowns since
> that is pretty much guaranteed to be a critical bug. Temperatures which
> are just "higher than I think they should be" are very difficult to
> judge quantitatively.
>
> Andreas can you post some fan speed information? Before thermal
> shutdown of the machine what are the fans doing?

How can I query the fan speed? /proc/acpi/fan is empty.

Subjectivly, it's running fast, but no idea how fast in exact numbers.

I've got powertop, temperature logs, and cpufreq logs.

Interestingly, looking at the data it seems that 2.6.28 even crashed
with the CPUs running at 800MHz.

Andreas

After I have put my laptop on some stands and given more space under it, I am not having any thermal shutdowns. However, the laptop does seem to be hotter than in Intrepid.

I agree this is subjective, but in Intrepid I would not need to keep my laptop raised, and it would never have a thermal shutdown. I think this is key, because I have not changed my habits, and it is ONLY because of the upgrade that I am having a thermal shutdown.

Specs: HP dv5242ea | Core Duo 1.60GHz | 2GB RAM | 320GB SATA | DVD-RAM Matshita UJ 840S | nVidia GeForce Go 7400 256mb | Intel PRO 3945ABG

I guess fan speed monitoring is not supported by the kernel yet on your
machine. I assume your machine has an AMD chipset? (I think all AMD
notebooks do)

Have you done any testing on windows or with earlier ubuntu distro's to
verify that the behavior is different under Jaunty?

James

Andreas Kostyrka wrote:
> Am Montag, den 15.06.2009, 13:57 +0000 schrieb arsenix:
>
>> Michal I think 50C is pretty much normal operating temp for a Core2 Duo
>> laptop. I think if you run under windows you will find it is similar.
>> Thermal shutdown temp is well over 100C.
>>
>> I think we should focus on users who are getting thermal shutdowns since
>> that is pretty much guaranteed to be a critical bug. Temperatures which
>> are just "higher than I think they should be" are very difficult to
>> judge quantitatively.
>>
>> Andreas can you post some fan speed information? Before thermal
>> shutdown of the machine what are the fans doing?
>>
>
> How can I query the fan speed? /proc/acpi/fan is empty.
>
> Subjectivly, it's running fast, but no idea how fast in exact numbers.
>
> I've got powertop, temperature logs, and cpufreq logs.
>
> Interestingly, looking at the data it seems that 2.6.28 even crashed
> with the CPUs running at 800MHz.
>
> Andreas
>
>

Download full text (3.8 KiB)

Am Montag, den 15.06.2009, 15:06 +0000 schrieb arsenix:
> I guess fan speed monitoring is not supported by the kernel yet on your
> machine. I assume your machine has an AMD chipset? (I think all AMD
> notebooks do)

Well, I guess it's an nVidia chipset:

00:00.0 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
00:00.1 RAM memory: nVidia Corporation C51 Memory Controller 0 (rev a2)
00:00.2 RAM memory: nVidia Corporation C51 Memory Controller 1 (rev a2)
00:00.3 RAM memory: nVidia Corporation C51 Memory Controller 5 (rev a2)
00:00.4 RAM memory: nVidia Corporation C51 Memory Controller 4 (rev a2)
00:00.5 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
00:00.6 RAM memory: nVidia Corporation C51 Memory Controller 3 (rev a2)
00:00.7 RAM memory: nVidia Corporation C51 Memory Controller 2 (rev a2)
00:02.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:03.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:05.0 VGA compatible controller: nVidia Corporation C51 [Geforce 6150 Go] (rev a2)
00:09.0 RAM memory: nVidia Corporation MCP51 Host Bridge (rev a2)
00:0a.0 ISA bridge: nVidia Corporation MCP51 LPC Bridge (rev a3)
00:0a.1 SMBus: nVidia Corporation MCP51 SMBus (rev a3)
00:0a.3 Co-processor: nVidia Corporation MCP51 PMU (rev a3)
00:0b.0 USB Controller: nVidia Corporation MCP51 USB Controller (rev a3)
00:0b.1 USB Controller: nVidia Corporation MCP51 USB Controller (rev a3)
00:0d.0 IDE interface: nVidia Corporation MCP51 IDE (rev f1)
00:0e.0 IDE interface: nVidia Corporation MCP51 Serial ATA Controller (rev f1)
00:10.0 PCI bridge: nVidia Corporation MCP51 PCI Bridge (rev a2)
00:10.1 Audio device: nVidia Corporation MCP51 High Definition Audio (rev a2)
00:14.0 Bridge: nVidia Corporation MCP51 Ethernet Controller (rev a3)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
03:00.0 Network controller: Broadcom Corporation BCM4328 802.11a/b/g/n (rev 03)

>
> Have you done any testing on windows or with earlier ubuntu distro's to
> verify that the behavior is different under Jaunty?

Windows no, this laptop has run exactly 6 hours Vista while creating the
recovery DVDs, which I have no idea even where they are.

Hardy, Ibex have had no problems with this hardware, at least not
temperature/kernel related.

On Jaunty it's strongly varies on the kernel release. 2.6.27-1{1,4} work
somewhat, 2.6.28 does not even survive 60 seconds of burnK7.

See https://bugs.launchpad.net/ubuntu/+source/linux/+bug/378065 for my
logs and experiences.

Andreas

>
>
> James
>
>
> Andreas Kostyrka wrote:
> > Am Montag, den 15.06.2009, 13:57 +0000 schrieb arsenix:
> >
> >> Michal I think 50C is pretty much normal operating temp for a Core2 Duo
> >> laptop. I think if you run under windows you will find it is similar.
> >> Thermal shutdown temp is well over 100C.
> >>
> >> I think we should focus on use...

Read more...

Lenovo Thinkpad R61i - I was running 2.6.24-24.53 when suffering thermal emergencies - but with no shutdowns although the laptop was asking for them.
Intel X3100 embedded graphics
Intel 3945ABG wireless, Broadcom ethernet controller
Core 2 Duo, 2x 1.8GHz.

I daren't run this not on the Axasa laptop cooler.

RUnning 8.04.2 (or most of it), but running 2.6.24-23generic..

Canonical - you have a Severity 2 incident here - just fix it already!

arsenix (arsenix) wrote :

Andres I have a desktop with the MPC51 chipset. Running the "sensors-detect" script that is part of the lmsensors package correctly detected the proper modules to measure the onboard sensors. This should allow fan speed, temperatures etc to be monitored through the lm-sensors package. Try it and report back.

James

arsenix (arsenix) wrote :

This is a Jaunty bug... if you aren't running Jaunty please post on another bug.

Unless this isn't already clear to folks... if you don't have (or aren't willing to obtain) comparative thermal testing data from another OS where the problem does not occur... your contribution is not that useful. Many laptops have thermal design problems, or were just designed to run hot to keep noise and size to a minimum. If you aren't sure that the issue you are seeing doesn't happen under all OS's... then it is very hard to say if the problem you are seeing is truly isolated to ubuntu jaunty. If you want this bug fixed... we need more data.

More people need to post information about what their fan's do under Ubuntu vs under Os's where the machines don't run hot. This will determine whether the issue is related to fan control or some type of CPU/GPU heat output increase.

James

Am Montag, den 15.06.2009, 19:26 +0000 schrieb arsenix:
> This is a Jaunty bug... if you aren't running Jaunty please post on
> another bug.
>
> Unless this isn't already clear to folks... if you don't have (or aren't
> willing to obtain) comparative thermal testing data from another OS
> where the problem does not occur... your contribution is not that
> useful. Many laptops have thermal design problems, or were just

Well, as this is my main working machine, just installing a different OS
is not a really an option.

OTOH, this machine has run on since last August without problems till I
upgrade to Jaunty, and the real trouble started when I upgraded to
2.6.28.

I think comparative temperature logs for different Linux kernels should
qualify.

> designed to run hot to keep noise and size to a minimum. If you aren't
> sure that the issue you are seeing doesn't happen under all OS's... then
> it is very hard to say if the problem you are seeing is truly isolated
> to ubuntu jaunty. If you want this bug fixed... we need more data.
>
> More people need to post information about what their fan's do under
> Ubuntu vs under Os's where the machines don't run hot. This will
> determine whether the issue is related to fan control or some type of
> CPU/GPU heat output increase.
>
>
> James
>

> I think comparative temperature logs for different Linux kernels should
> qualify.

Indeed your experience definitely qualifies. If we can figure out how to get some fan speed data as well we might be able to start digging down into your issue.

James

Am Montag, den 15.06.2009, 19:52 +0000 schrieb arsenix:
> > I think comparative temperature logs for different Linux kernels should
> > qualify.
>
> Indeed your experience definitely qualifies. If we can figure out how
> to get some fan speed data as well we might be able to start digging
> down into your issue.
>
> James
>

Ok, I've run sensors-detect, and while it detected some additional
temperature sensors, it seems to have found no fan data:

root@andi-lap:~# sensors
acpitz-virtual-0
Adapter: Virtual device
temp1: +85.0°C (crit = +95.0°C)

k8temp-pci-00c3
Adapter: PCI adapter
Core0 Temp: +82.0°C
Core0 Temp: +81.0°C
Core1 Temp: +81.0°C
Core1 Temp: +82.0°C

root@andi-lap:~# acpi -t
     Battery 0: Full, 100%, rate information unavailable
     Thermal 0: ok, 84.0 degrees C

Andreas

Todd Smith (td-smith) wrote :

This is not a hardware specific issue. Some people here have ATI
graphics or AMD chips. I have a nVidia chip with a dual core 2.4ghz
Intel. The heat control on Jaunty was changed, the fans stopped
the oscillated "breathing" which to be honest was annoying. All of
the evidence i have seen is that if you have a powerful system then it
will overheat more often. This is a very easy to problem to
reproduce, just run any heavy process of your choice the system will
die. ~82.0°C I hit 104 and shutdown just about every day until i
wrote my python hack. I haven't had my system over heat sense then,
so this is PROOF that the fan speed is too slow. This is a very
easy problem to fix, just speed up the fan.

So maybe like 4 people on the planet including me have a fix for this,
 too bad everyone else is getting FUCKED while you guys chase your
tails. This problem is so obvious it HURTS.

Peace out.

On Mon, Jun 15, 2009 at 1:11 PM, Andreas Kostyrka<email address hidden> wrote:
> Am Montag, den 15.06.2009, 19:52 +0000 schrieb arsenix:
>> > I think comparative temperature logs for different Linux kernels should
>> > qualify.
>>
>> Indeed your experience definitely qualifies.  If we can figure out how
>> to get some fan speed data as well we might be able to start digging
>> down into your issue.
>>
>> James
>>
>
> Ok, I've run sensors-detect, and while it detected some additional
> temperature sensors, it seems to have found no fan data:
>
> root@andi-lap:~# sensors
> acpitz-virtual-0
> Adapter: Virtual device
> temp1:       +85.0°C  (crit = +95.0°C)
>
> k8temp-pci-00c3
> Adapter: PCI adapter
> Core0 Temp:  +82.0°C
> Core0 Temp:  +81.0°C
> Core1 Temp:  +81.0°C
> Core1 Temp:  +82.0°C
>
> root@andi-lap:~# acpi -t
>     Battery 0: Full, 100%, rate information unavailable
>     Thermal 0: ok, 84.0 degrees C
>
> Andreas
>
> --
> Ubuntu 9.04 laptop overheat and shutdown
> https://bugs.launchpad.net/bugs/370173
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “linux” source package in Ubuntu: Confirmed
>
> Bug description:
> Ubuntu 9.04, fresh install on Acer Aspire 5005.
> Not sure about package, but it seems the problem is with CPU frequency adjustment or fan control.
> Laptop shuts down right in the middle of CPU-greedy operation overheated. I haven't seen it before (since 7.10).
> The issue is discussed at several forums (eg. http://ubuntuforums.org/showthread.php?t=1130450)
>
> ----
>     *-cpu
>          product: AMD Turion(tm) 64 Mobile Technology ML-37
>          vendor: Advanced Micro Devices [AMD]
>          physical id: 1
>          bus info: cpu@0
>          version: 15.4.2
>          size: 2GHz
>          capacity: 2GHz
>          width: 64 bits
>          capabilities: fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 syscall nx mmxext fxsr_opt x86-64 3dnowext 3dnow up pni lahf_lm cpufreq
>

Am Montag, den 15.06.2009, 22:32 +0000 schrieb Michael Brooks:
> This is a very
> easy problem to fix, just speed up the fan.
>

1.) Certainly this fix is more workable if you can "address" the fan in
the system. My laptop does not report a fan, nor can I control it, at
least from userspace.

2.) Older kernels do not require any hacks, fixes, whatever. What
changed?

Andreas

I'll contain my wonder and summarize by saying let's move on.

Andreas can you try a different distro with a similar vintage kernel? If you try your burn in with knoppix 6.0.1 it also uses 2.6.28 kernel. I'm assuming it is a kernel issue, but this will also see if it is an ubuntu kernel specific issue. If it does still overheat we can move back in kernel version until the problem disappears.

BTW... I took my laptop apart and reapplied thermal grease to the CPU and GPU. My temps are now way down from where they were before. Evidently when lenovo replaced my motherboard they failed to reapply the grease well. Just a reminder that hardware issues are not out of the question for everyone chasing thermal issues...

James

Alex Cockell (alcockell) wrote :

For the record, I am your putative Regular User who bought his laptop preinstalled with Ubuntu 8.04. I have no other OS, and this is my primary machine (Thinkpad R61i, 7650-series model).

All I know is that my machine overheated when running 2.6.24-24.53, and my vendor told me to go back to booting -23. And in order to keep the CPU temps around the mid-40s (which I believe is OK for Core 2 Duo THinkpads according to these long threads), I have to run it on a cooler.

I gave it a blast with compressed air - but anything else would mean me taking the laptop to an IBM Service Centre.

Currently, it's running OK atop the cooler- but I am sure it's the cooler keeping the temperature down.

Something happened with the system updates around my first post on this incident report.

Please, could Canonical fix the issue, and get a fix into my Update Manager once it's fully tested.

arsenix (arsenix) wrote :

Alex:

The Ubuntu 8.04 you are running is Hardy, a different and older release than this bug is discussing (9.04, Jaunty).

My thinkpad idles at nearly 50C... in windows... in ubuntu etc. Thermal shutdown on Core2 Duo's is over 100C. It does not sound like you are experiencing the issue discussed here and frankly it doesn't sound to me like you have a thermal issue at all.

James

Alex Cockell (alcockell) wrote :

All I know is that back last week, my machine was desperately hot to the touch, and froze up. I hard-powered off, called my vendor, left it most of a day to cool down... but am now running it on top of a cooler.

SOMETHING happened after system updates (accepting 2.6.24-24.53 onto my machine) that I took on about two weeks back, which caused the laptop to be extremely hot to the touch, whacked the thermal warnings into my logs, AND DID NOT SHUT DOWN. In order to run my machine, I HAVE to run it on the cooler, and the fan does not go about about 3100rpm.

It was unbearably hot, and it is only with the cooler running, blowing cold air at the base on the unit, that the CPU stays within functional temps.

Since then - I run it on top of the cooler.. but if I ever did boot into -24.53 again, it would probably overheat.

As stuff is often rolled in.. PLEASE JUST FIX IT.

I am *not* a developer.

Nor do I want to see my laptop break if I had to run it away from the cooler.

Alex Cockell (alcockell) wrote :

Apologies if I come across as strident. I am an end-user - I bought the laptop preinstalled. Therefore, to me, the OS is part of the product.

Alex Cockell (alcockell) wrote :

For the record, with the cooler running, my temps are down at
alex@ubuntu:~$ acpi -t
     Thermal 1: ok, 42.0 degrees C
     Thermal 2: ok, 40.0 degrees C

whereas I recall them being at the 52 deg C point... and the GPU running very hard.

On mains, the BIOS is set to run at Performance level, GNOME has Ondemand/ondemand.

Just that I'm worried that eventually when I accept an upgrade to the next LTS, it would cook my machine.

And this is 650 quid of laptop...

uname is Linux ubuntu 2.6.24-23-generic #1 SMP Wed Apr 1 21:47:28 UTC 2009 i686 GNU/Linux. Last kernel accepted via Update Manager was -24.53 which had the issue.

kblc (kblcuk) wrote :

Hm, might this issue then somehow be connected to that particular kernel update?
Fedora 11 has even newer kernel (2.6.30.something, I think), and no heat issue. Might the kernel update resolve this issue then?

Michal Pěnka (michal-penka) wrote :

Somebody stated that my ~50°C in powersave state is normal. It isn't :) I can subjectively feel that is is much more hotter than in Intrepid. I'll do some tests with Interpid or Fedora which I'm going to switch this week. I'll post it here.

Michael Brooks thinks that fans aren't working enough. It seems racial, however it is not as obvious because some people also stated that their battery life (I don't mean permanent capacity now) has decreased. And if the fans work more, it decreases it even more. But maybe the heat is decreasing the battery life as well.

Regarding the permanent capacity, I had 52 Wh, now I have 42 Wh :( The heat really decreases the permanent (factory) capacity. It damages our hardware unfortunately :(

Michal Pěnka (michal-penka) wrote :

kblc: If you're brave, you can try to install 2.6.30 kernel using this manual:
http://ubuntuforums.org/showthread.php?t=1130582

Actually I don't think it'll help. But don't forget to run "sensors" before this upgrade in order to have some material to compare ;)

kblc (kblcuk) wrote :

Michal, I would definitely do so, but I've already installed Fedora on that laptop, and since it's really my girlfriends laptop, I don't think she'll be happy that I'm playing around it for the whole weekend again. :)

arsenix (arsenix) wrote :

Michal here is a review for your notebook:
  http://www.notebookreview.com/default.asp?newsID=3763

"I installed Notebook Hardware Control and according to its measures the CPU temperature remained at about 50C when idling."

If you disagree, lets see some data.

James

Michal Pěnka (michal-penka) wrote :

arsenix: thanks for the link...then I think the heat isn't measured properly :( I can really feel the hot on my palms and I really do sweat. However, don't know any other way how to measure it :(

I know for a fact the fans are too slow, I have proved it. If you
speed up the fan, its stops over heating, plain and simple.

There might be other issues at play eating up processor time and thus
battery life. I wish a had a mode just for battery life....

Peace

On Tue, Jun 16, 2009 at 6:12 AM, Michal Pěnka<email address hidden> wrote:
> arsenix: thanks for the link...then I think the heat isn't measured
> properly :( I can really feel the hot on my palms and I really do sweat.
> However, don't know any other way how to measure it :(
>
> --
> Ubuntu 9.04 laptop overheat and shutdown
> https://bugs.launchpad.net/bugs/370173
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in "linux" source package in Ubuntu: Confirmed
>
> Bug description:
> Ubuntu 9.04, fresh install on Acer Aspire 5005.
> Not sure about package, but it seems the problem is with CPU frequency adjustment or fan control.
> Laptop shuts down right in the middle of CPU-greedy operation overheated. I haven't seen it before (since 7.10).
> The issue is discussed at several forums (eg. http://ubuntuforums.org/showthread.php?t=1130450)
>
> ----
> *-cpu
> product: AMD Turion(tm) 64 Mobile Technology ML-37
> vendor: Advanced Micro Devices [AMD]
> physical id: 1
> bus info: cpu@0
> version: 15.4.2
> size: 2GHz
> capacity: 2GHz
> width: 64 bits
> capabilities: fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 syscall nx mmxext fxsr_opt x86-64 3dnowext 3dnow up pni lahf_lm cpufreq
>

Michael your dell (unlike every other machine being discussed here) uses software fan control, using the kernel i8k driver. There are several usermode tools to control the fans automatically and keep the temperatures lower on these machines both under linux and windows. Lots of folks have issues on these machines and run the usermode tools to keep them cooler. One of them is called dellfand. Search and you will find issues with the i8k driver have been discussed at length for years (well before ubuntu came onto the scene). In nearly all cases these issues stem from hardware problems (some of them inherent design problems) even if you can work around them with a bandaid fix with software tools.

James

Michal Pěnka (michal-penka) wrote :

Now I'm really angry. Yesterday my computer went shutdown because of overheating. I was running some virtual machine and after cooling down and starting it again, it didn't want to start againg, because filesystem in it is corrupted. I've lost many hours of work which can be fortunately done again.

I'm wondering why isn't this bug marked CRITICAL yet and why assigned team is Ubuntu Laptop Team. It seems they aren't active there so I suggest to change the team and marking it CRITICAL already!

Here you are my log when computer runs at 2 GHz/both cores:
------------------------------------------------------------------------
acpitz-virtual-0
Adapter: Virtual device
temp1: +65.0°C (crit = +256.0°C)
temp2: +64.0°C (crit = +108.0°C)
temp3: +51.0°C (crit = +105.0°C)
temp4: +36.1°C (crit = +108.0°C)
temp5: +80.0°C (crit = +110.0°C)

coretemp-isa-0000
Adapter: ISA adapter
Core 0: +66.0°C (high = +100.0°C, crit = +100.0°C)

coretemp-isa-0001
Adapter: ISA adapter
Core 1: +65.0°C (high = +100.0°C, crit = +100.0°C)
------------------------------------------------------------------------

Please compare it to my powersave states (above), pasted again:
------------------------------------------------------------------------
acpitz-virtual-0
Adapter: Virtual device
temp1: +50.0°C (crit = +256.0°C)
temp2: +48.0°C (crit = +108.0°C)
temp3: +47.0°C (crit = +105.0°C)
temp4: +34.5°C (crit = +108.0°C)
temp5: +50.0°C (crit = +110.0°C)

coretemp-isa-0000
Adapter: ISA adapter
Core 0: +49.0°C (high = +100.0°C, crit = +100.0°C)

coretemp-isa-0001
Adapter: ISA adapter
Core 1: +49.0°C (high = +100.0°C, crit = +100.0°C)
------------------------------------------------------------------------

Michal Pěnka (michal-penka) wrote :

I think this team or kernel team should be better

Changed in linux (Ubuntu):
assignee: Ubuntu Laptop Team (ubuntu-laptop) → Ubuntu Kernel ACPI Team (ubuntu-kernel-acpi)

Please run the following so we have the appropriate debugging info for you system.

apport-collect -p linux-image-`uname -r` 370173

Thanks

--
Pete Graner
<email address hidden>
Manager
Ubuntu Kernel Team
Canonical Ltd.

Architecture: amd64
DistroRelease: Ubuntu 9.04
HibernationDevice: RESUME=UUID=d4e29aec-2b62-42ab-a6ad-ed56e222d32b
MachineType: Hewlett-Packard HP Compaq 6510b (RJ559AV)
Package: linux-image-2.6.28-13-generic 2.6.28-13.44
PackageArchitecture: amd64
ProcCmdLine: root=UUID=4f344b01-bc9b-48c8-b599-e557175bd864 ro quiet splash
ProcEnviron:
 SHELL=/bin/bash
 LANG=cs_CZ.UTF-8
ProcVersionSignature: Ubuntu 2.6.28-13.44-generic
Uname: Linux 2.6.28-13-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Michal Pěnka (michal-penka) wrote :
Michal Pěnka (michal-penka) wrote :
Michal Pěnka (michal-penka) wrote :
Michal Pěnka (michal-penka) wrote :
Michal Pěnka (michal-penka) wrote :
Michal Pěnka (michal-penka) wrote :
Michal Pěnka (michal-penka) wrote :
Michal Pěnka (michal-penka) wrote :

Michal are the temperatures you posted above for the full speed running as hot as the machine got? Those temperatures are not that hot. If your machine crashed from seeing a peak temperature of 80C... you have a hardware problem. Thermal shutdown temperatures are more like 110C.

James

No that is a mistype. Of course the machine shuts down at 104c! So it
sounds like you all are still chasing your tails or denying the bug. I
don't give a fuck about this tread anymore, I have my patch that's all I
need. If you are still waiting for canonical to even acknowledge this
issue then your got bigger problems on your hands.

peace

On Thu, Jun 18, 2009 at 4:01 AM, arsenix <email address hidden> wrote:

> Michal are the temperatures you posted above for the full speed running
> as hot as the machine got? Those temperatures are not that hot. If
> your machine crashed from seeing a peak temperature of 80C... you have a
> hardware problem. Thermal shutdown temperatures are more like 110C.
>
> James
>
> --
> Ubuntu 9.04 laptop overheat and shutdown
> https://bugs.launchpad.net/bugs/370173
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “linux” source package in Ubuntu: Confirmed
>
> Bug description:
> Ubuntu 9.04, fresh install on Acer Aspire 5005.
> Not sure about package, but it seems the problem is with CPU frequency
> adjustment or fan control.
> Laptop shuts down right in the middle of CPU-greedy operation overheated. I
> haven't seen it before (since 7.10).
> The issue is discussed at several forums (eg.
> http://ubuntuforums.org/showthread.php?t=1130450)
>
> ----
> *-cpu
> product: AMD Turion(tm) 64 Mobile Technology ML-37
> vendor: Advanced Micro Devices [AMD]
> physical id: 1
> bus info: cpu@0
> version: 15.4.2
> size: 2GHz
> capacity: 2GHz
> width: 64 bits
> capabilities: fpu fpu_exception wp vme de pse tsc msr pae mce cx8
> apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 syscall nx
> mmxext fxsr_opt x86-64 3dnowext 3dnow up pni lahf_lm cpufreq
>

I don't know with which temperature my laptop went down, but I don't think 80°C is normal. It is really hot. And I can prove it damages the hardware - my permanent (factory) battery capacity went down! I think not only capacity suffers :(

Now as I'm writing you, the computer runs for about an hour and is in 800 MHz powersave state. The CPU temp is (shows) about 61°C...

Michael: your patch doesn't apply my computer and I'm not as skilled programmer, so I'm switching to Fedora this weekend. I've got install medium already.

Architecture: amd64
DistroRelease: Ubuntu 9.04
NonfreeKernelModules: nvidia
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
Uname: Linux 2.6.28-11-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Michal make sure you report back how well fedora works out. Thanks!

James

CharleyS (charley-socci-com) wrote :

I've set /proc/acpi/ibm/fan to "disengaged" - which causes the fan to run at full speed without any hardware or software control. My idle temps are way down, but I am still periodically experiencing the thermal shutdowns - usually while processes are running with the laptop unattended. The fan speed helps, but has not solved the issue for me.

I've submitted apport-collect data above.

Note that on my Lenovo T61, 2000-3000 rpm is actually normal by design - which contradicts my earlier assertion that the fan was running too slowly. Disengaged, the fan is currently running 4000-5000 rpm (which as I said helps a great deal but hasn't solved the issue entirely for me)

I can replicate the issue using the stress application (see earlier posts)

I tried to replicate the issue on another laptop running 8.04 Hardy (32-bit in that case) and was not able to do so.

arsenix (arsenix) wrote :

Charley you have a hardware problem. Talk to lenovo and send it for repairs. Ubuntu is not involved in the fan control, your fans are running fine... and regardless of what ubuntu does with your machine's power management it should be able to run without shutting down.

James

CharleyS (charley-socci-com) wrote :

Yes James, thank you. I understand Ubuntu is not involved in the fan control. Got it.

The thing is that I am unable to replicate the issue in any other version of Ubuntu, nor am I able to replicate the issue in Windows XP SP3 - running a variety of stress tests encompassing video, i/o, memory, and cpu.

So - back to your earlier questions about GPU perhaps... or earlier comments about CPU governor... I don't know.

What I can assert is that the thermal issues are unique to this version of Ubuntu and kernel -

What I have ruled out is that the issue is related to the fan, which seemed like the obvious issue at first, and was also the focus (most likely the incorrect focus) of attention in the other threads around this issue...

Note that I'm not bashing Canonical, or Ubuntu or anyone else here, unlike some of our peers. I do have the option of booting Windows XP if I need to, or running some earlier distro. I'm quite happy to try and contribute whatever I can here. I've been a network/support manager/engineer for twelve years, primarily in Windows shops. Most recently interested in FOSS solutions and Ubuntu as a user-FRIENDLY distribution I can eagerly and confidently promote to friends, clients, and family.

Yes, I understand it isn't the fan control.

But I also understand there is a thermal shutdown issue (perhaps secondary to some as yet unidentified issue) that is UNIQUE to this version.

Cheers.

arsenix (arsenix) wrote :

Charley -

I'm sticking by my rec that you need to get the hardware fixed. Maybe windows throttles the machine more agressively when it gets hot instead of shutting down... maybe windows has better GPU thermal control (this is almost certainly true)... in any case your machine should not be shutting down with the fans at max under any loading situation. Lots of other users have T60's and no thermal shutdown issues in Jaunty. My machine (T61p) has the same fan control and power management system as yours... and has no issues. The thermal issues that originally led me to this thread were hardware issue related.

I'm not saying there isn't some power management bug that makes your machine runs hotter under only Jaunty... I'm just saying you have a hardware problem if your machine gets itself hot enough to shutdown.

James

Andy Whitcroft (apw) on 2009-06-18
Changed in linux (Ubuntu):
importance: Undecided → High
status: Confirmed → In Progress

Well, while the fans are certainly the core mechanism of keeping a
laptop cool nowadays, the OS/firmware/hardware have other mechanisms
too.

So while I concur that a laptop that shutdowns itself with the fans
running suggests a hardware problem, it does not have to be so.

The central question is, why does it run on Windows? Hard to answer
because Windows is SO different, but there are more than enough reports
where other Linux distributions or even different kernels (as in my
case) have kept the hardware going.

In my experience btw, there are hardware setups that have rather badly
configured trippoints, and another thing is that although my laptop
claims to have a critical trippoint at 100°C I have never seen the
temperature approach it, it always reboots below 90°C => that behavior
I've noticed with different systems, so I guess it's meant to be so.

Other things to consider, because modern systems seem to be rather
choosy sometimes:

-) are you running it on a hard desk? I know laptops that overheat even
from a simple tablecloth beneath them.
-) are the fans clear? Depending upon the environment fans can get
really really fast clogged.

Andreas

Am Donnerstag, den 18.06.2009, 14:03 +0000 schrieb arsenix:
> Charley -
>
> I'm sticking by my rec that you need to get the hardware fixed. Maybe
> windows throttles the machine more agressively when it gets hot instead
> of shutting down... maybe windows has better GPU thermal control (this
> is almost certainly true)... in any case your machine should not be
> shutting down with the fans at max under any loading situation. Lots of
> other users have T60's and no thermal shutdown issues in Jaunty. My
> machine (T61p) has the same fan control and power management system as
> yours... and has no issues. The thermal issues that originally led me
> to this thread were hardware issue related.
>
> I'm not saying there isn't some power management bug that makes your
> machine runs hotter under only Jaunty... I'm just saying you have a
> hardware problem if your machine gets itself hot enough to shutdown.
>
>
> James
>

-) are you running it on a hard desk? I know laptops that overheat even
from a simple tablecloth beneath them.

Answer: Yes, an oak table with no tablecloth.

-) are the fans clear? Depending upon the environment fans can get
really really fast clogged.

Answer: Yes, completely free of dust and debris. I can feel the airflow, especially with the fan running 4000-5000 rpm.

The laptop idles at 40-45C now, which is quite cool - even in comparison to other users with T61's. Operating temps ranging in the 60's. NORMAL.

Note: this is a 15" T61 with the 2.5 GHz, not 14" with a slower CPU.

Note: the issue does not occur in Hardy either.

Note: the thermal shutdowns occur while I'm not actively using the laptop, typically in the middle of the night. I wake up in the morning to a cold laptop, and log messages about thermal trip points reached in the middle of the night.

Note: I can reproduce the issue by running stress.

If Hardy runs cool, can it still be a hardware issue? If the thermal paste was bad, wouldn't it overheat all the time?

What is unique to Jaunty that that would be the only place I see the issue? Why doesn't it overheat *while I'm using the laptop*? (when it is indeed on my *lap* and not on a table)

Why are *so* many people *other* reporting this issue?

Andy Whitcroft (apw) wrote :

LP#370173

It seems there is a mix of issues here. For this bug we shall consider the issue that the latest Jaunty kernel is perceived to fail to manage the CPU temperature correctly and that it used to work correctly on Intrepid. If you have a different issue please file a separate bug.

To confirm this issue that we need to compare at least these two releases in a controlled manner. This will better allow us to confirm that this is a regression. To better identify the location of this regression and any potential fix it would be helpful to test the kernels below. For those of you comfortable installing kernels and also able to get their temperature information (either via sensors or another method), it would be helpful to get comparisons of a number of kernels (please pick one of the i386 or amd64 kernels to match your system). If you have another version where you know the bug does not exhibit, it would be helpful to include the same test results for that kernel too:

Intrepid Latest -- 2.6.27-14.34
    http://launchpadlibrarian.net/27522947/linux-image-2.6.27-14-generic_2.6.27-14.34_i386.deb
    http://launchpadlibrarian.net/27522807/linux-image-2.6.27-14-generic_2.6.27-14.34_amd64.deb
Jaunty Latest -- 2.6.28-13.44
    http://launchpadlibrarian.net/27405830/linux-image-2.6.28-13-generic_2.6.28-13.44_i386.deb
    http://launchpadlibrarian.net/27405998/linux-image-2.6.28-13-generic_2.6.28-13.44_amd64.deb
Mainline 2.6.28.x
    http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.28.10/linux-image-2.6.28-02062810-generic_2.6.28-02062810_i386.deb
    http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.28.10/linux-image-2.6.28-02062810-generic_2.6.28-02062810_amd64.deb
Mainline 2.6.30
    http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.30/linux-image-2.6.30-020630-generic_2.6.30-020630_i386.deb
    http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.30/linux-image-2.6.30-020630-generic_2.6.30-020630_amd64.deb

for each test using stress (sudo apt-get install stress):

    stress --cpu 16 --vm 2 --vm-bytes 128M

Run this for a measured period of time say 15 minutes and then gather the temperatures, I use sensors for this:

    $ sensors
    acpitz-virtual-0
    Adapter: Virtual device
    temp1: +46.0°C (crit = +100.0°C)
    temp2: +43.0°C (crit = +100.0°C)
    temp3: +0.0°C (crit = +100.0°C)

If you are able to identify your your fan speeds it would also be helpful to include that information in your report. In all cases please report your results in this bug. Thanks.

arsenix (arsenix) wrote :

Hm... that is interesting that it doesn't happen while you are actively using the laptop...

Are you running xscreensaver with 3d graphics displays? If the GPU is heating things up that could make it run hot while you aren't around.

Do you close it when you aren't using it? A lot of heat is radiated through the keyboard.

James

CharleyS (charley-socci-com) wrote :

I disabled the screen saver to see if that was the cause, even through the power manager is set to turn the display off after 20 mins.

The lid is open.

CharleyS (charley-socci-com) wrote :

I will attempt to try the kernels in Andy's post this weekend if I possibly can and forward my results.

Maybe there is some hardware issue... I was wrong about the fan as you so well illustrated!

But it seems like its Jaunty-centric to me - perhaps i'll be able to get more data over the weekend.

Michal Pěnka (michal-penka) wrote :

It's nice to see more people are working on it.

Thank you for involving Andy, however, can you please describe how to install the kernels?

Shall I install all of them (amd64 only of course for my notebook) just by downloading and using dpkg? Wouldn't apt protest because of some dependencies? Can I install Intrepid's kernels in my updated Jaunty?

Good to see something happens finally. Thanks!

m4cph1sto (dlreid) wrote :

I'll add my 2 cents. My laptop, Pentium M 2.0 GHz, is experiencing CPU temps 10-20 degrees C hotter in Jaunty than in Intrepid. My fan is running properly, and actually more in Jaunty because of the higher temperatures. In Intrepid the fan would remain on low or off most of the time, with temps 35-40 idle, but with Jaunty the fan runs on medium or high constantly, with temps 45+ when idle.

The laptop is not overheating and shutting down, but it is definitely running hotter. So there are two separate issues at play: some people are not getting proper fan control. Others have proper fan control, but for a currently-unknown reason are experiencing higher CPU temps in Jaunty, in many cases leading to shutdowns even with the fan running on max.

In Intrepid my CPU temp never went over 69 C, whereas in Jaunty it regularly shoots up to 79 C. I luck out because my fan prevents it from going so high to initiate a shutdown. There are enough people working on debugging and I don't have time to install/test multiple kernels. My point is that this bug should be tackled as two issues: (1) fan problems, and (2) something unknown in Jaunty that is causing higher CPU temps separate from fan issues.

m4cph1sto:
My fan spins in circles derp derp.

I sped up the fan and the problem went away. Can you tell me why would that
happen?

On Thu, Jun 18, 2009 at 10:56 AM, m4cph1sto <email address hidden> wrote:

> I'll add my 2 cents. My laptop, Pentium M 2.0 GHz, is experiencing CPU
> temps 10-20 degrees C hotter in Jaunty than in Intrepid. My fan is
> running properly, and actually more in Jaunty because of the higher
> temperatures. In Intrepid the fan would remain on low or off most of
> the time, with temps 35-40 idle, but with Jaunty the fan runs on medium
> or high constantly, with temps 45+ when idle.
>
> The laptop is not overheating and shutting down, but it is definitely
> running hotter. So there are two separate issues at play: some people
> are not getting proper fan control. Others have proper fan control, but
> for a currently-unknown reason are experiencing higher CPU temps in
> Jaunty, in many cases leading to shutdowns even with the fan running on
> max.
>
> In Intrepid my CPU temp never went over 69 C, whereas in Jaunty it
> regularly shoots up to 79 C. I luck out because my fan prevents it from
> going so high to initiate a shutdown. There are enough people working
> on debugging and I don't have time to install/test multiple kernels. My
> point is that this bug should be tackled as two issues: (1) fan
> problems, and (2) something unknown in Jaunty that is causing higher CPU
> temps separate from fan issues.
>
> --
> Ubuntu 9.04 laptop overheat and shutdown
> https://bugs.launchpad.net/bugs/370173
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “linux” source package in Ubuntu: In Progress
>
> Bug description:
> Ubuntu 9.04, fresh install on Acer Aspire 5005.
> Not sure about package, but it seems the problem is with CPU frequency
> adjustment or fan control.
> Laptop shuts down right in the middle of CPU-greedy operation overheated. I
> haven't seen it before (since 7.10).
> The issue is discussed at several forums (eg.
> http://ubuntuforums.org/showthread.php?t=1130450)
>
> ----
> *-cpu
> product: AMD Turion(tm) 64 Mobile Technology ML-37
> vendor: Advanced Micro Devices [AMD]
> physical id: 1
> bus info: cpu@0
> version: 15.4.2
> size: 2GHz
> capacity: 2GHz
> width: 64 bits
> capabilities: fpu fpu_exception wp vme de pse tsc msr pae mce cx8
> apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 syscall nx
> mmxext fxsr_opt x86-64 3dnowext 3dnow up pni lahf_lm cpufreq
>

Brooks: you clearly have "issue 1" that I referred to in my comment. I have "issue 2".

after week on windows, ubuntu has updates including -13 kernel... after which machine fails to boot! physically on-off, then boot. no programs running except boinc client with extra low processor/memory usage settings (intrepid ran same shit with default settings) and darn thing keeps stepping both cores up to 2G. idle intrepid ran at 800M. always.

now start firefox and... i am sorry to say, week on the windows kinda got me used to actually being able to use this thing as a laptop! after jaunty upgrade, same shock first made me search for a solution but after seeing longlasting inactivity/undeceided-ness @https://bugs.launchpad.net/ubuntu/+bug/361123 i dont know anymore what to think.

nice -applications should not affect cpu@ondemand. and they didnot @intrepid. looks like they do @jaunty. or at least someting weird goes on at this up/down stepping department, to say the least.

what i can see for sure, is that god-damn 2 core's speed/govenor can/should be set independently since jaunty. is that not the direction to look at?

anyway, that bs really got me now. back in a day i already lost 2 hard-disks thanks to those laptop-mode (or whatever) issues. now it seems like its really time for os-change, before this shit burns my pants off or catches fire by itself.

hopefully will those rushed-out releases stop eventually, if there's any users left to release them for.

Download full text (3.2 KiB)

Perhaps there is some magical "issue 2" . But how do you know your
fan is spinning properly if you haven't tried to speed it up? Being
unscientific is only creating more problems for this bug. m4cph1sto
you one of the people being very unscientific about this bug. I know
for a fact that we are all running the same fan triggers and that they
where not properly tested before shipping them to us. Speeding up
the fan is a quick fix, But like i said Cannonical doesn't give a
fuck about us, they would rather our hardware burn then pay for real
regression testing. This issue is still completely ignored even when
there is a known fix.

peace

On Sun, Jun 21, 2009 at 9:49 PM, e13<email address hidden> wrote:
> after week on windows, ubuntu has updates including -13 kernel... after
> which machine fails to boot! physically on-off, then boot. no programs
> running except boinc client with extra low processor/memory usage
> settings (intrepid ran same shit with default settings) and darn thing
> keeps stepping both cores up to 2G. idle intrepid ran at 800M. always.
>
> now start firefox and... i am sorry to say, week on the windows kinda
> got me used to actually being able to use this thing as a laptop! after
> jaunty upgrade, same shock first made me search for a solution but after
> seeing longlasting inactivity/undeceided-ness
> @https://bugs.launchpad.net/ubuntu/+bug/361123 i dont know anymore what
> to think.
>
> nice -applications should not affect cpu@ondemand. and they didnot
> @intrepid. looks like they do @jaunty. or at least someting weird goes
> on at this up/down stepping department, to say the least.
>
> what i can see for sure, is that god-damn 2 core's speed/govenor
> can/should be set independently since jaunty. is that not the direction
> to look at?
>
> anyway, that bs really got me now. back in a day i already lost 2 hard-
> disks thanks to those laptop-mode (or whatever) issues. now it seems
> like its really time for os-change, before this shit burns my pants off
> or catches fire by itself.
>
> hopefully will those rushed-out releases stop eventually, if there's any
> users left to release them for.
>
> --
> Ubuntu 9.04 laptop overheat and shutdown
> https://bugs.launchpad.net/bugs/370173
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “linux” source package in Ubuntu: In Progress
>
> Bug description:
> Ubuntu 9.04, fresh install on Acer Aspire 5005.
> Not sure about package, but it seems the problem is with CPU frequency adjustment or fan control.
> Laptop shuts down right in the middle of CPU-greedy operation overheated. I haven't seen it before (since 7.10).
> The issue is discussed at several forums (eg. http://ubuntuforums.org/showthread.php?t=1130450)
>
> ----
>     *-cpu
>          product: AMD Turion(tm) 64 Mobile Technology ML-37
>          vendor: Advanced Micro Devices [AMD]
>          physical id: 1
>          bus info: cpu@0
>          version: 15.4.2
>          size: 2GHz
>          capacity: 2GHz
>          width: 64 bits
>          capabilities: fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 cl...

Read more...

Michael you should try running your machine in a colder environment, like Antarctica. I think you will find your machine runs cooler and by your logic this PROVES that the problem is that you don't live in Antarctica.

Study this link: http://www.google.com/search?q=define%3A+causality

There are a lot of factors at play here and a lot of different hardware configurations, all of which control fans through completely different mechanisms. Problems will be fixed when they are isolated and identified... nothing in this thread has given enough information to do that yet. If you want to try to speed up your dell fans in the kernel, check out the "i8k" module from git and go to town.

James

elp (piotr-kolataj) wrote :

Gush...

I've been experiencing the same problem over a year ago, and it'd been a topic reporting such a bug somewhere else.
Those days I had to change my OS to Windows, now I decided to give Ubuntu a try, and (sorry for being upset) it's all the same! The problem didn't vanish magically, it's still here, isn't it annoying?
Please, could anyone do something with it, and not make workarounds, that just does not work...
And btw. isn't this bug worth fixing enought to be marked as critical?

michael, having this as my primary computer for about 7 months now and using it every single day with all the same programs running the same way in quiet environment, one gets used to how this thing behaves, how fast fan rotates and ho hot it gets. as does one notice how often and for how long ondemand cpu gets stepped to higher speed.

my laptop does not shut down. it just jumps its speed up way too often compared to intrepid. fan noise is very much the same and when getting hotter, fan also speeds up. never ran stresstest to cause thermal shutdowns. fan speeds up anyway, when i let this thing jump to whatever speeds it feels like.

but because i cannot be bothered to start using that as a desktop-computer, this heat thing is just not acceptable. as would not be increased fan speeds. this just is not justified for things i run on that computer while cpu set to ondemand. it needs to be cool and not too noisy. and it used to be like that with intrepid. still is with windows. not with jaunty.

clear change after jaunty were feature that 2 cores can now be set independently to run whatever speed. and right after upgrade, all the same programs running and fan making all the same noise, all that was different, was cpu speedups occuring more often and lasting far longer... talk all about you want about fan speed being not correct. i know how much processor my programs used to need and how hot that made my computer and how fast fan used to run to cope with that. fan still runs the same, but same temp can only be achieved by setting cores to 800M or 1.2G. they used to be set to ondemand and mostly idle machine with nice-d boinc running used to stay at 800 all the time.

Architecture: amd64
DistroRelease: Ubuntu 9.04
HibernationDevice: RESUME=UUID=322532a4-3479-46ec-a1b4-1643352ff1b9
MachineType: Gateway P-6860FX
NonfreeKernelModules: nvidia
Package: linux-image-2.6.28-13-generic 2.6.28-13.44
PackageArchitecture: amd64
ProcCmdLine: root=UUID=d140a130-2891-42b5-8055-e30dfafe24d2 ro quiet splash acpi_osi="Linux"
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.28-13.44-generic
Uname: Linux 2.6.28-13-generic x86_64
UserGroups: adm admin audio avahi avahi-autoipd cdrom crontab dialout dip fax fuse gdm haldaemon klog libuuid lpadmin messagebus mlocate netdev plugdev polkituser pulse pulse-access pulse-rt root sambashare saned ssh ssl-cert syslog tape users video

CylnZ (cylnzz) wrote :
CylnZ (cylnzz) wrote :
CylnZ (cylnzz) wrote :
CylnZ (cylnzz) wrote :
CylnZ (cylnzz) wrote :
CylnZ (cylnzz) wrote :
CylnZ (cylnzz) wrote :
CylnZ (cylnzz) wrote :
CylnZ (cylnzz) wrote :

Hi, gateway 6860fx and an acer 5620-6830, both core duo both 965m.
I submitted a "apport-collect -p linux-image-`uname -r` 370173"
ran stress, hit 68C in 1 min 30 sec, fans never moved off idle speed (hand check only. I'm not disassembling it again to put an amp meter on it to check voltages). I stopped the test @ 75C after 4 minutes 15 sec because I'm not willing to let my hw get any hotter than that, sorry.

Diego Liedo (diegoliedo) wrote :

I had a similar problem: 373921 but i solved it by cleaning the fan exhaust conducts.
I'm another one of the timeless persons who can't install other kernels, but as a reference,
and in case this is a hardware issue, here are my reads using Andy's parameters only on one kernel.
Maybe they can serve as a reference.
Toshiba satellite a215-s5825
Athlon 64x2 TK-55
Ati x1200
2.6.28-13-generic #44-Ubuntu SMP Tue Jun 2 07:55:09 UTC 2009
temp1: +54.0°C (crit = +102.0°C) (idle)
temp1: +68.0°C (crit = +102.0°C) (when fan speeds up, about a minute after starting stress)
temp1: +72.0°C (crit = +102.0°C) (5 minutes of stress)
temp1: +77.0°C (crit = +102.0°C) (10 minutes of stress)
temp1: +80.0°C (crit = +102.0°C) (15 minutes of stress)
        After killing stress
temp1: +64.0°C (crit = +102.0°C) (1 minute after)
temp1: +60.0°C (crit = +102.0°C) (5 minutes after)
temp1: +58.0°C (crit = +102.0°C) (10 minutes after)

Andy Whitcroft (apw) on 2009-06-25
Changed in linux (Ubuntu):
assignee: Ubuntu Kernel ACPI Team (ubuntu-kernel-acpi) → Andy Whitcroft (apw)
Andy Whitcroft (apw) wrote :

@Michal Pěnka -- yes you can just download the appropriate kernel for you i386/amd64 and just install those with dpkg. They should install in parallel and you can simply select them in the main grub menu.

@all -- the key desire here is to isolate exactly when this issue appeared. There seems to be enough people indicating they have an issue to make it likely that later kernels are triggering this behaviour. As generally the kernel does not get involved in fan control directly it must be something else triggering the change. As there are some 20k changes in every mainline release and normally at least 2 mainline releases in every Ubuntu release, there is a huge amount of change in each kernel. This huge change makes it hard to pinpoint such a behaviour. The normal way to do this is to identify kernel versions which exhibit the behaviour and those which do not and bisect the gap to narrow down the the exact mainline release produced the change, and then within that release. This is the source of my requests for testing of specific kernel versions.

For me, the 2.6.28 kernel does trigger it. Running 2.6.27-14 works fine.

(Actually, subjectivly 2.6.27-14 is not perfect either, but I haven't
managed yet to kill it via burnK7, while 2.6.28 takes less than 60s of
2xburnK7 (dualcore) to shutdown)

To summarize:

Hardy/Intrepid ran perfect on the hardware (temperature-wise)

2.6.27-14 feels slightly to loud on fan noise, but that's strictly
subjective. The scripts that I wrote to burn and log have been not able
to force a thermal shutdown for over 15 minutes.

2.6.28 can be easily crashed by
So it's really only the kernel, or something in userland that depends
upon the currently running kernel. Demonstrated via logs/scripts that I
posted to my bug report. Thermal shutdown happens after less than 60
seconds.

So just booting a different kernel makes my laptop go into thermal
shutdown, so it is a kernel or kernel-specific userland problem.

Andreas

Am Donnerstag, den 25.06.2009, 08:31 +0000 schrieb Andy Whitcroft:
> @Michal Pěnka -- yes you can just download the appropriate kernel for
> you i386/amd64 and just install those with dpkg. They should install in
> parallel and you can simply select them in the main grub menu.
>
> @all -- the key desire here is to isolate exactly when this issue
> appeared. There seems to be enough people indicating they have an issue
> to make it likely that later kernels are triggering this behaviour. As
> generally the kernel does not get involved in fan control directly it
> must be something else triggering the change. As there are some 20k
> changes in every mainline release and normally at least 2 mainline
> releases in every Ubuntu release, there is a huge amount of change in
> each kernel. This huge change makes it hard to pinpoint such a
> behaviour. The normal way to do this is to identify kernel versions
> which exhibit the behaviour and those which do not and bisect the gap to
> narrow down the the exact mainline release produced the change, and then
> within that release. This is the source of my requests for testing of
> specific kernel versions.
>

Architecture: i386
DistroRelease: Ubuntu 9.04
HibernationDevice: RESUME=UUID=84817c49-1557-4bf3-af9b-5679d04468f7
Lsusb:
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 002 Device 002: ID 0458:003a KYE Systems Corp. (Mouse Systems)
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: Acer, inc. Aspire 5000
Package: linux-image-2.6.28-13-generic 2.6.28-13.44
PackageArchitecture: i386
ProcCmdLine: root=UUID=11a14c8c-ec74-40d4-8cff-924a320898ca ro quiet splash
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, user)
 LANG=ru_RU.UTF-8
ProcVersionSignature: Ubuntu 2.6.28-13.44-generic
Uname: Linux 2.6.28-13-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Igor Starikov (idlesign) wrote :
Igor Starikov (idlesign) wrote :
Igor Starikov (idlesign) wrote :
Igor Starikov (idlesign) wrote :
Igor Starikov (idlesign) wrote :
Igor Starikov (idlesign) wrote :
Igor Starikov (idlesign) wrote :
Igor Starikov (idlesign) wrote :
Maurizio (mauriziosilverii) wrote :
Maurizio (mauriziosilverii) wrote :
Maurizio (mauriziosilverii) wrote :

Architecture: i386
DistroRelease: Ubuntu 9.04
HibernationDevice: RESUME=UUID=91117883-e8de-4553-b567-27afcf45749c
Lsusb:
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 002: ID 0c45:62c0 Microdia Pavilion Webcam
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: Hewlett-Packard HP Pavilion dv2000 (EZ644UA#ABA)
NonfreeKernelModules: nvidia
Package: linux-image-2.6.28-11-generic 2.6.28-11.42
PackageArchitecture: i386
ProcCmdLine: root=UUID=53bb2779-d451-4c02-88d9-5fe4eb5fcad2 ro quiet splash
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, no user)
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.28-11.42-generic
Uname: Linux 2.6.28-11-generic i686
UserGroups: adm admin audio cdrom dialout dip floppy fuse lpadmin plugdev uml-net video

Alex Bernea (alex-bernea) wrote :
Alex Bernea (alex-bernea) wrote :
Alex Bernea (alex-bernea) wrote :
Alex Bernea (alex-bernea) wrote :
Alex Bernea (alex-bernea) wrote :
Alex Bernea (alex-bernea) wrote :
Alex Bernea (alex-bernea) wrote :
Alex Bernea (alex-bernea) wrote :

The report to https://bugs.launchpad.net/ubuntu/+bug/370173/comments/129, take it from me

I've started with my current kernel:
Linux version 2.6.28-13-generic (buildd@palmer) (gcc version 4.3.3 (Ubuntu 4.3.3-5ubuntu4) ) #44-Ubuntu SMP Tue Jun 2 07:57:31 UTC 2009

Before stress $ sensors
acpitz-virtual-0
Adapter: Virtual device
temp1: +53.0°C (crit = +97.0°C)
k8temp-pci-00c3
Adapter: PCI adapter
Core0 Temp: +57.0°C

Laptop shutdown after 8 min 30 sec under stress -cpu 16 --vm 2 --vm-bytes 128M
8 min 30 sec - that's the time I will use for all further tests
---

Next I switched back to Jaunty kernel:
Linux version 2.6.27-14-generic (buildd@vernadsky) (gcc version 4.3.2 (Ubuntu 4.3.2-1ubuntu12) ) #1 SMP Fri Jun 5 10:14:59 UTC 2009

Before stress $ sensors
acpitz-virtual-0
Adapter: Virtual device
temp1: +53.0°C (crit = +97.0°C)
k8temp-pci-00c3
Adapter: PCI adapter
Core0 Temp: +63.0°C

After 8 min 30 sec stress $ sensors
acpitz-virtual-0
Adapter: Virtual device
temp1: +74.0°C (crit = +97.0°C)
k8temp-pci-00c3
Adapter: PCI adapter
Core0 Temp: +85.0°C
---

While installing 2.6.30 upcoming kernel got the following errors:
* vboxdrv (2.1.4) Cannot install this module.
* vboxnetflt (2.1.4) Cannot install this module.

Nevertheless
Linux version 2.6.30-020630-generic (root@zinc) (gcc version 4.2.3 (Ubuntu 4.2.3-2ubuntu7)) #020630 SMP Wed Jun 10 09:45:40 UTC 2009

Before stress $ sensors
acpitz-virtual-0
Adapter: Virtual device
temp1: +41.0°C (crit = +97.0°C)
k8temp-pci-00c3
Adapter: PCI adapter
Core0 Temp: +45.0°C

After 8 min 30 sec stress $ sensors
acpitz-virtual-0
Adapter: Virtual device
temp1: +74.0°C (crit = +97.0°C)
k8temp-pci-00c3
Adapter: PCI adapter
Core0 Temp: +75.0°C
---

Just like that: 2.6.30 seems promissing.

Stefan Bader (smb) wrote :

Trying to supply more data but for me there seems to be no visible issue:

Kernel: 2.6.28-13-generic (32bit)
Host: Dell Inspiron 1525 (AMD Turion(tm) 64 X2 Mobile Technology TL-64)

With "stress --cpu 16 --vm 2 --vm-bytes 128M", I only get a temperature rise of 44°C to 66°C while the fan speeds up accordingly.

Mick (gumtree) wrote :

I am getting the same issue here too
Fresh install of 9.04 today. The installer failed and shut down the PC at about 25-27%. I tried to install 3 times.

I made a bootable USB to install Ubuntu and this time it worked.

With nothing running, first boot I noticed the PC was very slow. I checked the performance meter, 1/2 CPU was constantly at 100%.
It was switching CPU over every 60 sec or so.

Even on LiveCD, same issue. Very sluggish, 100% CPU used with no application running. CPU FAN running high speed all the time.
No process is using 100%. Only process to use about£% is the Gnome manager. Everything else at 0%.

My laptop is a Compaq Presario CQ60, AMD Turion 64 X2.

HTH

Mick (gumtree) wrote :

Yeah ok I just discovered, this is a known issue since the last couple of years.

You can fix it by adding "noapic nolapic" to your boot options.

HTH

Jitterro (jitterro) wrote :

This bug is affecting me as well. I've attached my lshw just in case it could be of any help.

Marcos Jr (junalmeida) wrote :
Andy Whitcroft (apw) wrote :

All my testing on my kit here shows the basic same behaviour with 2.6.27/28/30/31 based kernels, no particular kernel seems to show any advantage. This is on a T30, a Dell 1537, and also on a quad core server. Only the T30 shows any strong shift up in temperature when loaded, but does consistently on all those tested kernels.

CharleyS (charley-socci-com) wrote :

@arsenix - I took the Lenovo T61 apart and applied a liberal coat of thermal paste on the cpu and gpu. I then tightened down the heatsink/heatpipe fan unit firmly.

It seems to be running *much* cooler - I ran the stress test again and didn't hit 70C...

This is with the fan running disengaged just shy of 5000 rpm.

This may be specific to Lenovo T61's - but if you have one, its worth checking out. There is full documentation of the procedure to remove the fan/heatsink unit on Lenovo's site. Just search for your model in the support section.

I don't think this is a fix necessarily, but the temps are much improved.

Perhaps there is an issue with the T30 also. It seems Lenovo must have been running out of thermal grease when they put this one together...

dlf (dlfg68) wrote :

Using a Dell latitude D620 running Ubuntu 8.10 using kernel - 2.6.27-14-generic, I can overheat the laptop in ~ 25 minutes running the program stress with the following syntax: stress --cpu 8 --io 4 --vm 2 --vm-bytes 128M

While running the program stress I have loaded the i8k module and gkrellm to force the fan on full time. The fan is running at full speed prior to initiating the test with no load. Even with the fan still running, the laptop will shutdown after ~ 25 minutes. At start of the run with nothing running -
acpitz-virtual-0
Adapter: Virtual device
temp1: +55.5°C (crit = +126.0°C)

coretemp-isa-0000
Adapter: ISA adapter
Core 0: +56.0°C (high = +100.0°C, crit = +100.0°C)

Shutdown at -
acpitz-virtual-0
Adapter: Virtual device
temp1: +90.5°C (crit = +126.0°C)

coretemp-isa-0000
Adapter: ISA adapter
Core 0: +89.0°C (high = +100.0°C, crit = +100.0°C)

I have a HP DV1240 running Ubuntu Jaunty running kernel - 2.6.28-11-generic which is running really hot also. I haven't attempted to stress test it to determine its thermal threshold, but it gets uncomfortably hot also and the fan doesn't appear to kick nearly enough.

I'll attach a lshw of the dell 620.

dlf

Andy Whitcroft (apw) wrote :

We may have found one potential trigger for this behaviour in testing. We have seen some correlation between hibernate and CPU overheating. Therefore could those of you definatly suffering this issue, ie. those who have had thermal shutdowns, please compare the behaviour of the machine following a clean reboot, and then after a hibernate. As before could you record the temperature reported under sensors when running the stress applications as detailed above. It might also be instructive to try the same after just a suspend. Please report back here. Thanks!

never used hibernate on my t61. excessive heating starts right after clean restart.

Marcos Jr (junalmeida) wrote :

i've never used hibernate on my tx2110.
seems that fan does not spin up early enough.
i tryed to install the powernowd package, as it's default on intrepid, but this makes no difference on jaunty 64.

Igor Starikov (idlesign) wrote :

@Andy Whitcroft:
I don't use hibernate on my Acer Aspire 5005. Still need that report?

Paul C. Bryan (pbryan) wrote :

I have a Lenovo X61, and have experienced shutdown due to excessive heat. I don't use hibernate.

CylnZ (cylnzz) wrote :

Same here, I dont use hibernate and from clean boot (cycle power) The system overheats. I've lifted both laptops with yahtzi dice and run deskfans under each to keep cool, and I just boot into windows if I have to go portable. with the deskfans on and proc set to perf i never hit 55C even playing games just like it should be.

Again, both systems have pm965 chips which have no way to control fans.

6860fx temps with deskfan blowing across system, cpu 35c, hdd0 41c, hdd1 43c, 8800gts 43c.
6860fx temps with deskfan off, cpu 58c, hdd0 53c, hdd1 55c, 8800gts 49c.

obviously, i just need a way to turn the fans on and leave them on, I could give a @#$@ less about battery life or fan noise. I didnt buy a desktop replacement to simulate a palmtop or ibook. I bought it for power and performance. this comes at the cost of heat. Active cooling is the answer to heat, if I can turn it on. I know, you're working on it. It's just a bit frustrating to read the money and excitement being poured into ubuntu cloud suites when the systems overheat before you can connect to said cloud.

Todd Smith (td-smith) wrote :
Download full text (3.5 KiB)

Do my eyes deceive me? Did canonical finely recognize this after 96
emails to my inbox? Andy you are testing this on a desktop? This is
a problem with laptops!!!!! Mr Prabhakar, downgrade to 8 or use
Fedora if you want an immediate fix.

Peace out

On Thu, Jul 9, 2009 at 12:26 AM, Prabhakar Nagral<email address hidden> wrote:
>
> Hi Andy,
>
> I have Lenovo W500 and after loading 9.04, it gets heated tremendously.
> Can you please fix this bug ASAP? Or else, provide me with workaround.
>
> Regards,
> -Prabhakar Nagral
>
> --- On Mon, 6/7/09, Andy Whitcroft <email address hidden> wrote:
>
>> From: Andy Whitcroft <email address hidden>
>> Subject: [Bug 370173] Re: Ubuntu 9.04 laptop overheat and shutdown
>> To: <email address hidden>
>> Date: Monday, 6 July, 2009, 8:47 PM
>> All my testing on my kit here shows
>> the basic same behaviour with
>> 2..6.27/28/30/31 based kernels, no particular kernel seems
>> to show any
>> advantage.  This is on a T30, a Dell 1537, and also on
>> a quad core
>> server.  Only the T30 shows any strong shift up in
>> temperature when
>> loaded, but does consistently on all those tested kernels.
>>
>> --
>> Ubuntu 9.04 laptop overheat and shutdown
>> https://bugs.launchpad.net/bugs/370173
>> You received this bug notification because you are a direct
>> subscriber
>> of the bug.
>>
>> Status in “linux” package in Ubuntu: In Progress
>>
>> Bug description:
>> Ubuntu 9.04, fresh install on Acer Aspire 5005.
>> Not sure about package, but it seems the problem is with
>> CPU frequency adjustment or fan control.
>> Laptop shuts down right in the middle of CPU-greedy
>> operation overheated. I haven't seen it before (since
>> 7.10).
>> The issue is discussed at several forums (eg. http://ubuntuforums.org/showthread.php?t=1130450)
>>
>> ----
>>      *-cpu
>>           product: AMD Turion(tm)
>> 64 Mobile Technology ML-37
>>           vendor: Advanced Micro
>> Devices [AMD]
>>           physical id: 1
>>           bus info: cpu@0
>>           version: 15.4.2
>>           size: 2GHz
>>           capacity: 2GHz
>>           width: 64 bits
>>           capabilities: fpu
>> fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep
>> mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2
>> syscall nx mmxext fxsr_opt x86-64 3dnowext 3dnow up pni
>> lahf_lm cpufreq
>>
>
>
>      Love Cricket? Check out live scores, photos, video highlights and more. Click here http://cricket.yahoo.com
>
> --
> Ubuntu 9.04 laptop overheat and shutdown
> https://bugs.launchpad.net/bugs/370173
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “linux” package in Ubuntu: In Progress
>
> Bug description:
> Ubuntu 9.04, fresh install on Acer Aspire 5005.
> Not sure about package, but it seems the problem is with CPU frequency adjustment or fan control.
> Laptop shuts down right in the middle of CPU-greedy operation overheated. I haven't seen it before (since 7.10).
> The issue is discussed at several forums (eg. http://ubuntuforums.org/showthread.php?t=1130450)
>
> ----
>     *-cpu
>          product: AMD Turion(tm) 64 Mobile Technology ML-37
>          vendor: Advanced Micro Devices [AMD]
>        ...

Read more...

@Michael -- there are many bugs reported against the kernel. This one came to our attention as there were a number of duplicates which raises its profile and its priority for attention. I actually said that I had tested it on all the kit I had here and had not been able to reproduce it. That included on two laptops neither of which show the issue. This is not an issue affecting every laptop therefore not trivial to isolate. We have now since found one person who has a reproducible trigger for what appears to be this behaviour and they are attempting to bisect the kernel to find the cause. The problem is looking like it is in mainline also, and likely was introduced in the 2.6.28 release, and so you may well hit the issue in any distro.

For those of you who have experienced thermal shutdowns could we get your acpidump and dmidecode output attached to this bug, run the two commands below and attach the result to this bug:
    sudo acpidump -o acpidump.txt
    sudo dmidecode >dmidecode.txt

For those of you comfortable testing kernels we currently suspect the problem was introduced in v2.6.28 mainline, you might test the v2.6.27 and v2.6.28 kernels from the Mainline Kernel repository to confirm it is not present in v2.6.27 and is in v2.6.28. Those kernel can be found here:

    http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.27/
    http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.28/

and instructions found here:

    https://wiki.ubuntu.com/KernelTeam/MainlineBuilds

If the problem is found to be in v2.6.28 and not in v2.6.27 then it would also be worth testing the following stable updates kernels also:

    http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.27.23/
    http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.27.12/

In all cases please report your testing results back here. Thanks.

Download full text (3.6 KiB)

Hey Andy sounds like you have a heap of fail on your hands. I have
had a patch for a few weeks now. Ubuntu's fan speed is too slow, and
this is the cause of 99% of the 100 posts on this thread. You probalby
can't reproduce the issue because your laptops are not powerful
enough. I can't even run VMWare on my intel dual 2.4ghz dell for more
than 20 min without speeding up the fan. For me its not a matter of
reproducing this, it is a huge barrier that i faced every day until I
fixed it. People are really pissed off, and i was one of them.

peace

On Thu, Jul 9, 2009 at 2:28 AM, Andy Whitcroft<email address hidden> wrote:
> @Michael -- there are many bugs reported against the kernel.  This one
> came to our attention as there were a number of duplicates which raises
> its profile and its priority for attention.  I actually said that I had
> tested it on all the kit I had here and had not been able to reproduce
> it.  That included on two laptops neither of which show the issue.  This
> is not an issue affecting every laptop therefore not trivial to isolate.
> We have now since found one person who has a reproducible trigger for
> what appears to be this behaviour and they are attempting to bisect the
> kernel to find the cause.  The problem is looking like it is in mainline
> also, and likely was introduced in the 2.6.28 release, and so you may
> well hit the issue in any distro.
>
> For those of you who have experienced thermal shutdowns could we get your acpidump and dmidecode output attached to this bug, run the two commands below and attach the result to this bug:
>    sudo acpidump -o acpidump.txt
>    sudo dmidecode >dmidecode.txt
>
> For those of you comfortable testing kernels we currently suspect the
> problem was introduced in v2.6.28 mainline, you might test the v2.6.27
> and v2.6.28 kernels from the Mainline Kernel repository to confirm it is
> not present in v2.6.27 and is in v2.6.28. Those kernel can be found
> here:
>
>    http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.27/
>    http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.28/
>
> and instructions found here:
>
>    https://wiki.ubuntu.com/KernelTeam/MainlineBuilds
>
> If the problem is found to be in v2.6.28 and not in v2.6.27 then it
> would also be worth testing the following stable updates kernels also:
>
>    http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.27.23/
>    http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.27.12/
>
> In all cases please report your testing results back here.  Thanks.
>
> --
> Ubuntu 9.04 laptop overheat and shutdown
> https://bugs.launchpad.net/bugs/370173
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “linux” package in Ubuntu: In Progress
>
> Bug description:
> Ubuntu 9.04, fresh install on Acer Aspire 5005.
> Not sure about package, but it seems the problem is with CPU frequency adjustment or fan control.
> Laptop shuts down right in the middle of CPU-greedy operation overheated. I haven't seen it before (since 7.10).
> The issue is discussed at several forums (eg. http://ubuntuforums.org/showthread.php?t=1130450)
>
> ----
>     *-cpu
>          product: AMD Turion(...

Read more...

CharleyS (charley-socci-com) wrote :

DMIDECODE dump

Ok, my case is clearly not hibernate related, as it happens as demonstrated immediatly after boot with 2.6.28 (burnK7 kills the laptop in less than a minute).

Now, as far as I've been able to tell, 2.6.30 mainline does run stable on my laptop.

I've installed it from http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.30/

The only issues, and not sure how to fix it, are:

-) no restricted kernel modules, so no WLAN for me.
-) no nvidia kernel module so no X11 for me. (this might work with the nouveau driver, but I haven't tested it yet).

Any idea how to fix these two things?

Andreas

Andy Whitcroft (apw) wrote :

@Michael -- indeed the T30 is not very powerful, but the other has a top of the range dual core cpu in it. The fact is there is an underlying trigger which only affects a small subset of users. That is how this bug got released in the first place, you can be sure if it was routinely hitting any of the development teams during the release cycle we would have known about it much sooner. As for your fix I am glad you have a way to keep working, but that is a work around which can only work on a small subset of machines, it is not a solution to the underlying issue either for you or anyone else.

In the majority of the reported cases we are not meant to have any control or intervention in the fan control. We rely on the BIOS setup for these components and there is no software component in the monitoring of temperature nor in the control of the fan speed in response. It is therefore very hard to identify what has changed in the kernel to trigger this change in behaviour. Clearly there is a kernel component or interaction triggering the issue as only changing the kernel changes the bahaviour. The tests I have requested would help us eliminate some of the kernel delta which is suspected as triggering the issue (the difference between v2.6.27 and v2.6.28).

One thing that I forgot, my WLAN would be 03:00.0 Network controller: Broadcom Corporation BCM4328 802.11a/b/g/n (rev 03)

@Prabhakar Nagral:

Simply using the power manager from a different release is anything but simple.
It's not as if "the power manager" is one thing, power management is a cooperation of:

-) hardware
-) firmware (BIOS/ACPI, whatever)
-) kernel
-) userspace

Worse, some of these parts are almost certainly "defective" (in a tight sense), e.g. I wouldn't count on 99% of the BIOSes implementing full specs, beyond what a certain legacy OS from the north west needs. So even changes how the kernel interacts with the BIOS that have no direct relevance (at first glance) to power management, can influence the situation. Furthermore, it all can depend upon:

-) configuration (hardware/software)
-) production variance/tolerance. (E.g. some devices X of manufacturer Y work, some don't.)

The problems that this issue has, are IMHO:

-) it's still not really reproducible.
-) it's still probably a mix of different causes (e.g. there are enough cases that are not hibernation related)
-) it seems to be not reproducible even on the same hardware, there seems to be people running officially the same hardware that have/have not problems.
-) it's dependent upon the environment. E.g. while some hard cases have the problem always, others only experience them in warm weather.
-) some cases might be hardware related. Enough cases are not so.

So generally speaking, as a software developer, this issue is classification wise pure hell to fix. At least Ubuntu has assigned somebody that takes a look into this. Don't expect a solution that fixes all problems quickly :(

@Andy

Wondering, do we have a git repo of the kernels used by ubuntu, wondering if I might try out git bisect myself on my laptop?

Andreas

Paul C. Bryan (pbryan) wrote :
Paul C. Bryan (pbryan) wrote :
Alex Bernea (alex-bernea) wrote :
Alex Bernea (alex-bernea) wrote :

Andy, why hasn't Canonical released a fix to speed up the fan? It
has been MONTHS and this issues affects everyone at some level. There
are so many people on this thread, the bug is obvious like cerebral
palsy.

peace

On Thu, Jul 9, 2009 at 3:47 AM, CharleyS<email address hidden> wrote:
> ACPI dump
>
> ** Attachment added: "ACPI dump"
>   http://launchpadlibrarian.net/28844512/acpidump.txt
>
> --
> Ubuntu 9.04 laptop overheat and shutdown
> https://bugs.launchpad.net/bugs/370173
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “linux” package in Ubuntu: In Progress
>
> Bug description:
> Ubuntu 9.04, fresh install on Acer Aspire 5005.
> Not sure about package, but it seems the problem is with CPU frequency adjustment or fan control.
> Laptop shuts down right in the middle of CPU-greedy operation overheated. I haven't seen it before (since 7.10).
> The issue is discussed at several forums (eg. http://ubuntuforums.org/showthread.php?t=1130450)
>
> ----
>     *-cpu
>          product: AMD Turion(tm) 64 Mobile Technology ML-37
>          vendor: Advanced Micro Devices [AMD]
>          physical id: 1
>          bus info: cpu@0
>          version: 15.4.2
>          size: 2GHz
>          capacity: 2GHz
>          width: 64 bits
>          capabilities: fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 syscall nx mmxext fxsr_opt x86-64 3dnowext 3dnow up pni lahf_lm cpufreq
>

@Michael: Because as Andy has pointed out, this problem happens often
(if not only) on hardware where there is no software control of the fan.

Example, my laptop, the HP Pavilion tx2050eg Tablet PC. No software
control, at least not from Linux.

So why speeding up the fan on hardware where this is possible is a
possible workaround for these users, it's basically a fix for symptoms
and nothing else.

Andreas

Am Donnerstag, den 09.07.2009, 19:48 +0000 schrieb Michael Brooks:
> Andy, why hasn't Canonical released a fix to speed up the fan? It
> has been MONTHS and this issues affects everyone at some level. There
> are so many people on this thread, the bug is obvious like cerebral
> palsy.
>
> peace
>
> On Thu, Jul 9, 2009 at 3:47 AM, CharleyS<email address hidden> wrote:
> > ACPI dump
> >
> > ** Attachment added: "ACPI dump"
> > http://launchpadlibrarian.net/28844512/acpidump.txt
> >
> > --
> > Ubuntu 9.04 laptop overheat and shutdown
> > https://bugs.launchpad.net/bugs/370173
> > You received this bug notification because you are a direct subscriber
> > of a duplicate bug.
> >
> > Status in “linux” package in Ubuntu: In Progress
> >
> > Bug description:
> > Ubuntu 9.04, fresh install on Acer Aspire 5005.
> > Not sure about package, but it seems the problem is with CPU frequency adjustment or fan control.
> > Laptop shuts down right in the middle of CPU-greedy operation overheated. I haven't seen it before (since 7.10).
> > The issue is discussed at several forums (eg. http://ubuntuforums.org/showthread.php?t=1130450)
> >
> > ----
> > *-cpu
> > product: AMD Turion(tm) 64 Mobile Technology ML-37
> > vendor: Advanced Micro Devices [AMD]
> > physical id: 1
> > bus info: cpu@0
> > version: 15.4.2
> > size: 2GHz
> > capacity: 2GHz
> > width: 64 bits
> > capabilities: fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 syscall nx mmxext fxsr_opt x86-64 3dnowext 3dnow up pni lahf_lm cpufreq
> >
>

Todd Smith (td-smith) wrote :
Download full text (3.4 KiB)

My laptop stopped shitting down every 20 minutes when i sped up the
fan. So Andy is mistaken. This bug should have never happened and
should have been fixed months ago.

peace

On Thu, Jul 9, 2009 at 1:09 PM, Andreas Kostyrka<email address hidden> wrote:
> @Michael: Because as Andy has pointed out, this problem happens often
> (if not only) on hardware where there is no software control of the fan.
>
> Example, my laptop, the HP Pavilion tx2050eg Tablet PC. No software
> control, at least not from Linux.
>
> So why speeding up the fan on hardware where this is possible is a
> possible workaround for these users, it's basically a fix for symptoms
> and nothing else.
>
> Andreas
>
> Am Donnerstag, den 09.07.2009, 19:48 +0000 schrieb Michael Brooks:
>> Andy,  why hasn't Canonical released a fix to speed up the fan?   It
>> has been MONTHS and this issues affects everyone at some level.  There
>> are so many people on this thread, the bug is obvious like cerebral
>> palsy.
>>
>> peace
>>
>> On Thu, Jul 9, 2009 at 3:47 AM, CharleyS<email address hidden> wrote:
>> > ACPI dump
>> >
>> > ** Attachment added: "ACPI dump"
>> >   http://launchpadlibrarian.net/28844512/acpidump.txt
>> >
>> > --
>> > Ubuntu 9.04 laptop overheat and shutdown
>> > https://bugs.launchpad.net/bugs/370173
>> > You received this bug notification because you are a direct subscriber
>> > of a duplicate bug.
>> >
>> > Status in “linux” package in Ubuntu: In Progress
>> >
>> > Bug description:
>> > Ubuntu 9.04, fresh install on Acer Aspire 5005.
>> > Not sure about package, but it seems the problem is with CPU frequency adjustment or fan control.
>> > Laptop shuts down right in the middle of CPU-greedy operation overheated. I haven't seen it before (since 7.10).
>> > The issue is discussed at several forums (eg. http://ubuntuforums.org/showthread.php?t=1130450)
>> >
>> > ----
>> >     *-cpu
>> >          product: AMD Turion(tm) 64 Mobile Technology ML-37
>> >          vendor: Advanced Micro Devices [AMD]
>> >          physical id: 1
>> >          bus info: cpu@0
>> >          version: 15.4.2
>> >          size: 2GHz
>> >          capacity: 2GHz
>> >          width: 64 bits
>> >          capabilities: fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 syscall nx mmxext fxsr_opt x86-64 3dnowext 3dnow up pni lahf_lm cpufreq
>> >
>>
>
> --
> Ubuntu 9.04 laptop overheat and shutdown
> https://bugs.launchpad.net/bugs/370173
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “linux” package in Ubuntu: In Progress
>
> Bug description:
> Ubuntu 9.04, fresh install on Acer Aspire 5005.
> Not sure about package, but it seems the problem is with CPU frequency adjustment or fan control.
> Laptop shuts down right in the middle of CPU-greedy operation overheated. I haven't seen it before (since 7.10).
> The issue is discussed at several forums (eg. http://ubuntuforums.org/showthread.php?t=1130450)
>
> ----
>     *-cpu
>          product: AMD Turion(tm) 64 Mobile Technology ML-37
>          vendor: Advanced Micro Devices [AMD]
>          physical id: 1
>          bus info: cpu@...

Read more...

Todd Smith (td-smith) wrote :
Download full text (3.7 KiB)

You know what I don't even care that I fixed this bug. Fuck this
shit I'm moving to Fedora.

Peace

On Thu, Jul 9, 2009 at 1:20 PM, Michael Brooks<email address hidden> wrote:
> My laptop stopped shitting down every 20 minutes when i sped up the
> fan.  So Andy is mistaken.   This bug should have never happened and
> should have been fixed months ago.
>
> peace
>
> On Thu, Jul 9, 2009 at 1:09 PM, Andreas Kostyrka<email address hidden> wrote:
>> @Michael: Because as Andy has pointed out, this problem happens often
>> (if not only) on hardware where there is no software control of the fan.
>>
>> Example, my laptop, the HP Pavilion tx2050eg Tablet PC. No software
>> control, at least not from Linux.
>>
>> So why speeding up the fan on hardware where this is possible is a
>> possible workaround for these users, it's basically a fix for symptoms
>> and nothing else.
>>
>> Andreas
>>
>> Am Donnerstag, den 09.07.2009, 19:48 +0000 schrieb Michael Brooks:
>>> Andy,  why hasn't Canonical released a fix to speed up the fan?   It
>>> has been MONTHS and this issues affects everyone at some level.  There
>>> are so many people on this thread, the bug is obvious like cerebral
>>> palsy.
>>>
>>> peace
>>>
>>> On Thu, Jul 9, 2009 at 3:47 AM, CharleyS<email address hidden> wrote:
>>> > ACPI dump
>>> >
>>> > ** Attachment added: "ACPI dump"
>>> >   http://launchpadlibrarian.net/28844512/acpidump.txt
>>> >
>>> > --
>>> > Ubuntu 9.04 laptop overheat and shutdown
>>> > https://bugs.launchpad.net/bugs/370173
>>> > You received this bug notification because you are a direct subscriber
>>> > of a duplicate bug.
>>> >
>>> > Status in “linux” package in Ubuntu: In Progress
>>> >
>>> > Bug description:
>>> > Ubuntu 9.04, fresh install on Acer Aspire 5005.
>>> > Not sure about package, but it seems the problem is with CPU frequency adjustment or fan control.
>>> > Laptop shuts down right in the middle of CPU-greedy operation overheated. I haven't seen it before (since 7.10).
>>> > The issue is discussed at several forums (eg. http://ubuntuforums.org/showthread.php?t=1130450)
>>> >
>>> > ----
>>> >     *-cpu
>>> >          product: AMD Turion(tm) 64 Mobile Technology ML-37
>>> >          vendor: Advanced Micro Devices [AMD]
>>> >          physical id: 1
>>> >          bus info: cpu@0
>>> >          version: 15.4.2
>>> >          size: 2GHz
>>> >          capacity: 2GHz
>>> >          width: 64 bits
>>> >          capabilities: fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 syscall nx mmxext fxsr_opt x86-64 3dnowext 3dnow up pni lahf_lm cpufreq
>>> >
>>>
>>
>> --
>> Ubuntu 9.04 laptop overheat and shutdown
>> https://bugs.launchpad.net/bugs/370173
>> You received this bug notification because you are a direct subscriber
>> of a duplicate bug.
>>
>> Status in “linux” package in Ubuntu: In Progress
>>
>> Bug description:
>> Ubuntu 9.04, fresh install on Acer Aspire 5005.
>> Not sure about package, but it seems the problem is with CPU frequency adjustment or fan control.
>> Laptop shuts down right in the middle of CPU-greedy operation overheated. I haven't seen it before (since 7.10).
>> The issue is dis...

Read more...

Todd Smith (td-smith) wrote :
Download full text (4.6 KiB)

@Andreas here is some software that speeds up the fan on my Dell
Laptop to the max and it is what i have been using to fix this bug:
#!/usr/bin/python
import os
import time
#apt-get install i8kutils
#sudo modprobe i8k force=1
while(True):
 os.system("i8kfan speed 10000 > /dev/null")
 time.sleep(.5)

So Andreras, you have no idea what you are talking about. I am
leaving Ubuntu because it is too buggy to mission critical
applications. Regression testing is important. I shouldn't have to
write my own patches and then sit back and watch everyone run in
circles. This bug is wide spread and very easy to reproduce, yet
there has been no official fix, even to this day.

Peace

On Thu, Jul 9, 2009 at 1:26 PM, Michael Brooks<email address hidden> wrote:
> You know what I don't even care that I fixed this bug.   Fuck this
> shit I'm moving to Fedora.
>
> Peace
>
> On Thu, Jul 9, 2009 at 1:20 PM, Michael Brooks<email address hidden> wrote:
>> My laptop stopped shitting down every 20 minutes when i sped up the
>> fan.  So Andy is mistaken.   This bug should have never happened and
>> should have been fixed months ago.
>>
>> peace
>>
>> On Thu, Jul 9, 2009 at 1:09 PM, Andreas Kostyrka<email address hidden> wrote:
>>> @Michael: Because as Andy has pointed out, this problem happens often
>>> (if not only) on hardware where there is no software control of the fan.
>>>
>>> Example, my laptop, the HP Pavilion tx2050eg Tablet PC. No software
>>> control, at least not from Linux.
>>>
>>> So why speeding up the fan on hardware where this is possible is a
>>> possible workaround for these users, it's basically a fix for symptoms
>>> and nothing else.
>>>
>>> Andreas
>>>
>>> Am Donnerstag, den 09.07.2009, 19:48 +0000 schrieb Michael Brooks:
>>>> Andy,  why hasn't Canonical released a fix to speed up the fan?   It
>>>> has been MONTHS and this issues affects everyone at some level.  There
>>>> are so many people on this thread, the bug is obvious like cerebral
>>>> palsy.
>>>>
>>>> peace
>>>>
>>>> On Thu, Jul 9, 2009 at 3:47 AM, CharleyS<email address hidden> wrote:
>>>> > ACPI dump
>>>> >
>>>> > ** Attachment added: "ACPI dump"
>>>> >   http://launchpadlibrarian.net/28844512/acpidump.txt
>>>> >
>>>> > --
>>>> > Ubuntu 9.04 laptop overheat and shutdown
>>>> > https://bugs.launchpad.net/bugs/370173
>>>> > You received this bug notification because you are a direct subscriber
>>>> > of a duplicate bug.
>>>> >
>>>> > Status in “linux” package in Ubuntu: In Progress
>>>> >
>>>> > Bug description:
>>>> > Ubuntu 9.04, fresh install on Acer Aspire 5005.
>>>> > Not sure about package, but it seems the problem is with CPU frequency adjustment or fan control.
>>>> > Laptop shuts down right in the middle of CPU-greedy operation overheated. I haven't seen it before (since 7.10).
>>>> > The issue is discussed at several forums (eg. http://ubuntuforums.org/showthread.php?t=1130450)
>>>> >
>>>> > ----
>>>> >     *-cpu
>>>> >          product: AMD Turion(tm) 64 Mobile Technology ML-37
>>>> >          vendor: Advanced Micro Devices [AMD]
>>>> >          physical id: 1
>>>> >          bus info: cpu@0
>>>> >          version: 15.4.2
>>>> >          size: 2GHz
>>>> >   ...

Read more...

Download full text (4.3 KiB)

Notice the critical word here: YOUR laptop.

Your hacked workaround (which might be inacceptable to some users too,
next issue "my laptop is to loud running Ubuntu"), does not apply to
many of the users plagued by this problem, as their laptop do not
provide fan control (at all, or at least not under Linux) to software.

Or is that a volunteer offer to implement all potentially missing
drivers (which does not solve the problem for hardware that does not
provide that control at all)?

OTOH, I guess it would be helpful if you could document your workaround,
for people that might benefit from it.

Andreas

Am Donnerstag, den 09.07.2009, 20:20 +0000 schrieb Michael Brooks:
> My laptop stopped shitting down every 20 minutes when i sped up the
> fan. So Andy is mistaken. This bug should have never happened and
> should have been fixed months ago.
>
> peace
>
> On Thu, Jul 9, 2009 at 1:09 PM, Andreas Kostyrka<email address hidden> wrote:
> > @Michael: Because as Andy has pointed out, this problem happens often
> > (if not only) on hardware where there is no software control of the fan.
> >
> > Example, my laptop, the HP Pavilion tx2050eg Tablet PC. No software
> > control, at least not from Linux.
> >
> > So why speeding up the fan on hardware where this is possible is a
> > possible workaround for these users, it's basically a fix for symptoms
> > and nothing else.
> >
> > Andreas
> >
> > Am Donnerstag, den 09.07.2009, 19:48 +0000 schrieb Michael Brooks:
> >> Andy, why hasn't Canonical released a fix to speed up the fan? It
> >> has been MONTHS and this issues affects everyone at some level. There
> >> are so many people on this thread, the bug is obvious like cerebral
> >> palsy.
> >>
> >> peace
> >>
> >> On Thu, Jul 9, 2009 at 3:47 AM, CharleyS<email address hidden> wrote:
> >> > ACPI dump
> >> >
> >> > ** Attachment added: "ACPI dump"
> >> > http://launchpadlibrarian.net/28844512/acpidump.txt
> >> >
> >> > --
> >> > Ubuntu 9.04 laptop overheat and shutdown
> >> > https://bugs.launchpad.net/bugs/370173
> >> > You received this bug notification because you are a direct subscriber
> >> > of a duplicate bug.
> >> >
> >> > Status in “linux” package in Ubuntu: In Progress
> >> >
> >> > Bug description:
> >> > Ubuntu 9.04, fresh install on Acer Aspire 5005.
> >> > Not sure about package, but it seems the problem is with CPU frequency adjustment or fan control.
> >> > Laptop shuts down right in the middle of CPU-greedy operation overheated. I haven't seen it before (since 7.10).
> >> > The issue is discussed at several forums (eg. http://ubuntuforums.org/showthread.php?t=1130450)
> >> >
> >> > ----
> >> > *-cpu
> >> > product: AMD Turion(tm) 64 Mobile Technology ML-37
> >> > vendor: Advanced Micro Devices [AMD]
> >> > physical id: 1
> >> > bus info: cpu@0
> >> > version: 15.4.2
> >> > size: 2GHz
> >> > capacity: 2GHz
> >> > width: 64 bits
> >> > capabilities: fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 syscall nx mmxext fxsr_opt x86-64 3dnowext 3dnow up pni lahf_lm cpufreq
> >> >
> >>
> >
> ...

Read more...

I tend to believe this is not a symptom of fan speed being too slow; I have experiented with fan speed (which I can control on my ThinkPad) at relatively high levels, with the result still being processor getting hotter than it should.

@Michael Brooks: I hope your moving to Fedora means that your needless rhetoric and inappropriate comments will go with you. I've been biting my tongue (so to speak) in responding to your bitching here as though Ubuntu owes you something. We're a community, working together to find solutions. If your so-called "bug fix" isn't in the form of a testable patch, then it's not a fix. If you can't code, then STFU and try to help people rather than demanding it just be fixed. Oh, and peace-out.

Download full text (5.6 KiB)

And this is why I'm not using your shitty distro any more.

On Thu, Jul 9, 2009 at 1:37 PM, Andreas Kostyrka<email address hidden> wrote:
> Notice the critical word here: YOUR laptop.
>
> Your hacked workaround (which might be inacceptable to some users too,
> next issue "my laptop is to loud running Ubuntu"), does not apply to
> many of the users plagued by this problem, as their laptop do not
> provide fan control (at all, or at least not under Linux) to software.
>
> Or is that a volunteer offer to implement all potentially missing
> drivers (which does not solve the problem for hardware that does not
> provide that control at all)?
>
> OTOH, I guess it would be helpful if you could document your workaround,
> for people that might benefit from it.
>
> Andreas
>
>
> Am Donnerstag, den 09.07.2009, 20:20 +0000 schrieb Michael Brooks:
>> My laptop stopped shitting down every 20 minutes when i sped up the
>> fan.  So Andy is mistaken.   This bug should have never happened and
>> should have been fixed months ago.
>>
>> peace
>>
>> On Thu, Jul 9, 2009 at 1:09 PM, Andreas Kostyrka<email address hidden> wrote:
>> > @Michael: Because as Andy has pointed out, this problem happens often
>> > (if not only) on hardware where there is no software control of the fan.
>> >
>> > Example, my laptop, the HP Pavilion tx2050eg Tablet PC. No software
>> > control, at least not from Linux.
>> >
>> > So why speeding up the fan on hardware where this is possible is a
>> > possible workaround for these users, it's basically a fix for symptoms
>> > and nothing else.
>> >
>> > Andreas
>> >
>> > Am Donnerstag, den 09.07.2009, 19:48 +0000 schrieb Michael Brooks:
>> >> Andy,  why hasn't Canonical released a fix to speed up the fan?   It
>> >> has been MONTHS and this issues affects everyone at some level.  There
>> >> are so many people on this thread, the bug is obvious like cerebral
>> >> palsy.
>> >>
>> >> peace
>> >>
>> >> On Thu, Jul 9, 2009 at 3:47 AM, CharleyS<email address hidden> wrote:
>> >> > ACPI dump
>> >> >
>> >> > ** Attachment added: "ACPI dump"
>> >> >   http://launchpadlibrarian.net/28844512/acpidump.txt
>> >> >
>> >> > --
>> >> > Ubuntu 9.04 laptop overheat and shutdown
>> >> > https://bugs.launchpad.net/bugs/370173
>> >> > You received this bug notification because you are a direct subscriber
>> >> > of a duplicate bug.
>> >> >
>> >> > Status in “linux” package in Ubuntu: In Progress
>> >> >
>> >> > Bug description:
>> >> > Ubuntu 9.04, fresh install on Acer Aspire 5005.
>> >> > Not sure about package, but it seems the problem is with CPU frequency adjustment or fan control.
>> >> > Laptop shuts down right in the middle of CPU-greedy operation overheated. I haven't seen it before (since 7.10).
>> >> > The issue is discussed at several forums (eg. http://ubuntuforums.org/showthread.php?t=1130450)
>> >> >
>> >> > ----
>> >> >     *-cpu
>> >> >          product: AMD Turion(tm) 64 Mobile Technology ML-37
>> >> >          vendor: Advanced Micro Devices [AMD]
>> >> >          physical id: 1
>> >> >          bus info: cpu@0
>> >> >          version: 15.4.2
>> >> >          size: 2GHz
>> >> >          capacity: 2GHz
>> >> >          width: 64 bits
>> >> >     ...

Read more...

Thanks Paul - I couldn't have said it better myself. Man. I've had it.

As has been pointed out AND demonstrated (I falsely believed acpi was controlling my fan speed), the OS does NOT control the fan and that is not the issue.

Yes, hacking the fan will *help* - simple physics will tell you that if you move more air, you'll do more cooling. But that isn't the fundamental problem.

We even showed that the fan speed in Windows was the same. The BIOS controls the fan. So there is something *else* going on.

Oh, yes and as they say, "don't let the door hit ya in the *** on your way out..."

@Paul, your right you agree with me, there is a known fix. But no
one cares, no one was even assigned to this bug for MONTHS. I'm
leaving Ubuntu because this bug system is so broken. Why about the
next bug that damages my hardware?

On Thu, Jul 9, 2009 at 1:40 PM, Paul C. Bryan<email address hidden> wrote:
> I tend to believe this is not a symptom of fan speed being too slow; I
> have experiented with fan speed (which I can control on my ThinkPad) at
> relatively high levels, with the result still being processor getting
> hotter than it should.
>
> @Michael Brooks: I hope your moving to Fedora means that your needless
> rhetoric and inappropriate comments will go with you. I've been biting
> my tongue (so to speak) in responding to your bitching here as though
> Ubuntu owes you something. We're a community, working together to find
> solutions. If your so-called "bug fix" isn't in the form of a testable
> patch, then it's not a fix. If you can't code, then STFU and try to help
> people rather than demanding it just be fixed. Oh, and peace-out.
>
> --
> Ubuntu 9.04 laptop overheat and shutdown
> https://bugs.launchpad.net/bugs/370173
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: In Progress
>
> Bug description:
> Ubuntu 9.04, fresh install on Acer Aspire 5005.
> Not sure about package, but it seems the problem is with CPU frequency adjustment or fan control.
> Laptop shuts down right in the middle of CPU-greedy operation overheated. I haven't seen it before (since 7.10).
> The issue is discussed at several forums (eg. http://ubuntuforums.org/showthread.php?t=1130450)
>
> ----
>     *-cpu
>          product: AMD Turion(tm) 64 Mobile Technology ML-37
>          vendor: Advanced Micro Devices [AMD]
>          physical id: 1
>          bus info: cpu@0
>          version: 15.4.2
>          size: 2GHz
>          capacity: 2GHz
>          width: 64 bits
>          capabilities: fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 syscall nx mmxext fxsr_opt x86-64 3dnowext 3dnow up pni lahf_lm cpufreq
>

@Michael:

Guess your solution is a non-solution here:

[258486.793395] i8k: not running on a supported Dell system.
[258486.793415] i8k: vendor=Hewlett-Packard, model=HP Pavilion tx2000
Notebook PC , version=F.08
[258486.793430] i8k: unable to get SMM Dell signature
[258486.793441] i8k: unable to get SMM BIOS version
[258486.793471] Dell laptop SMM driver v1.14 21/02/2005 Massimo Dal
Zotto (<email address hidden>)

As I mentioned, as valuable your workaround (because letting the fans
run at max is not a solution, it's workaround), it only applies to users
that can control their fan.

As it is a workaround that applies only to part of the people having
problems, it's best left as a workaround in the issue that people having
troubles can apply.

As to your assertion that it's easy to reproduce, it's obviously not.

There are about 100 people following this issue, merged from most if not
all heat related problems on launchpad.

So even if only 1% of the users report their problems, that's around 10k
systems that have this problem. While no one knows for sure, the number
of Ubuntu systems is probably way bigger than 1M.

Basically it's a very tiny slice of the market. Hence very hard to
reproduce and fix. Especially as a description "my laptop shuts down
because temperature problems" is basically useless. It can because the
fan runs to slow. It can because the CPU enters not enough low power
states. That can happen because of a bug in the kernel. Some userland
problems. It's the equivalent of "doctor please help, I think something
is hurting me somewhere, but not sure". (the not sure part comes from
the fact that some of the issues might be coming from real hardware
problems)

While now the doctor tries to figure out what the problem is, your
reaction is "stupid doctor, does nothing, why does he not give this poor
guys the pills that helped me last week? Guess I need to change
doctors!"

And if you prefer Fedora it's your right to go there and pester them.

Andreas

@Michael Brooks:

I don't agree with you. I don't think the problem is "fans are too slow" as you have suggested. I'm certainly not aware of any known fix. I'm aware of your workaround -- that you correctly characterize as a "dirty hack" -- which is to manaually increase the fan speed.

I'm relieved to hear you're leaving Ubuntu because it will reduce the amount of noise on this bug report and allow people who are really trying to work on it to do so without having to react to unqualfiied assertions and unreasonable demands. Take care then, bye bye now.

paul, charleys - is that official ubuntu view that users who find this issue being painfully annoying and months with burning hot laptop is a bit too much - should go and change distro (and what this next suggestion was)?

I for one find it too, tad slow reactions for bug that really fucks up laptop users experience with ubuntu.

You think I should go? You know what, progress like this finally MAKES me go, if I get too pissed of that I just have to run windows now already weeks and monts on end, just because my linux distro will probably burn my legs or my hardware. And if solution will not start coming out, then I look at the calendar and guess what, I am afraid of that next release! Seriously. What if you make my laptop smoke and my harddisk park/unpark quickly enough and some third trick somewhere else... ? What if something like this just happens to find its way to next release? That group of users seems te be minority, who are affected, so You can miss it, right? Well, I cannot afford it. I have to be able to use my laptop. Critical shit like this, (minority usergroup or not), should get fixed, even if it is temporary band-aid first and, quickly. Then take your time to fix a real problem.

No way to make some quick update to 904 with custom little program that would run all your tests that you need, collects all the information necessary and what not? Add it to update and notify for example laptop-users that there has been an issue and if they please run this test thingie, to determine, if they are affected. If preliminary test is positive, tell them and lets run some more specific test. And send you raport about it. Like this (forgot the name, running windows currently) "hardware testing" or whatnot...

Alex Bernea (alex-bernea) wrote :

I upgraded to karmic (kernel 2.6.31-2-generic) and did the `stress --cpu 16 --vm 2 --vm-bytes 128M` test

Before the test:

sensors
acpitz-virtual-0
Adapter: Virtual device
temp1: +86.0°C (crit = +98.0°C)
temp2: +89.0°C (crit = +120.0°C)

k8temp-pci-00c3
Adapter: PCI adapter
Core0 Temp: +87.0°C
Core1 Temp: +87.0°C

After 15 min:

sensors
acpitz-virtual-0
Adapter: Virtual device
temp1: +92.0°C (crit = +98.0°C)
temp2: +85.0°C (crit = +120.0°C)

k8temp-pci-00c3
Adapter: PCI adapter
Core0 Temp: +81.0°C
Core1 Temp: +82.0°C

Right after killing the stress test:

sensors
acpitz-virtual-0
Adapter: Virtual device
temp1: +78.0°C (crit = +98.0°C)
temp2: +81.0°C (crit = +120.0°C)

k8temp-pci-00c3
Adapter: PCI adapter
Core0 Temp: +76.0°C
Core1 Temp: +81.0°C

I am not experiencing shutdowns caused by overheating.
In Jaunty, (Kernel 2.6.28-11-generic) the stress test didn't even last 2 min before shutting itself down.

Paul C. Bryan (pbryan) wrote :

@e13:

I don't know what Ubuntu "official view" is on this issue. I know that people are trying to reproduce this bug and determine how to fix it, and bitching about it not being fixed is not constructive. I duly note, my responses to you and Michael Brooks are not helping them either.

The wonderful thing about free/open source software projects is you have the freedom to choose something else. The other side of that coin is, it's not reasonable for you to stomp your feet and demand solutions. The people participating here are largely volunteers and community members at large.

You want support? I believe Canonical provides it, for a price. Maybe that will get your issues resolved faster. How much did you pay? Coming here saying it's a shitty distro and saying that the bugs shouldn't be there doesn't get closer to a solution, it's a distraction.

Guess what, bugs "shouldn't happen" but they do. Bugs are notoriously difficult to reproduce and correct. Bitching about them doesn't get to a solution. Unsatisfied with the speed at which this bug is being addressed? Roll up your sleeves and start debugging. Otherwise, STFU.

For those aware that I'm probably just feeding the trolls, I apologize. I realize this is a bug report, not a place for grandstanding. I'll now go back to lurking and providing diagnostic output on request. :)

CharleyS (charley-socci-com) wrote :

Some of these guys seem to assume that it is known exactly what the issue is. Are we reading the same thing? As far as I can tell, nobody knows exactly what it is yet - hence asking for dmidecode output and acpi dump.

To complicate the issue further, people are reporting completely different symptoms - with the only common symptom being "heat".

There is no "temporary band-aid fix", unfortunately.

Is it aggravating? Yes, of course. But like Paul said, are you paying for support? If you are NOT paying for support, then the best you can do is participate civilly in a forum with other open source users who are looking for a solution.

Do you want to hear about my sense of entitlement? I feel I'm entitled to participate in a project like this one without having to listen to the purile rantings and ravings of an idiot. That is my sense of entitlement.

Yes, we are entitled to that.

Are we supposed to quake in fear that you might go to another operating system or you had to, shudder, use Windows? You poor thing.

The community is here trying to make this better.

The only "shittiness" I can see here are the purile rants of a small majority of posters.

YOU are the people who make me want to leave Ubuntu.

Not Cannonical, and not the bugs.

hm. good answer. I feel like apologizing for not being able to debug this thing and not being constructive obiviously. and for being pissed off about something. its free, so these things are normal, sry i forgot that.

last response was meant to paul. but same goes for charleys too.

I discovered a new mistake here, I thought first this is some kind of official bugtracker. Sorry for that. Ofcourse, nobody should do nothing for free. At least nobody sholdnot expect them to. In that case, thank you for that chance to use free 904. And those previous ones too, going back for some time.

Download full text (3.9 KiB)

Am Donnerstag, den 09.07.2009, 22:13 +0000 schrieb e13:
> paul, charleys - is that official ubuntu view that users who find this
> issue being painfully annoying and months with burning hot laptop is a
> bit too much - should go and change distro (and what this next
> suggestion was)?

I'm not speaking for Ubuntu or Canonical, but let me address somewhat
your and Michael's expectations.

@Michael: Guess your time is of no value. You've got a working (and by
your own assessment production grade fix) Ubuntu, but I guess you enjoy
installing a new system.

@e13: Well, there are workarounds documented in this ticket. Basically
either try to run your fan faster (Michael's "fix"), or you can use a
different kernel. OTOH, neither of these workarounds are a fix for all
users, so demanding to have them in default distribution is wrong IMHO.

Before you tell me know that you are a non-IT-knowledgeable person,
well, shrug. You know what would happen if that happened with commercial
warranty? You're laptop would be gone for some weeks (you might have
pickup service with a replacement being provided, but that does not save
your data and setup, so it's not really an improvement). And if you are
unlucky your vendor would complain that it's unreproducible and try to
cash in some fees for a check without reasons.

And if think that a commercial vendor would even care for a fault that
happens perhaps once per 10000 units, dream on. Ubuntu (or most Linux
distributions) is different because they have public issue tracking.
Considering that many commercial vendors are not capable of issuing
critical fixes in a reasonable time frame, preferring to leave their
paying customers to be vulnerable. As an example, a commercial vendor of
certain IO devices that cost 5 digits per unit, took over 3 months to
even acknowledge a critical bug in their driver, despite the bug report
being relativly easy to reproduce, and coming from a rather big car
manufacturer. A fixed driver had not been available after 9 months, when
my contract ended.

Back to this issue here:

AFAIK, the issue has not been yet understood, so that's what it
important now.

Andy is trying to track down a case that seems to be related to
hibernation.

A number of users have reported that their problem persist on cold
booted kernels, which suggests to me that this issue is still collecting
different bugs ;(

Andreas

>
> I for one find it too, tad slow reactions for bug that really fucks up
> laptop users experience with ubuntu.
>
> You think I should go? You know what, progress like this finally MAKES
> me go, if I get too pissed of that I just have to run windows now
> already weeks and monts on end, just because my linux distro will
> probably burn my legs or my hardware. And if solution will not start
> coming out, then I look at the calendar and guess what, I am afraid of
> that next release! Seriously. What if you make my laptop smoke and my
> harddisk park/unpark quickly enough and some third trick somewhere
> else... ? What if something like this just happens to find its way to
> next release? That group of users seems te be minority, who are
> affected, so You can miss it, right? Well, I cannot af...

Read more...

I reported a similar bug (https://bugs.launchpad.net/bugs/375132) which has been marked as a duplicate of this one.
My system is a Toshiba A305-S6894 laptop, currently running Jaunty i386 (but noticed very similar behaviour running 64-bit version).

The easiest workaround I've found is to suspend to ram and then to restore, the fan starts to spin normally after restoring and keeps the system reasonably cool.

dmidecode output is at http://launchpadlibrarian.net/26603190/dmidecode.txt
/proc/acpi/dsdt file is at http://launchpadlibrarian.net/26934547/dsdt.dat

I'm sure the good guys at Canonical are doing the best they can to solve this.

Igor Starikov (idlesign) wrote :

@All:
Could I ask you to be more consistent? Thank you.

All who can, please do https://bugs.launchpad.net/ubuntu/+source/linux/+bug/370173/comments/196

Marcos Jr (junalmeida) wrote :

@Andy
Here are my acpi.

Marcos Jr (junalmeida) wrote :

@Andy
Here are my dmi.

Diego Schulz (dschulzg) wrote :
Diego Schulz (dschulzg) wrote :

There's a line in dmesg output that I've never seen before with other laptops

[ 1.102633] pci 0000:02:00.0: unsupported PM cap regs version (7)

I don't know if this has something to do. Just in case it could be useful, attached is the dmesg output.

Igor Starikov (idlesign) wrote :
Igor Starikov (idlesign) wrote :

I've just verified, kernel.org mainline 2.6.28 (selfcompiled) shows thermal shutdowns for me (HP tx2050eg, 2.6.27 fine, 2.6.28 shutdown, 2.6.30 mainline fine).

Andreas

dlf (dlfg68) wrote :
dlf (dlfg68) wrote :

surprise, surprise.

HP tx2050eg

2.6.27 mainline => thermal shutdown
2.6.27-14-generic ubuntu => stable with 2 burnK7

Guess I'll try if I can git bisect the ubuntu kernel repo, if that makes sense.

Andreas

@Andy: Any way to figure out which Ubuntu changes make 2.6.27-14-generic
work while the mainline kernel does not? I've cloned the jaunty kernel
git, but wonder which tags can I try to bisect?

Andreas

Am Freitag, den 10.07.2009, 19:51 +0000 schrieb Andreas Kostyrka:
> surprise, surprise.
>
> HP tx2050eg
>
> 2.6.27 mainline => thermal shutdown
> 2.6.27-14-generic ubuntu => stable with 2 burnK7
>
> Guess I'll try if I can git bisect the ubuntu kernel repo, if that makes
> sense.
>
> Andreas
>

I installed mainline kernel - linux-image-2.6.27-02062718-generic_2.6.27-02062718_i386
onto Dell Latitude D620. Powered laptop off for a couple of hours.

Booted laptop using mainline kernel linux-image-2.6.27-02062718-generic_2.6.27-02062718_i386

loaded i8k module
fired up gkrellm configured to turn on fans all the time

initiated: stress --cpu 8 --io 4 --vm 2 --vm-bytes 128M

In less than 10 minutes temps had jumped to from 42 to 82 celsius

So mainline kernel causes the same problem on this laptop

Olivier Bilodeau (plaxx) wrote :
Download full text (5.3 KiB)

kernel bug jaunty fan control

gist of below post: fan control problem with jaunty kernel on Thinkpads. Note: My laptop never shuts down on me but the heat generated is definitely a regression from olders ubuntu. Well I thought so until I tested a lot of them.

Generated thinkpad lshw for my thinkpad T61 (file thinkpad-t61-lshw). Running i386 arch.

Attached dmidecode (file thinkpad-t61-dmidecode) and acpidump (file thinkpad-t61-acpidump).

on kernel 2.6.28-13-generic
-----------------------------------

grabbed sensors for normal workload (email, firefox, music, a term or two) check file sensors $KERNEL normal usage
~ 78C

stressed system (with stress --cpu 16 --vm 2 --vm-bytes 128M)
after 10 minutes: ~ 90C (see sensors $KERNEL stress file)

temperature is too hot to have laptop on lap. It is CLEAR that the fans are not spinning at their max speed.

Since I had already enabled the manual fan control workaround mentionned in this post ("options thinkpad_acpi fan_control=1" in /etc/modprobe.d/options) I decided to disengage them to see if temperature would lower. It did.

olivier@boreale:~$ sudo -s
root@boreale:~# echo "level disengaged" > /proc/acpi/ibm/fan

Doing so, the fan speed gradually raise from 3000 to around 5000 in a few seconds (see proc-acpi-ibm-fan linux-2.6.28-13 file).
5 minutes later still under stress, the temp was back at 78C (see sensors $KERNEL stress with manual fan control) and dropped even to 74C later

on kernel 2.6.27-14-generic
-----------------------------------
olivier@boreale:~$ uname -a
Linux boreale 2.6.27-14-generic #1 SMP Fri Jun 5 10:14:59 UTC 2009 i686 GNU/Linux

normal workload: ~76C (see sensors $KERNEL normal usage)

stressed system (with stress --cpu 16 --vm 2 --vm-bytes 128M)
after 10 minutes: ~ 89C (see sensors $KERNEL stress file)

olivier@boreale:~$ sudo -s
root@boreale:~# echo "level disengaged" > /proc/acpi/ibm/fan

Doing so, the fan speed gradually raise from 3300 to around 5000 in a few seconds

5 minutes later still under stress, the temp was at 78C (see sensors $KERNEL stress with manual fan control)

on mainline kernel 2.6.28-x
-----------------------------------
olivier@boreale:~$ uname -a
Linux boreale 2.6.28-02062810-generic #02062810 SMP Tue May 5 19:28:54 UTC 2009 i686 GNU/Linux

normal workload: ~73C (see sensors $KERNEL normal usage)

stressed system (with stress --cpu 16 --vm 2 --vm-bytes 128M)
after 10 minutes: ~ 90C (see sensors $KERNEL stress file)

olivier@boreale:~$ sudo -s
root@boreale:~# echo "level disengaged" > /proc/acpi/ibm/fan

Doing so, the fan speed gradually raise from 3300 to around 5100 in a few seconds

5 minutes later still under stress, the temp was at 77C (see sensors $KERNEL stress with manual fan control)

Warning: below tests performed on a cooler day

on mainline kernel 2.6.30-x
-----------------------------------
olivier@boreale:~$ uname -a
Linux boreale 2.6.30-020630-generic #020630 SMP Wed Jun 10 09:45:40 UTC 2009 i686 GNU/Linux

normal workload: ~62C (see sensors $KERNEL normal usage)

stressed system (with stress --cpu 16 --vm 2 --vm-bytes 128M)
after 10 minutes: ~ 86C (see sensors $KERNEL stress file)

olivier@boreale:~$ sudo -s
root@boreale:~# echo "l...

Read more...

Olivier Bilodeau (plaxx) wrote :
Olivier Bilodeau (plaxx) wrote :
Olivier Bilodeau (plaxx) wrote :
Olivier Bilodeau (plaxx) wrote :
dlf (dlfg68) wrote :

on a dell latitude d620 just tested mainline kernel - linux-image-2.6.28-020628-generic_2.6.28-020628_i386 using the same steps as my previous entry.
In less than 10 minutes using the program - stress the temperature jumped from 47 to 87 celsius
I shut down the stress process before the lap top overheated.

Please let me know if you have some other kind of test you'd like to have run but it looks like the 2.6.27 and 2.6.28 kernels do not play nicely with this laptop.

Marcos Jr (junalmeida) wrote :

Hi all

In my case, the kernel of intrepid (2.6.27) does not have thermal falts. Using some intensive app like a game or stress test, it does not goes over 90 degrees, which seems to be normal for an AMD processor, and the system keeps stable.

I made the same tests on Jaunty (2.6.28) and my cpu goes over 90 degrees, (for my cpu, 95 Celsius is a critial value) and them, when at 95, it shuts down.

I guess that 87 degrees is a normal temperature under full CPU utilisation, but we must check the critical values for our processors.

I've been running Ubuntu on my HP Pavilion dv6000 series laptop for years, starting with 6.04 and upgrading as each new version came out. I never had a problem with overheating until I upgraded to 9.04. In the week since I upgraded, my computer is overheated from the moment I boot. With nothing more than Firefox and Thunderbird open, my CPU temperature is 83 C, and my GPU is 103 C from the start. If I do anything remotely intensive on the PU, like try to watch a video, the system quickly reaches the 95 C critical temperature and shuts down. I've tried everything, from cleaning out the fan (which wasn't that dirty) to placing a cooling pad underneath and even propping up the computer several inches to improve airflow, yet nothing has helped. This is unacceptable.

Jitterro (jitterro) wrote :

Went ahead and tried the new kernel install (2.6.30-020630) to fix this issue and it seemed to ameliorate the problem somewhat, but my laptop still runs hotter than it did in Hardy or Intrepid. The CPU temperatures no longer reach 70C under little to no load, but they will climb that high under a significant load, whereas they did not when I was running Hardy or Intrepid. Haven't experienced a thermal shutdown, but that's probably because I was so paranoid about the temperature of my laptop in the first place. So I'm not sure if the dumps you've requested would help out (from my box). Let me know if you still need those files.

Maurizio (mauriziosilverii) wrote :
Maurizio (mauriziosilverii) wrote :
elp (piotr-kolataj) wrote :

Isn't this circus going on for too long? We're all mature people and there's no place for infantile talks like this one could be, but it's really annoying seeing that this bug wasn't fixed for over a year!
Still I think it's great that somebody is working over it, but maybe it's time to ask itself a question if it can be resolved by the person who currently does. Maybe another team should be assigned to this task...
I believe that a lot of people could thinks just like me - All this situation was funny a long time ago, but now it's a grotesque!
Nevertheless I really appreciate all the work you guys put into this, it's just that I believe the organisation is wrong, so don't be mad at me for these words of my opinion :)

Thank you,
Piotr Kolataj

After I upgraded from kernel 2.6.28-13-generic to 2.6.28-14-generic, my GPU and CPU temperatures dropped dramatically. I'm not sure what was changed, but something affected my GPU/CPU temps fairly dramatically. I'm now averaging 45C on my CPU and 65C on my GPU - nearly 40C lower than under the previous kernel version.

MZBKA (mzbka) wrote :

I'm on an acer 4420 and having this problem too. I'm a linux newbee, but I'd be happy to provide any reports that might help.

With that said, being a linux newbee, it was a little frustrating wondering why my computer would automatically shut off the first 6 times I booted up ubuntu. I hope I haven't damaged my computer, and I can't imagine that, with ubuntu's reputation as the easiest linux dist to use, that nobody has not damaged his hardware. Further, is it true that the only person working on this is trying to figure out why computer overheats after a hibernate reboot, even though everybody who has responded has said that they experience this problem after a clean boot?

I'll wait a couple more weeks, but this bug renders my laptop nearly unusable, and I'll simply have to go back to windows.

MZBKA (mzbka) wrote :

Here are my idle system temps temps:
~$ acpi -V
     Battery 0: Full, 100%
     Battery 0: design capacity 4500 mAh, last full capacity 4312 mAh = 95%
  AC Adapter 0: on-line
     Thermal 0: ok, 63.0 degrees C
     Thermal 1: ok, 60.0 degrees C
     Cooling 0: LCD 0 of 9
     Cooling 1: Processor 0 of 3
     Cooling 2: Processor 0 of 3

I don't use sleep or hibernate because ubuntu of a different bug the prevents computers from waking up after using them.

MZBKA (mzbka) wrote :

I should have added to my last post: The only reason the temps are that "low" is because I have my computer on powersave mode, which limits performance of my laptop to under 50%. I'm using the latest kernel (2.6.30), and have not seen any noticeable difference using 2.6.28-13 or 2.6.28-14.

elp (piotr-kolataj) wrote :

Well that's quite a good question... So Andy, is there any progress?

Igor Starikov (idlesign) wrote :

A few days ago 'battery capacity is low (40%)' notification begun to apper after user logon.
I wonder if there is a connection between that and this very bug.

JupraDude (mark-jupra) wrote :

Just last night I updated to the latest kernel. Before that my laptop was overheating at 180F! Before the second to last update it was at 120-150F(CPU).
It must have killed my battery in the process too, it does not power on from the battery. I pull the power cord and the laptop
shuts down, this started 1 week ago. Heat just killed it. Who is liable for this? I cannot afford a new laptop.

Running latest Ubuntu.
Laptop: HP 4025US

--Mark

elp (piotr-kolataj) wrote :

It's sad but people just quit using Ubuntu and change OS....
Andy, it's OK, but maybe You should just resign of this ticket, and let someone who's capable of handling it?

On Thu, Jul 30, 2009 at 3:43 PM, elp<email address hidden> wrote:
> It's sad but people just quit using Ubuntu and change OS....
> Andy, it's OK, but maybe You should just resign of this ticket, and let someone who's capable of handling it?
>

Other Linux-based OSes also suffer from this problem. Just go on and
try Arch, Fedora, or whatever distro that runs a recent kernel.
It is not an Ubuntu specific problem, is an upstream problem in the kernel.

I don't say it is!
First: There are other OSs beside Linux, in my opinion Windows XP is pretty good!
Second: What you said is another argument for Andy to quit this ticket, and let someone competent do it!

I'm Ruby on Rails programmer if I couldn't solve a problem and I would pretend I can...
Sorry I guess I would end up on the street with no job...

Greetings!

Thomas Pilarski (thomas.pi) wrote :

I can confirm the problem on jaunty with kernel 2.6.30.3. It's an upsteam kernel problem or not a kernel problem. The fan does stays always at level 5 (~3000-3100 rmps) and does not reach the maximum level 7 (3500/3300rpms).

For all ThinkPad T61p users. There is an additional problem with the fan. I had a overheating problem with my notebook last summer while using the NVidia Quadro and CPU. The CPU was scaling down for 5 second every 10 seconds with Windows and Linux because of the high cpu temperature. I got a fan replacement and the rpms increased from ~3300 to ~3500. All was fine for about a year. This summer the level 7 fan speed is at ~3300 rpms as last summer and I have the same problem again.

<noise>

It seems that most people here (in this bug report) are Thinkpad
users, but undoubtedly there are people with overheating problems
[like me] using other brands. Also, it seems that Thinkpad users like
to think Lenovo is the only brand out there.

After Jaunty, I tried running 2.6.31 (Arch Linux) and now I'm on
Karmic (2.6.31-4-generic #23-Ubuntu). The behavior is exactly the same
and the only workaround I've found so far (without mentioning acpi=off
 and thermal.off=1 as kernel boot params) is just to suspend to ram
and then restore. After restoring from suspend-to-ram state, the fan
works as it should (temperature keeps below 53 C, under load). It
would be nice if someone could try this procedure on a Thinkpad.

</noise>

Hello
I also have this problem on ubuntu 9.04 with all updates with a toshiba satellite l300 with the latest "insyde H2O" bios. The fan doesn't work except after a reboot when computer is hot. However, I am able to manage CPU frequency perfectly. I also had this problem under fedora lenidas. That is the reason why I have no choice but using windows and waiting for a new stable version of ubuntu.
Thanks

Its really surprising that a product , although free, that is competing for market share has such a big problem where almost most of the laptops (a thinkpad user myself) have problems with OVERHEATING which could ruin the laptop itself!!

My CPU is running over 100 degrees C and I quit linux for the time being and I am back on windows Vista which is running ultra cool.

Is ubuntu releasing most of its releases without proper testing or is it way too soon? Running a laptop that is running at 100 degrees is hardly an advert. I see this bug has been around for over 2 months and yet we are to find a solution!!?? Is canonical asleep??

@Diego I would have said "oh , there are other brands???" as a reply to your cheeky comment about thinkpad users, but then this is Lenovo (the maker of IDEApads), I ahve nothing to be proud of about them.. if it were back in the IBM days, I would have been more enthusiastic :D

But I guess Good Ol' Diego has a point. This was initially launched as a thinkpad bug and shud have kept as it is, since on thinkpads, there is thinkpad_acpi which manages the fan and that could be the answer here. and the other users might have some diff problems.

On Tue, Aug 11, 2009 at 4:41 AM, avallark<email address hidden> wrote:
> @Diego I would have said "oh , there are other brands???" as a reply to
> your cheeky comment about thinkpad users, but then this is Lenovo (the
> maker of IDEApads), I ahve nothing to be proud of about them.. if it
> were back in the IBM days, I would have been more enthusiastic :D
>
>
> But I guess Good Ol' Diego has a point. This was initially launched as a thinkpad bug and shud have kept as it is,
> since on thinkpads, there is thinkpad_acpi which manages the fan and that could be the answer here. and the
> other users might have some diff problems.

Initially when? *This* thread (#370173) is specific to Acer Aspire
5005 (despite being flooded with echo disengaged > /proc/brain
thinkpad specific nonsense), if we are going to be fussy.
There are half a dozen duplicates for this bug report (only two of
them related to thinkpads) and enough 'evidence' to think the problem
(with very the same symptoms) is NOT specific to Thinkpads.

Am Dienstag, den 11.08.2009, 15:22 +0000 schrieb Diego Schulz:
> On Tue, Aug 11, 2009 at 4:41 AM, avallark<email address hidden> wrote:
> > @Diego I would have said "oh , there are other brands???" as a reply to
> > your cheeky comment about thinkpad users, but then this is Lenovo (the
> > maker of IDEApads), I ahve nothing to be proud of about them.. if it
> > were back in the IBM days, I would have been more enthusiastic :D
> >
> >
> > But I guess Good Ol' Diego has a point. This was initially launched as a thinkpad bug and shud have kept as it is,
> > since on thinkpads, there is thinkpad_acpi which manages the fan and that could be the answer here. and the
> > other users might have some diff problems.
>
> Initially when? *This* thread (#370173) is specific to Acer Aspire
> 5005 (despite being flooded with echo disengaged > /proc/brain
> thinkpad specific nonsense), if we are going to be fussy.
> There are half a dozen duplicates for this bug report (only two of
> them related to thinkpads) and enough 'evidence' to think the problem
> (with very the same symptoms) is NOT specific to Thinkpads.
>

No it's not specific to the Acer Aspire 5005. Somebody clever has merged
practically all "heat-related" problems into this one bug.

Andreas

Hi Diego, I apologise for any bad taste. Lets not ruin this bug.

I am currently doing an experiment by compiling the kernel 2.6.30.1 and I will run that kernel to see if this issue gets resolved. If it does, I will post the steps here, so that anyone could try it. Currently compiling. The 2.6.30 is 54MB zipped!!!

On Tue, Aug 11, 2009 at 11:46 AM, avallark<email address hidden> wrote:
> Hi Diego, I apologise for any bad taste. Lets not ruin this bug.
>
Agreed. I apologise too.
>
> I am currently doing an experiment by compiling the kernel 2.6.30.1 and
> I will run that kernel to see if this issue gets resolved. If it does, I
> will post the steps here, so that anyone could try it. Currently
> compiling. The 2.6.30 is 54MB zipped!!!
>

I also tried with 2.6.30-2, but from the repository
(linux-image-2.6.30-2 package), not by compiling it myself.
It was for an unrelated bug (to confirm that inotify is broken in
2.6.31-5) and incidentally I noticed the same behavior with the CPU
fan.
I didn't had the time and bandwidth (very scarce in the region where I
live, indeed) to try with a 2.6.27 (or previous) kernel.

Hopefully you find a solution. Good luck.

I am _very_ inconclusive.

I booted up on 2.6.30.1 on my thinkpad t61. the initial temperature dangled around 47 to 49.

The fan (output of cat /proc/acpi/ibm/fan) shows rpm of 2900.

then I ran the CPU stress :

stress --cpu 16 --vm 2 --vm-bytes 128M

During the stress the fan as the output of the above remained at 2900(+/- 100) itself. and temperatures (from acpi -V) rose to upto 73 before I killed the stress call.

After killing the fan stayed at around ~ 2900, but the temperatures rreturned to ~49 pretty soon.

I am not sure why the bloody acpi is NOT controlling the fan speed when the CPU temperature is increasing. I tried listening in on the cpu to see if the fan speed is increasing but cudnt tell any difference.

If someone could interpret these results it would be great.

Cheers,
Bijur

@avallark, why build yourself when you can already find packaged mainline
builds here: https://wiki.ubuntu.com/KernelTeam/MainlineBuilds ?
2.6.30.1: http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.30.1/

anyways, I just want to save you some time, you can do whatever you want.

Let us know if 2.6.30.1 is any better.

--
Olivier Bilodeau <email address hidden>

@Oliver, thanks for the link. I wasnt really being a smart ass by sitting and compiling it, i didnt really know that I could simply download this. I am fairly new to ubuntu, have been using debian for years.. so pretty much old habit of sitting and recompiling everytime u need something done.

Thanks for the links, they definitely help. :)

everytime i stress the system, temperature shoots up to 70 and I see fan doesnt increase the speed, but once the stress is removed, the cpu returns to ~50 levels.

@Andreas, I did some more research.

I recently found out that quite recently, they turned off the ability to update our thermal_Zone trip_points. Now when I echo the trip points, I get only 125 degrees for critical set on THM0 and 105 degrees set for critical for THM1. There are NO Passive and NO active trip_points set!!!

Could this be the reason why ACPI is NOT altering the fan speed at all? The fan is perennially in auto mode with speeds ~2900.

elp (piotr-kolataj) wrote :

Let's say this isn't my official opinion ;) but as far as I can see the bug disappeared after upgrading windows manager to KDE 4.3 (previously using 4.2). Maybe Andy won't have to do anything at all...

Marcos Jr (junalmeida) wrote :

I dont have KDE installed, and I guess that most of people that are facing this problem are using gnome too. Still overheating.

On Wed, Aug 12, 2009 at 10:42 AM, elp<email address hidden> wrote:
> Let's say this isn't my official opinion ;) but as far as I can see the
> bug disappeared after upgrading windows manager to KDE 4.3 (previously
> using 4.2). Maybe Andy won't have to do anything at all...
>

Unfortunately that's simply not true. I'm also running KDE 4.3, and
with little effort I can reproduce the problem:

$ sha1sum /dev/urandom

let it running for at least 2 minutes before hitting CTRL+C.
IMHO this has nothing to do with the userland programs (that includes
desktop environments) but the kernel.
The problem persists even running in single user mode.

Recently I tried with a 2.6.27 kernel
[http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.27.29/]
and the behavior was exactly the same.

As I mentioned earlier in other threads, the only workaround that
works for me es to suspend to ram and then restore. After that, the
problem vanishes and the fan just works.

I also tried adjusting the trip points in different ways. Trying to
adjust in a running kernel was not possible.
For me, the only effective way to adjust trip points was as kernel
parameters (eg. thermal.psv=60 thermal.act=45 in the kernel line in
/boot/grub/menu.lst).
But adjusting trip point didn't do any effect.

@Diego,

I tried passing the thermal.act and thermal.psv parameters to the kernel, but they didnt reflect on my acpi settings. This is the setting i have now :

root@EntePC:/proc/acpi/thermal_zone/THM0# cat trip_points
critical (S5): 127 C
root@EntePC:/proc/acpi/thermal_zone/THM0#

this is after the reboot with the kernel parameters. I have a good feeling that the issue is with these trip points itself. Please some take a look at this.

Cheers,
Abdul

abhiroopb (abhiroopb241088) wrote :

So, I've got an update...

Most of the time my HD temperature stays at around 49C - 53C (max is 60C I think). It should be slightly lower I guess but this isn't too bad.

My CPU temp is what causes me headaches! Its usually around 55C - 65C. If I'm doing anything remotely processor intensive then it goes upto 78C and the process starts to stutter. For example, I was playing counter-strike and it played fine for about 10 minutes after which the processor temp hits 78C and the game started slowing down.
__________________
Laptop: HP dv5242ea | Core Duo 1.60GHz | 2GB RAM | 320GB SATA | DVD-RAM Matshita UJ 840S | nVidia GeForce Go 7400 256mb | Intel PRO 3945ABG

elp (piotr-kolataj) wrote :

You're right - for some reason my laptop doesn't overheat that fast as before, anyway the bug is reproductable using stress for 10min. Stil... In KDE 4.3 I guess they had to change CPU overload 'cos I now I can work on ubuntu without my system restarting (in fact it restarts if I copy big files, and so on)

Good luck everybody, I've to admit that it's a relief that I won't have to visit this topic any longer -

elp (piotr-kolataj) wrote :

You're right - for some reason my laptop doesn't overheat that fast as before, anyway the bug is reproductable using stress for 10min. Stil... In KDE 4.3 I guess they had to change CPU overload 'cos I now I can work on ubuntu without my system restarting (in fact it restarts if I copy big files, and so on)

Good luck everybody, I've to admit that it's a relief that I won't have to visit this topic any longer -
unfortunately I believe this bug won't be solved too fast... :( (Thanks to many people)

Thomas Pilarski (thomas.pi) wrote :

I got my fan replacement for my ThinkPad T61p and the temperature is at max. 83°C with Windows and at max. 85°C with Linux 2.6.30.5, while using both cores and the Nvidia Quadro FX570M. Before the replacement the temperature was >= 97°C, before the cpu clocks down. As it is the second fan replacement, it can be an additional problem for some Thinkpad users.

With the 2.6.28-15-generic there is still a cpu downscaling even with the new fan. I have only seen the results and not the highest temperature, as I leaved my desk for a short time and I will not execute it again.

Perhaps someone can try the 2.6.30 or even 2.6.31 kernel?

tarski (guy-laffitte) wrote :

  Hi, everyone.

  Did anybody try to boot with following parameter :

     acpi.power_nocheck=1

  See discussion in bug #354085.

Eric Walstad (ewalstad) wrote :

IBM ThinkPad A31 under load while restoring a large postgresql database

{{{
Sep 9 22:16:12 mentawai kernel: [40329.165064] ACPI: Critical trip point
Sep 9 22:16:25 mentawai exiting on signal 15
}}}

{{{
root@mentawai:~# cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=9.04
DISTRIB_CODENAME=jaunty
DISTRIB_DESCRIPTION="Ubuntu 9.04"
}}}
{{{
ewalstad@mentawai:~$ cat /proc/acpi/ibm/fan /proc/acpi/ibm/thermal /proc/acpi/thermal_zone/THM0/temperature /proc/acpi/processor/CPU/throttling /proc/acpi/thermal_zone/THM0/polling_frequency /proc/acpi/thermal_zone/THM0/trip_points
status: enabled
speed: 0
level: auto
temperatures: 35 22 39 -128 43 23 22 -128
temperature: 35 C
state count: 8
active state: T0
state available: T0 to T7
states:
   *T0: 100%
    T1: 87%
    T2: 75%
    T3: 62%
    T4: 50%
    T5: 37%
    T6: 25%
    T7: 12%
<polling disabled>
critical (S5): 94 C
passive: 89 C: tc1=6 tc2=4 tsp=600 devices= CPU
}}}

$ uname -a
Linux deepthought 2.6.31-10-generic #30-Ubuntu SMP Tue Sep 8 12:33:03 UTC
2009 i686 GNU/Linux

Problem persists. So far I can say I tried almost every possible kernel
available. The only considerable workaround I found is to suspend to RAM and
then restore at least once, after this procedure the CPU fan works as it
should.

I made my A31 overheat and shutdown by loading a PostgreSQL database. Attached is a log of the cpu temperature (C), the fan state, fan RPMs, CPU state and system load average leading up to the event.

Kris (dakaujunk) wrote :

My 2 cents....

I had run certain tests with 3 laptops:

1) Thinkpad T61 with NVidia Quadro 140, Intel Centrino Pro 2.2 GHz on T7500, 3 GB 1067 MHz memory
2) Thinkpad T42 with ATI Radeon Mobility 7500, Intel Centrino Mobile 1.6 GHz, 1.25 GB 333 MHz memory
3) Dell Latitude E6400 with NVidia Quadro 160, Intel Core 2 Duo 2.53 GHz, 4 GB 1067 MHz memory

My observations:

T61 on Mint 7 Live or installed (effectively Ubuntu 9.04) running 2.6.28-11 with NVidia version 173 driver (or 2.6.28-15 running NVidia version 180 driver) - core temp was at the minimum 57C, GPU at 61C, Fan at 3126 RPM and leapt upto 90C, GPU at 85C, Fan at 4259 RPM by launching only Firefox + YouTube (flash) video running fullscreen. Also noticed, that even when idling, the Xorg process consumes a minimum of 27% CPU. No shutdowns, but super-hot (temp-wise) for a laptop.

T61 on Mandriva 2009.1 Live running 2.6.29 with NVidia drivers (dont know the version) - core temp was at a minimum of 36C, GPU at 45C, Fan at 3321 RPM and rises upto 62C, GPU at 58C, Fan at 3740 RPM only by launching Firefox + YouTube (flash) video fullscreen + OpenOffice Impress + super_pi running 7th iteration. When idling, X process consumes only a maximum of 8% CPU. No shutdowns and no super-hot temp.

T61 with M$-Win - core temp is at a min of 38C and rises upto 59C by launching all the above said apps. Not a fair comparison, but this at-least proves the issue is not related to the hardware in use.

T42 on Mint 7 Live or installed (effectively Ubuntu 9.04) running 2.6.28-11 - core temp was at minimum of 39C, Fan at 3468 RPM and rises to 52C, Fan at 3698 RPM under heavy usage. T42 could not be cranked to heavy usage, due to hardware being very old. Xorg process consumes a maximum of 14% CPU. But still the point is overheating does not occur in T42.

E6400 on Mint 7 (effectively Ubuntu 9.04) running 2.6.28-11 - core temp was at minimum of 37C, GPU at 44C and rises to 65C, GPU at 59C under heavy usage. No shutdowns and no super-hot temp. Of course, sensors on Dell shows only 1 CPU temp and the GPU temp (or probably Dell has only 1 sensor). Again, no overheating at all.

Posted just in case, the above info might help anyone.

Any news on this? It would be a really really unpleasant experience to
witness this bug in the final Karmic release. I mean it, real pain.

Is there anything I can do to help?

I echo Diego's sentiment. If there's *anything* I can do to help diagnose and fix this, please feel free to task me. Need me to compile and install experimental and potentially life-threatening kernel patches? No problem!

stlubuntu (jlrbennett) wrote :

Cooling fan does not turn on when it should while in screen save (or powersave screen off) causing an overheat and safety shutdown of laptop at 95 degrees C.

Acer Aspire 5100 laptop running 64-bit Ubuntu 8.04.3 LTS. 1 MG RAM 2 Mhz dual core AMD processor (Turion 64-bit), acpi 0.09-3ubuntu1, acpid 1.0.4-5ubuntu9.3, acpi-support 0.109-0hardy2.

This is a new issue. This machine has been running 64-bit Ubuntu 8.04 since April 2008 and this problem only recently began to occur. I would expect the fan to be turned on when necessary even when in screen saver or monitor powersave off mode to keep the cpu within acceptable operating parameters. This being a new issue is why I am not attributing this to a hardware issue and am wondering if a recent update caused a regression.

My temporary workaround is I installed a cpu temperature monitoring applet which resides on my upper panel and not only displays the current temperature but also sounds a repeating alarm whenever the cpu temp exceed 72 C.

I can reproduce this by leaving the machine alone and allowing it to go into screensaver and after some time the alarms will sound. Once I wiggle the mouse the fan will then turn on and bring the temperature back to acceptable levels.

While using the computer normally, I notice that it usually operates in the mid 50's C and the fan will turn on when it reaches 63 C and bring it back to the mid fifties.

This also occurs while playing a youtube video in firefox (currently running Shiretoko 3.5.4pre.) Again, temporary workaround is to close the tab playing the video and temperature returns to normal operating range.

Updated BIOS to v3.13. Problem persists.

stlubuntu (jlrbennett) wrote :

Update: Currently, I am running 2.6.24-24-generic #1 SMP x86_64 and I did still have 2.6.24-23-generic #1 SMP x86_64 in my GRUB menu from the last kernel upgrade, which clearly was prior to when this problem began to occur. So, I rebooted and selected this older kernel, but much to my dismay, the problem persists. Looks like it might not be a kernel issue.

Also, tried operating on battery only -- problem persists. Also, tried operating with battery removed and plugged in -- problem persists.

Simo L (mohlam12) wrote :

I just bought a new laptop last week, Toshiba U500 with a P8600 2.1Ghz. It came with Vista, and it had a temperature/fan monitor there. Even while running important applications, the fan stays at 50-70% and the CPU doesn't get hot.
However, after I installed Ubuntu 9.04, the fan doesn't work. It stays off for like 3 minutes, then turns on for 3 seconds at max speed. And keeps repeating this pattern. That happened even during its Live CD version, and installation. Once the computer reboots, the fan goes to max. The moment I run Ubuntu, it stops. This is
One other thing to note is that, I tried BACKTRACK, a Slaxware based linux distribution. The problem persists, the fan only works 3 seconds each 3 minutes there too.

Kris (dakaujunk) wrote :

My 3rd cent on this problem :)

After I reported my findings on Sep 14, I tried Fedora 11 and installed it on my T61. Installed the NVidia kmod (kernel version 2.6.30) and had the temps at

Core1 - min 41C, max 54C
Core2 - min 43C, max 55C
GPU - min 59C, max 67C
Fan - min 2921 rpm, max 3324 rpm

But once I did an entire yum update (900+ packages) and rebooted after 30 mins cooling, the core temps shot up to 60C min for the cores and went to a max of 72C within 5 minutes of usage. This gives a hint that the problem is not unique to Ubuntu.

I dont know if my rant was helpful to anyone. Would be happy to help anyway I can!

xq19space (tuxlux) wrote :

Having same problems with notebooks overheating running Ubuntu 9.04 jaunty.

Hpdv6000 runs at 41C in XP boot, runs at 73C in jaunty boot. These temps are at idle.

Acer 3680 runs at 45C in Vista boot, runs at over 80C and shuts down in jaunty boot. Even with chillpad.

MALIBAL Satori runs at 37C in XP boot, runs at 68C-76C in jaunty, Must run with chillpad and small personal desktop fan to control heat. Even with extra fans we must monitor temp readings constantly. Most application temps are fine with the extra fans, however, we use some resource grabbing topographic software at the office and it pumps up the CPU usage, then the temps go through the roof. We have none of these issues while booted into XP. We don't even need a chillpad when booted into XP. The MALIBAL Satori is a gaming notebook and comes pre-configured with magnificent cooling features out of the box. Nevertheless; Ubuntu Jaunty renders them useless. (Talk about a 'pisser.)

Another issue is the implementation of voip communication applications. Skype skyrockets the temperatures to critical overheating levels even with all the extra fans running. We unistalled Skype because of overheating dangers. Even Ekiga gets a temp boost thats somewhat intolerable. We can only use it for quick spurts before we have to terminate the application. None of these issues exist when booted into XP.

stlubuntu (jlrbennett) wrote :

Recently, I bought a aerosol can of compressed air (used for cleaning electronics.) I sprayed a finely directed burst of air in one of the side airvents of the laptop and a cloud of dust came out the other vent. LIkewise, I sprayed another burst of air in the other side airvent and again a cloud of dust came out the other side. Now the laptop cpu operates about 20 degrees C cooler and has not exhibited the problem since.

Appears to be solved for me at this point. However, I do plan on hanging on to Hardy as others appear to be having this problem in Jaunty. I probably will wait for 10.04 LTS Lucid Lynx to upgrade. For me, this appears to have been caused by excessive dust obstructing airflow.

stuchy (honza-stourac) wrote :

Hi everybody,

I have same problem.
Ubuntu 9.04 x86_64
Toshiba Satellite U500-10L
Core2Duo@2100
Ati mobility radeon HD4570
2GB ram

hope there will be quick solution for this...

If there is something more I could do - complete some more information - tell me.

gcc (chris+ubuntu-qwirx) wrote :

I cannot reproduce this problem on an Acer Aspire 5315 with Jaunty, using either the stock 2.6.28-11-generic kernel or the updated 2.6.28-15-generic.

/proc/acpi/thermal_zone/TZ01/temperature seems to be very inaccurate (only ever says 45'C or 50'C) and I'm ignoring it. I installed lm-sensors and watched the output. When the system is idling it runs at 46-47'C. Running burnMMX it goes up to 57-58'C. The fan runs constantly in both cases on a low speed that is barely audible.

Perhaps there is a different hardware revision or a number of laptops have been made with poor quality or badly applied thermal paste (remember this is an extremely cheap and nasty laptop), or the heatsink is prone to get dusty?

cheers, chris.

Paul C. Bryan (pbryan) wrote :

gcc: I think there are far too many anecdotal works-fine-on-Windows-but-overheats-on-Linux reports to be dismissed as heatsink, fan or thermal paste issues...

Simo L (mohlam12) wrote :

My laptop is less than a week old, so it should be something other than a heatsink/thermal paste issue.
I think it's hardware related, because I have many friends running Ubuntu 9.04 on their laptop without any problems.

stuchy (honza-stourac) wrote :

gcc: don't agree that it is issue of some number of laptops - though acer aspire 5315 is quite cheap, there are reported more models of various brands with same symptoms.

Simo L: agree

I'm not an expert but imho it is some bug somewhere in Ubuntu or maybe there is something wrong in BIOS(es)?

As I said few comments before, I have Toshiba Satellite U500-10L and I updated BIOS with no success and also I tried older versions of Ubuntu (8.04) but there was same problem as with 9.04 - fan was always off and after a few minutes of idle time laptop was very hot (much more than I ever see in Vista) so I had to reboot in Vista where after while everything was OK again...

@stuchy:

Have you tried what I suggested before in this thread about suspending to
RAM and restore? I've got a Toshiba laptop too, and my only workaround
currently is to suspend at least once in order to get the cpu fan to work
normally after restoring.
I reboot ocassionally, and only if necessary (eg after kernel upgrade).

Can you describe what happens after restoring from suspend-to-ram state,
please?

Hi Paul, Simo, Stuchy,

That's fine, but when I saw this bug and realised that I had the same hardware, I spent an hour specifically installing Jaunty on it in the hope of helping to track down this bug - but I was unable to reproduce it. Why? Am I using the wrong methodology? Am I running a different kernel or software? Is my Aspire magically special? Was it my Ubuntu T-shirt that made it behave?

I'm trying to help here. if we have the same hardware and the same software then in my view that rules out either hardware or software as the cause of the problem. I've seen several Launchpad bugs where people with apparently the same problem on different hardware have piled in and reported it, creating a confusing mess that no dev will ever bother to read, and therefore it will never get fixed.

Would it be productive to open a new bug report specifically for the Acer Aspire 5135 _and no other hardware_ so that we can work on a reproducible test case that doesn't depend on whose Aspire you try it on, so that the devs can investigate it properly and we can get it fixed before Koala is released?

Cheers, Chris.

Igor Starikov (idlesign) wrote :

Dear, gcc

If you do not consider your notebook magically special, so you should not consider others'.
Please take into account that this very bug was initially about Aspire 5005 strangely hot under fresh 9.04, other bugs marked as duplicates could be (and are as you can see) about other laptops, but they all are linked together so as to strike the main problem (and it is supposed to be the same problem with different chipsets and vendors).
However, you certainly may report a new bug about Aspire 5135.

Jagmax (wateranimal) on 2009-10-05
Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Jagmax (wateranimal) on 2009-10-05
Changed in linux (Ubuntu):
status: Fix Committed → In Progress
Download full text (3.2 KiB)

Hi all,

How many of you are experiencing this meltdown problem on a laptop with AMD/ATI graphics and the radeon or fglrx driver?

Long story short: the following steps have finally fixed it for me (9.10 beta, HP EliteBook 8530p with Intel Core 2 Duo and "ATI Technologies Inc Mobility Radeon HD 3650"):
 - install the xorg-driver-fglrx package manually (in Kubuntu the restricted drivers thing won't work), probably you're running that driver already
 - remove or rename /etc/X11/xorg.conf
 - run "sudo aticonfig --initial" (writes a new xorg.conf, and if I'd reboot my fresh 9.10 install now, I'd just get a blank screen instead of kdm)
 - the fix: "sudo aticonfig --acpi-services=off"

This does NOT change the newly written /etc/X11/xorg.conf file, but now I didn't get a blank screen after rebooting AND the heat issue is a thing of the past! Well, in my case at least.

Long story:
I've wrestled with this incredible heat problem since 9.04 came out and reverted back to 8.10 in despair. Symptoms were:
 - the CPU fan always kept running at high speed, without any system load whatsoever, and with the CPU power saving active ("ondemand" CPU governor)
 - the air being blown out was always hot to really hot
 - happens both in X as on the console with xorg not running
 - powertop proves that the CPU really isn't doing much at all (97% of the time in low power state)
 - reboot into Windows XP or Ubuntu 8.10 and everything is back to normal

Now, on to the interesting stuff: the fact that my CPU was idling all the time always made me believe that the video chip was doing weird stuff (CPU + video share the same heatsink & fan by the way). Today I wanted to see if this was fixed in 9.10 beta, but the installation CD turned my laptop into an oven and after installation it appeared that the issue hadn't improved over 9.04. It didn't look good using the default radeon driver.

Next step: try fglrx of course. I did, and after rebooting X just crashed while loading (blank screen). So I started googling around and came across this bug: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/314600 titled "[HD 3650] fglrx versions newer than 8.543 cause system hang and panic". One of the participants mentioned that his temps were back to normal so I immediately did the same steps he had done.

Temps before:

$ sudo acpi -t
Thermal 0: ok, 16.0 degrees C
Thermal 1: ok, 50.0 degrees C
Thermal 2: ok, 64.0 degrees C
Thermal 3: ok, 29.6 degrees C
Thermal 4: ok, 63.0 degrees C
Thermal 5: ok, 30.0 degrees C

Temps now:

$ sudo acpi -t
Thermal 0: ok, 16.0 degrees C
Thermal 1: ok, 36.0 degrees C
Thermal 2: ok, 45.0 degrees C
Thermal 3: ok, 27.6 degrees C
Thermal 4: ok, 47.0 degrees C
Thermal 5: ok, 30.0 degrees C

I suspect that "Thermal 1" is the GFX chip, which is causing so much additional heat that it makes the CPU cores (2 and 4?) a lot hotter as well.

I'm happy! I hope at least some of you have a similar hardware combination and can now start using Ubuntu's latest and greatest.

Still, it's a fix, not a solution, as it's still unclear to me what the cause really is. The --acpi-services=off switch obviously disables something which makes power consumption of the v...

Read more...

Gonzalo (gonzpk) wrote :

First of all (as I've read as much as I could of previous posts), I've got here by Googling my laptop model+overheat+ubuntu 9.04.
Tried the method on the post previous to this one, but my graphic card isn't supported by fglrx (at least the main version), so when I type "sudo aticonfig --initial", (after installing fglrx, I'm not THAT stupid), the output is "aticonfig: No supported adapters detected"

Here are my symptoms, and as much info as I know (sorry, newbie here)

Laptop=Gateway T-1625
CPU=AMD Turion 64 X2 TL-60
Graphic Card=ATI Radeon X1270
OS=Ubuntu 9.04 (32 bits) ,kernell=2.6.28-15-generic

Symptoms: Overheat, fan always on, somtimes it shuts down, tried CPU Freq Scaling, but even at th lowest freq (800 MHz), the fan's always on.

I know that this thread is becoming massive, cause the symptoms are very generic, but it looks like my case is related to having AMD/ATI combo on my laptop

Simo L (mohlam12) wrote :

Pascal,
I did what you said. When I write aticonfig --initial, it tells me that xorg is not found.
I reinstalled XServer (with a new xorg), and when I write that command again, it tells me : Segmentation Fault.
I then reinstalled XServer, followed steps on this page :
http://tan-com.com/posts/technology/fix-ubuntu-904-ati-driver-issue
It doesn't want to boot again. I think it's because of a damaged xorg file. I have no backup.
When I write : dpkg-reconfigure xserver-xorg, it only askes about my keyboard, no graphic pilots. So it doesn't fix it. I tried to edit the xorg file manually with the sudo nano.. nothing.
My ubuntu still doesn't boot (it gives me a console), any ideas?
PS: My graphic card is ATI 4570.

Simo L (mohlam12) wrote :

In the fourth line above:

I reinstalled ATI DRIVERS not XSERVER.

Gonzalo (gonzpk) wrote :

@Simo
Yesterday I messed up with my configuartion too.
Try this
http://www.ubuntugeek.com/ubuntu-tiphow-to-removeinstall-and-reconfigure-xorg-without-reinstalling-ubuntu.html
At least, it restart your configurations to default, instead of console

Simo L (mohlam12) wrote :

@Gonzali
I followed the three steps in the link above (Remove, Install, Reconfigure).
Once I removed the xorg, it refuses to install. It says no such package. I probably have to download it again, and I think that it can't be done just by the boot console.
Thanks anyways

Gonzalo (gonzpk) wrote :

It happened to me too, I forgot to tell you that you should be connected to the internet , for the final step (I did it by LAN)

Hi Simo,

If you can connect your laptop using a UTP network cable, you should be able to get a working network connection by running the following command:

sudo dhclient eth0

With a little luck you'll then be able to apt-get xorg again. Good luck. Nowadays xorg on Ubuntu can start without any config file whatsoever so if you still can't get any graphical output something is surely out of order elsewhere.

A little safer than removing packages is using the --reinstall option, e.g.

sudo apt-get install --reinstall <package name>

Good luck!

Pascal

timoun (timoundiep) wrote :

I still have this problem (overheat then fan at maximum speed witch never switch of) on ubuntu karmic. I also had this problem with fedora and mandriva.

timoun (timoundiep) on 2009-10-18
Changed in linux (Ubuntu):
status: In Progress → Fix Committed
status: Fix Committed → In Progress
Gonzalo (gonzpk) on 2009-10-18
Changed in linux (Ubuntu):
status: In Progress → Fix Committed
status: Fix Committed → In Progress
Igor Starikov (idlesign) wrote :

Using
Linux version 2.6.31-14-generic (buildd@rothera) (gcc version 4.4.1 (Ubuntu 4.4.1-4ubuntu8) ) #48-Ubuntu SMP Fri Oct 16 14:04:26 UTC 2009

sensors:
acpitz-virtual-0
Adapter: Virtual device
temp1: +42.0°C (crit = +97.0°C)

k8temp-pci-00c3
Adapter: PCI adapter
Core0 Temp: +47.0°C

sensors after stress (--cpu 16 --vm 2 --vm-bytes 128M):
acpitz-virtual-0
Adapter: Virtual device
temp1: +66.0°C (crit = +97.0°C)

k8temp-pci-00c3
Adapter: PCI adapter
Core0 Temp: +69.0°C

The bug seems to be fixed.
If you are willing please make the same tests under Ubuntu 9.10.

Marcos Jr (junalmeida) wrote :

This bug seems to be solved for me on Ubuntu 9.10 Karmic Koala 64 bits.

Sorry to disappoint you, but it's not.

I've had 2.6.31-14-generic shut down with overheating just last week.
(about 15 minutes with 4 threads thumbnailing images).

OTOH, this bug should be closed, and reopened by users experiencing
problems, as it contains obviously multiple different problems (somebody
thought it funny to merge anything thermal-related into one bug), so it
will never be fixed.

Andreas

On Sat, Oct 31, 2009 at 2:39 PM, MarcosJr <email address hidden> wrote:
> This bug seems to be solved for me on Ubuntu 9.10 Karmic Koala 64 bits.
>
> --

Not for me. The behavior is the same since 8.04. Also was the same
with every kernel upgrade I tried while 9.10 was in development.

I still can reproduce the overheating problem very easily. After a
cold boot the fan never starts to spin, it would work as expected only
after suspending to RAM and restoring, at least once. Otherwise
temperature can rise very rapidly to ~78 C

@Diego Schulz:

The fact that my laptop has fully working fans and still overheats while yours has fan control problems sugests to me that we have different problems, so I wonder why our tickets have been merged?

Andreas

Diego Schulz <email address hidden> schrieb:

>On Sat, Oct 31, 2009 at 2:39 PM, MarcosJr <email address hidden> wrote:
>> This bug seems to be solved for me on Ubuntu 9.10 Karmic Koala 64 bits.
>>
>> --
>
>Not for me. The behavior is the same since 8.04. Also was the same
>with every kernel upgrade I tried while 9.10 was in development.
>
>I still can reproduce the overheating problem very easily. After a
>cold boot the fan never starts to spin, it would work as expected only
>after suspending to RAM and restoring, at least once. Otherwise
>temperature can rise very rapidly to ~78 C
>
>--
>Ubuntu 9.04 laptop overheat and shutdown
>https://bugs.launchpad.net/bugs/370173
>You received this bug notification because you are a direct subscriber
>of a duplicate bug.

I upgraded to 9.10

The fan stays off and the temperature goes up to about 99C, then the fan starts turning at max speed for 2 or 3 seconds and stops. After I check, the temperature reads 96, and starts going up again until 99-100, the fan turns back on for 3 seconds, and so on.

timoun (timoundiep) wrote :

I still have this problem with 9.10 final 32 bits.

It looks like this bug was simply ignored for this release. There are
a number of "known bugs/issues" listed here and there* , but this one
doesn't seem to have enough relevance to have an entry somewhere. At
least I couldn't find one.

https://wiki.ubuntu.com/KernelTeam/ReleaseStatus/Karmic
http://www.ubuntu.com/getubuntu/releasenotes/910

Hint: it's not being ignored only for this release, it's being ignored
completely.

This is a bug that has been running for multiple releases now. It's a
catch all for anything thermal related. For my personal sub-issue it's
an unsolved problem Jaunty.

Andreas

On Wed, 2009-11-04 at 23:25 +0000, Diego Schulz wrote:
> It looks like this bug was simply ignored for this release. There are
> a number of "known bugs/issues" listed here and there* , but this one
> doesn't seem to have enough relevance to have an entry somewhere. At
> least I couldn't find one.
>
> https://wiki.ubuntu.com/KernelTeam/ReleaseStatus/Karmic
> http://www.ubuntu.com/getubuntu/releasenotes/910
>

Hi there,

I've been having same experiences as most of you - overheating my notebook under linux even whet it was left idle. Under Vista there was no problem. Recently my problem was fixed by updating BIOS to latest version and adding "acpi.power_nocheck=1" option to boot line.

Now I can run under linux with no problems. Thought notebook is still little warmer than when using Vista, but I don't think that it is more than 5°C.

Distro that I am using is: Ubuntu 9.10 x86_64
Notebook model is: Toshiba Satellite U500-10L

hope this will be useful for somebody...

PS: what I think about this is that manufactures should be more aware that there are also other OS than Windows, so their BIOSes should be valid according to given standards.

Jan

Chris Schanck (chris-schanck) wrote :

Just a data point. On my Dell D830, temps would go past 90C with the fans barely limping along under Karmic Desktop.

By accident, I tried an install of Karmic Server. NO ACPI, so no suspend/resume etc., but it works perfectly now. temps stay below 70C.

Longer story at http://designbygravity.wordpress.com/2009/12/01/how-linux-almost-drove-me-to-windows-xp/

I tried stuchy's suggestion of updating to the latest BIOS (mine was more than a year old), and adding acpi.power_nocheck=1 to my kernel boot line. Unfortunately it didn't do much in my case, if at all.

The only thing which permanently fixes the issue on my HP EliteBook 8530p (Radeon HD3650 video), is using the fglrx driver, running "sudo aticonfig --acpi-services=off", and rebooting. That results in a really noticeable difference, so if acpi.power_nocheck=1 did anything it certainly wasn't much. I had high hopes for it though because stuchy was also using ATI graphics.

Bummer. I guess this means no fix for Lucid Lynx either.

Bishop (bishopw) wrote :

Also happening to me since I upgraded my HP Pavilion laptop from 8.04 to 9.04. It has an NVidia GPU.

Overheats and hard shuts down when doing all kinds of different stuff - compiling Java code in Eclipse, running Boinc projects, watching a Youtube video in Firefox...

Here's some other system info in case it helps:

> uname -a
2.6.24-18-generic #1 SMP Wed May 28 19:28:38 UTC 2008 x86_64 GNU/Linux

> cat /proc/cpuinfo
processor : 0
vendor_id : AuthenticAMD
cpu family : 15
model : 104
model name : AMD Turion(tm) 64 X2 TL-60
stepping : 2
cpu MHz : 2000.186
cache size : 512 KB
physical id : 0
siblings : 2
core id : 0
cpu cores : 2
fpu : yes
fpu_exception : yes
cpuid level : 1
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt rdtscp lm 3dnowext 3dnow rep_good pni cx16 lahf_lm cmp_legacy svm extapic cr8_legacy 3dnowprefetch
bogomips : 4004.34
TLB size : 1024 4K pages
clflush size : 64
cache_alignment : 64
address sizes : 40 bits physical, 48 bits virtual
power management: ts fid vid ttp tm stc 100mhzsteps

processor : 1
vendor_id : AuthenticAMD
cpu family : 15
model : 104
model name : AMD Turion(tm) 64 X2 TL-60
stepping : 2
cpu MHz : 2000.186
cache size : 512 KB
physical id : 0
siblings : 2
core id : 1
cpu cores : 2
fpu : yes
fpu_exception : yes
cpuid level : 1
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt rdtscp lm 3dnowext 3dnow rep_good pni cx16 lahf_lm cmp_legacy svm extapic cr8_legacy 3dnowprefetch
bogomips : 4000.39
TLB size : 1024 4K pages
clflush size : 64
cache_alignment : 64
address sizes : 40 bits physical, 48 bits virtual
power management: ts fid vid ttp tm stc 100mhzsteps

ceg (ceg) on 2010-04-15
description: updated
ceg (ceg) on 2010-04-15
description: updated
ceg (ceg) wrote :
ceg (ceg) wrote :
ceg (ceg) on 2010-04-15
description: updated
ceg (ceg) on 2010-04-15
description: updated
ceg (ceg) on 2010-04-15
description: updated
ceg (ceg) on 2010-04-15
description: updated
ceg (ceg) on 2010-04-15
description: updated
ceg (ceg) on 2010-04-15
description: updated
ceg (ceg) on 2010-04-15
description: updated
ceg (ceg) on 2010-04-15
summary: - Ubuntu 9.04 laptop overheat and shutdown
+ laptop overheats and suddenly shuts down/off
ceg (ceg) on 2010-04-15
description: updated
ceg (ceg) on 2010-04-16
description: updated
ceg (ceg) on 2010-04-16
description: updated
gcc (chris+ubuntu-qwirx) wrote :

ceg, would you PLEASE stop making lots of tiny edits to the descriptions of bugs? I have 15 emails about this bug in the last 24 hours, all describing the change of a few words, all made by you. I'll unsubscribe if this carries on.

I have same problem with my PHILCO PHN 15008 with ubuntu 10.04 b2 and 9.10. Mandriva doesn't has problem. When I use windows seven or only BIOS system or Mandriva 2009, everything is normal. If I load Ubuntu 9.10 or 10.04, the cooler turn off.
I used acpi.power_nocheck=1 and now the cooler turn on, but with very low rotation.
I use cored 2 duo + pm45 + ich9m. In the ubuntu installation, the same problem appeared.
Before use this flag, in normal situation with 20c ambient, core 2 duo was 90+ celsius with stress app (stress -c 2). After used this flag, i had 60~70 celsius. The critical is 97c and if the system getting there, the system (probably BIOS) turn off my computer.

ceg (ceg) on 2010-04-21
description: updated
ceg (ceg) on 2010-04-26
description: updated
ceg (ceg) on 2010-04-27
description: updated
ceg (ceg) wrote :

@Pascal Vandeputte and others using ati's propriatary fglrx driver:

Does "acpi.power_nocheck=1" AND "acpi_osi=linux" work with your hardware, if you're not using the fglrx driver?

Zork (zork) wrote :

I am using ubuntu on my laptop since version 8 and never had a heat problem till now i have upgraded to 10.04 .

The laptop gets overheated and will shutdown ............

Anyone have some tips to look at ?

Zork (zork) wrote :

I forgot to tell which hardware.....
IBM W500 is my laptop with this problem.

mulambo (onslaughtishere) wrote :

Reporting this issue as well, I do not know how to apply these patches, I own the Lenovo X200 running 10.04 64-bit.

Flavio Capobianco (norkov) wrote :

Same problem for me, running Lucid with the latest kernel from mainline PPA. My laptop's an aspire 5542. This is my bug report: https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/595335

Daniele Dellafiore (ildella) wrote :

I can confirm on dell xps 1530 with nvidia 8600m GT, lucid and 256 series driver.

This just happen with an external monitor attached, powermizer is locked to performance level 2 and cpu quickly geoes to 90 degress. As in comment #59.

Disabling the external monitor, I get back to situation you see in the screenshot attached and cpu gets cooler.

just in case, monitor is attached with VGA cable.

ybaruss (yabruss) wrote :

Hello everybody,

This bug look to be strong regarding number of comment related !!

For the little storie, I actually have a Toshiba laptop with AMD Turion(tm) 64 X2 Mobile Technology TL-60 on it and experienced different problems with Ubuntu 8.04, 8.10 and now 10.04. I have to say that people under Ubuntu are performing marvelous job because problems are solved while time passing ... thanks to them all !

For this "Over temperature spurious shutdown" problem I have to say that I have it since Ubuntu 8.04 and still exist on 10.04. I would advise to toggle off temperature check into temporary kernel used on Ubuntu install CD because it can be very annoying while no risk to burn CPU during Ubuntu installation stage.

After taking time to read all those comments on this bug, I would also vote for a fan management issue because I confirm to have nothing into /proc/acpi/fan and that sensors-detect provides no fan sensor for my hardware. So how can the OS manage fan optimization with no input ?!?

I am very interested to have feedbacks on investigation status on this problem and could provide informations if needed.

Abdelrahman (ahamino) wrote :

I have this same problem with my laptop since, 9.04 ... Whenever I start working it hard .. for instance running a virtual machine, or something, the laptop overheats and shuts down automatically... notice that it runs fine on "Windows 7"..

my laptop

hp tx2510
AMD Turion Ultra X2 RM-80, 2.1 GHz, 64 bit
ATI HD3200

I tried to investigate this a bit, gone through installing powernow-k8 (didn't make much of a difference) .. lm_sensors is not able to see the board temperature sensors unless i disable the acpi in grub ... (acpi=off)

I want to help investigate this problem, in order to solve it!!!

ybaruss (yabruss) on 2010-09-24
Changed in linux (Ubuntu):
status: In Progress → Confirmed
ybaruss (yabruss) wrote :

May be related with Bug #96592

ybaruss (yabruss) wrote :

May be related with Bug #563156

ybaruss (yabruss) wrote :

May be related with Bug #508674

ybaruss (yabruss) on 2010-10-17
description: updated
Cody Moniz (unyonotachi) wrote :

Lenovo X61 Tablet - Linux tomato 2.6.32-24-generic #42-Ubuntu SMP Fri Aug 20 14:24:04 UTC 2010 i686 GNU/Linux

For a while, I've been using a workaround that would "echo level 7 > /proc/acpi/ibm/fan" every login to keep it maxed out - unfortunately this would not be high enough while running anything 3D, and my computer would often overheat (to dangerously high, lap SCORCHING levels) and shut down.

My new workaround involves "echo level disengaged > /proc/acpi/ibm/fan", and that boosts my fan levels from ~4500 to ~5700. Thats a lot of missing RPM.

For reference, how to do this hack (based on http://www.thinkwiki.org/wiki/How_to_control_fan_speed)

sudo apt-get install thinkfan
sudo echo "options thinkpad_acpi fan_control=1" > /etc/modprobe.d/thinkpad_acpi.conf
sudo echo "#!/bin/bash" > /etc/init.d/thinkfan-ctrl.sh
sudo echo "echo level disengaged > /proc/acpi/ibm/fan" > /etc/init.d/thinkfan-ctrl.sh

dmiller309 (dmiller309) wrote :

I was able to completely solve this computer on my Studio 1555 by doing the following:
1. Run the command "sudo amdcccle" (no quotes)
2. Under the PowerPlay page (left), uncheck the box "Enable PowerPlay"
3. Click "OK"
The problem was that the graphics card on my computer was overheating, not the CPU (I kept a CPU log to be sure of this). If you have an ATI card similar to mine but don't have the ATI settings manager (amdcccle), you can download it from the ATI site: http://support.amd.com/us/gpudownload/Pages/index.aspx

ybaruss (yabruss) wrote :

Thanks dmiller309 but your solution doesn't work for me. I don't think this bug is about GPU over temperature problem, it seems more due to bad temperature reading that lead to critical shutdown.

I was expecting to have details on what went wrong within system logs when critical shutdown occurs but the only related error is:
[ 14.623699] k8temp 0000:00:18.3: Temperature readouts might be wrong - check erratum #141

There is no evidence of who causes the shutdown. I saw that there is AMD K8 (my and other bug subscribers configuration) problem reported here: http://lm-sensors.org/wiki/Devices

ybaruss (yabruss) wrote :

I am also suspected a fan control problem because when CPU is being used at full speed, fan just go for a little burst but could do it longer in order to cool a bit more.

For me the directory /proc/acpi/fan is empty and /proc/acpi/thermal_zone/*/trip_points has no active trip points (those starting with "AC") then there is no ACPI-based fan control on my system (https://wiki.ubuntu.com/DebuggingACPI). Then I am wondering, if not ACPI, what is governing fan management ?

Can those that are concerned by this bug confirm or not if they have a ACPI-based fan control on their system ?

arr (alan-drop-share) wrote :

I have the same problem with Acer 5670. Fan never runs fast enough. XP does not have this problem.
"acpi.power_nocheck=1" AND "acpi_osi=linux" has no effect.
Running 10.10, 2.6.35-22-generic #35-Ubuntu SMP Sat Oct 16 20:36:48 UTC 2010 i686 GNU/Linux

lalimacefolle (lalimace) wrote :

with an acer 5315 and linux mint based in debian, the overheating is stille there.

However, after closing the computer (and putting it in sleep mode) when it returns, the fan works fine: no oeverheating anymore...

Changed in linux (Ubuntu):
assignee: Andy Whitcroft (apw) → nobody
Changed in linux:
status: Unknown → Confirmed
Changed in linux:
importance: Unknown → Medium
Antoine COTTEN (tonio-cotten) wrote :

I can confirm this bug still exists in Ubuntu 10.10 (and 10.04).

I have a Toshiba U500-119 and the issue mainly comes from a buggy DSDT table. Vendors are totally unable to compile their DSDT table correctly for non-Windows OS.

After fixing errors in my DSDT table and recompiling it (then include it in my kernel...) I could use my laptop in normal conditions with a working fan.

Please find my DSDT table in attachment, What I needed to do was replacing "L0r" by "And" in PowerResource methods. There are still some warnings but I don't know how to fix them.

The workaround was found here and can be applied to any buggy DSDT tables :
http://art.ubuntuforums.org/showthread.php?t=1473317&page=3

This bug is extremely severe, it was kicked in 2009 and is still not solved, even if it applies to many laptops.

Greya (grreya) wrote :

I had almost the same issue with the only difference that it didn't shut down, but every single program was very-very-very slow and nothing helped.

Computer: DELL Studio 1558 laptop (purchased about 6 months ago)

The error I saw at every boot-reboot-shutdown was:
"Critical temperature reached (110C), shutting down."

Laptop behaviour: everything very slow, hdd temp=42-50 C, ACPI temp = 110C (I monitored it in the gnome-panel applet "computertemp")

System: I was running Ubuntu 10.10 and this bug didn't appear immediately after upgrade (clean reinstall from 10.04).
Last week I moved to Debian 6.0 (squeeze) due to my personal preferences and also hoping this bug to dissapear - but it didn't!

Today I've found the fix: BIOS Update! Just performed the update (I had BIOS version A04 - updated to version A10)
Now, everything looks and feels normal and smooth again! (computertemp shows "ACPI temp=27C")

I found 2 ways to do it:
1) under Linux - through libsmbios package (explanations given for Debian, not Ubuntu, though)
http://www.ducea.com/2007/08/27/dell-bios-firmware-updates-on-debian/

2) via Windows 7 Live CD (not Windows XP, cause the DELL Studio 1558 BIOS doesn't support WinXP and you will have a Blue Screen of death with acpi.sys error!)

I used the second way, cause there is no bios update file for linux for this laptop - why? explained here
http://answerpot.com/showthread.php?1534809-Studio%201558%20BIOS%20updates%20not%20available
("Quite a few desktop and notebook systems don't have a method to update BIOS that's supported by firmware-tools. :-( In particular, this model has its Windows-executable BIOS in a package format that firmware-extract doesn't recognize.")

Hope it will help!

Eloi Espanol (eloiespanol) wrote :

Hi Greya,

I'm having the same problem you had, but in my case the laptop do shut
down. I also have a Dell studio 1558 (bought about 8 months ago) and I
recently installed Debian Squeeze. At first it worked fine, with no
overheating problems. The only thing I did is setting up the wireless
(installing the drivers) and some automatic updates for the packages.

I followed your recommendations and I upgraded the system BIOS from v4
to v11 from Windows 7, but the problem still persists. I can keep the
laptop running if I don't load it with tasks, but when I start working
with 2 or 3 apps at the same time it shutts down.

I don't know why the system began having these problems given that the
fresh installation of Squeeze worked apparently fine.

I googled searching for this, but the closest report to my problem I
found is yours.

I have a dual boot with Windows 7 and windows works goods, so I
discarded a hardware issue (the laptop is also pretty new). Before
Debian Squeeze I had Ubuntu Lenny (10.04) and it also worked good, so
I guess is a problem with Debian.

Did you have the same problem again after upgrading the BIOS? Have you
any clue about what the problem could be?

I'll keep researchig about it, but any idea you could have would be
very helpful to me.

Thank you

Greya (grreya) wrote :
Download full text (3.3 KiB)

Hello Eloi Espanol,

I will describe in details my situation after BIOS upgrade (hope it can help):

After upgrading BIOS I had the sensors applet showing ACPI temperature (110 C) again, but it was different:
- Before upgrade: it was 110C all the time since booting and the laptop was laggy and slow all the time.
- After upgrade: it booted okay, but in one hour or two, when I was working in some "heavy" program (VMware Workstation, Photoshop) - I heard my fan starting to work loudly and I saw again temp-applet showing ACPI 110C.
But! I think this applet doesn's show the temperature quite right - cause there are only two temperatures it showed me - 27C or 110C (and it didn't change for any other throughout the day).

So, I looked through the System Tools > Log File Viewer: and I didn't find the message I saw before BIOS upgrade "Critical temperature reached (110 C), shutting down." Just another message kinda "ACPI ... 110C" (didn't save it).
I also saw this in the syslog:
          fan PNP0C0B:00: registered as cooling_device0
          ACPI: Fan [FAN0] (off)
          fan PNP0C0B:01: registered as cooling_device1
          ACPI: Fan [FAN1] (off)
And I thought maybe something was wrong here, but laptop fan worked OK, since I heard it working and changing the speed sometimes. And now, when everything's fine - this message is still there and the fans work fine.

So, I thought about two variants left to try: either the laptop fans were in dust (I didn't clean it after buying) or maybe it's something connected with VMware Workstation processes (there are many of the running at boot and running all the time when VMware isn't even in use). Cause when I tried to remember when this laggy problem started to occur on my previous system - Ubuntu 10.10 (the one I had before installing Debian, and before Debian I had 3 or 4 previous versions of Ubuntu and it worked OK) - I remembered I had recently upgraded VMware Workstation to the last version (v.7.1.3-324285.).
Also, just after I installed Debian 6.0 - I worked on my laptop for one or two days without having this problem - it took me to finish tuning up my system and installing everything I need. One of the last programs I installed was exactly the last version of VMware. And here the laggy problem began (as fas as I remember)!

So, I tried both:
1) I thouroughly vacuum-cleaned the fans (laptop shut down of course :)
2) AND, I downgraded VMware Workstation to previous version 7.1.2-301548.
And the problem's gone... I worked in Photoshop for couple of hours with large files and everything worked fine, I didn't work in VMware though. But it's already two days I don't have this problem again. And after cleaning the fans - I almost don't hear it working, it's not loud at all - there were pretty much dust in there.

Maybe all this is too much detailed, but I don't really know what helped to solve my problem - maybe it was vmware processes , or maybe it was the dust..

OH, and another note! I upgraded BIOS to v10, not v11. When I was googling this laggy problem, I once read in some bug report that people who upgraded their DELL BIOS to v11 had this problem occur again (on Windows 7 though) - and the solut...

Read more...

Eloi Espanol (eloiespanol) wrote :

Hi Greya,

Thank you very much for your detailed comments about it, they're really helpful!

When I upgraded the BIOS to v11, I tried leaving the laptop on for some time without running any applications and it apparently worked just fine (although I didn't check the temperature). It was when I started running some applications that it shut down.

Given that before installing all the apps I wanted to have the system worked good for a couple of days, I think it might be something I did, maybe some applications I installed (compiz, cairo-dock or any other) or something in the process of installing the drivers for the wireless (I installed hybrid_wl and the r8168 modules and that also required me to change the initramfs file).

I'm not an expert in Linux, it's a hobby for me (I like this sort of things) so sometimes, to make things work (for instance, installing the wireless modules) I just follow the steps I read about without really understanding what I'm exactly doing. Hence, I guess I probably did something wrong without noticing.

I think I'm going to start a fresh installation to see what the problem could be. I'll start just re-installing the base system, check if it doesn't overheat for a couple of days, then I'll install the wireless modules, check for a couple of days, etc. I think going step by step will help me find out what's wrong. And I'll also clean the fans!

I think I'll also check the temperatures on Windows 7 to make sure the BIOS upgrade to v11 won't cause me any trouble.

Once again, thank you for sharing your experience. I'll keep the list updated about how is everything going, maybe I can find out what package is the problem.

Greya (grreya) wrote :

Thanks, Eloi :)

Yeah, I think the best way to find out is a step-by-step installation anew. I just don't have time for this and if you do - you could probably help many people!

I hope my situation will help someone too.. for vmware processes could be the cause - I'm not a linux expert neither, just advanced user, but I still don't know how to test vmware startup modules to check if they really were the problem..

If someone of the debian development reading this - I'm ready to try and test these things out, just tell me how :)

Good luck!

Todd Smith (td-smith) wrote :

I am running a fully updated Ubuntu 10.10 and this issue is **A SERIOUS PROBLEM**. It appears as though the fan never goes to its max speed. It should be noted that this issue isn't as bad as it was under 9.10, but still very annoying.

Eloi Espanol (eloiespanol) wrote :

I did some research on this issue and I got very confused. As I was looking for the possible reasons, I began finding many issues that could be related:

- May it be a problem with the sensors? I found that the sensors-detect command didn't find any supported sensors in my system. the "sensors" command just show two temperatures 26.8º and 0.0ºC.

- May it be ACPI? I read about some problems with ACPI, but I didn't get anything clear about those readings. Too many issues were involved and it could be anything.

No need to say that I don't know much about linux , so I finally gave up with Debian Squeeze and I tried to go back to Ubuntu, which was working good, with no issues. But, what a surprise, after installing it from scratch, the system overheated and shut down!

I let y laptop cool down and started it again to install the wireless drivers and keep googling about the reasons of the overheat. I got the wireless set up and then a message from Ubuntu's Driver Manager pop up showing the possibility to install the Driver for Broadcom's wireless and ATI's privative FGLRX driver.

I read in several forums that the overheat problem could come from the GPU and not the CPU, and until the moment, after installing the FGLRX driver it seems that the system doesn't overheat anymore (at least not to the point of shutting down).

I'll keep updated about whether the FGLRX driver solved the problem or not. If everything keeps stable, I'll try to reinstall Squeeze and then checking if the FGLRX solves the problem in Debian too.

Crossing fingers!

bfoo (bfoo) wrote :

Same here on my Lenovo X201s (5413FFG, Intel(R) Core(TM) i7 CPU L 640 @ 2.13GHz). It started within three to four of days ago. I received several updates (including new kernel images). So it is hard to trace back. Switching back to an older kernel does not help. My feeling is, that it started when I received some ACPI related packages.

A bug similar to my symptoms is filed at RedHat: https://bugzilla.redhat.com/show_bug.cgi?id=675433

This problem is very serious. I'm not able to use the system for work.

ceg (ceg) on 2011-04-30
description: updated
Whisperity (whisperity) wrote :

For those who are using Acer Aspire 5315 or 5720 and has this problem, here is a possible solution.
You need to put the MEMPAT script to a PATH directory (/usr/bin suggested). Start up the acer_fan.sh in terminal with root access, and follow the instructions appearing.

mdascanio (mdascan) wrote :

Also seeing this problem on a Toshiba Satellite L515 with Ubuntu 11.04, insyde H20 BIOS (latest version)
Things to note:

1) It wasn't happening on 10.10, only after upgrading to 11.04
2) If I wait until the CPU heats up and then reboot, the fan starts working at full speed and continues to do so until shutdown, even with temperatures around 31 C. I have tried the "wait 30 seconds inside GRUB after cold start before booting the OS", but it didn't work (guess it wasn't enough temp buildup for the fan to start)

madbiologist (me-again) on 2011-05-22
tags: added: karmic lucid maverick natty
madbiologist (me-again) wrote :

@mdascanio - Does the solution in comment #352 work for you? What about the "acpi.power_nocheck=1" and "acpi_osi=linux" boot options?

Please attach the output of sudo dmidecode.

@bfoo - What version of Ubuntu are you using? And what versions of acpi-support and acpid?

madbiologist (me-again) wrote :

@bfoo - Also, what version of udev are you using?

Bob (paul-crapouillou) wrote :

Affects me on my Zotac ZBOX HD-AD02 (AMD Fusion).
It was working fine under 10.10; this bug appeared when switching to 11.04.

mdascanio (mdascan) wrote :

@madbiologist: Tried "acpi.power_nocheck=1" and "acpi_osi=linux", and the situation improved. Now the fan works at a low speed, but at least is cooling better. I'm attaching the output of dmidecode.

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: Confirmed → Won't Fix
madbiologist (me-again) wrote :

There is a lot of information in the comments of this bug report describing how and when this bug occurs on Lucid, Maverick and Natty. This information, and particularly it's interconnectedness, would be lost if people filed new bugs.

@Bob - Given that you have AMD (ATI) graphics the example /etc/X11/xorg.conf given in this bug's description should help. Alternatively you can a try the profile-based power management method and then set either high, medium or low profile. See comment #19 in bug 557829. See http://www.phoronix.com/scan.php?page=news_item&px=ODIyOA for further info. Please let us know if either of both of these methods work or not.

Olcay Korkmaz (olci) wrote :

Lastest bios updates solves fan issue on Aspire 5315, Aspire 5320, Aspire 5715Z, Aspire 5720, Aspire 7320, Aspire 7720

Changed in linux:
status: Confirmed → Expired
madbiologist (me-again) wrote :

For anyone with AMD/ATI Radeon graphics hardware, better (than what I mentioned in comment #368) power management for AMD/ATI Radeon R600 and newer hardware is finally available in the upstream 3.11 linux kernel. The first release candidate (3.11-rc1) of the 3.11 kernel is available at http://kernel.ubuntu.com/~kernel-ppa/mainline/ and instructions on how to install and uninstall it are available at https://wiki.ubuntu.com/Kernel/MainlineBuilds

To use this power management for the AMD/ATI Radeon you will need to select it at boot by adding radeon.dpm=1 to your GRUB kernel boot options as described at https://help.ubuntu.com/community/Grub2/Troubleshooting#Editing_the_GRUB_2_Menu_During_Boot

madbiologist (me-again) wrote :

See the blog post at http://www.botchco.com/agd5f/?p=57 for further information.

Unlike the older dynpm method, the new DPM method works with multiple monitors and there shouldn't be any flickering as the performance level changes are handled by dedicated hardware rather than the driver.

madbiologist (me-again) wrote :

I neglected to mention that to use the new power management feature on R700 and newer hardware (other than APUs) requires installation of the latest AMD graphics microcode (ucode) files to /lib/firmware/radeon
These are available at http://people.freedesktop.org/~agd5f/radeon_ucode/
Get the version ending in "smc".

R700 basically means Radeon HD 4000 series and newer. However note that according to Wikipedia and http://xorg.freedesktop.org/wiki/RadeonFeature/#index5h2 the Mobility Radeon HD 4225/4250 is a RV620 chip, so anyone with one of those shouldn't need the updated firmware files.

christopher (twigs1a) wrote :

Problem solved!!!!!!

I updated the BIOS to the latest version for my Laptop. Ubuntu and another Lynix based OS works fine now.

madbiologist (me-again) wrote :

For anyone with AMD/ATI Radeon graphics hardware, kernel 3.11.0-1.4 (based on the upstream 3.11-rc4 kernel) is now available in Ubuntu 13.10 "Saucy Salamander". Also, kernel 3.11.0-2.5 is in Saucy-proposed, which is based on the upstream 3.11-rc5 kernel, which has some bugfixes for the new DPM method.

Jean Jordaan (jean-jordaan) wrote :

This issue is still ongoing; looks like https://bugs.launchpad.net/ubuntu/+source/linux/+bug/751689 is the current version of it.

madbiologist (me-again) wrote :

Jean Jordaan - Which version of Ubuntu are you using? Can you paste the output of uname -srm. Please also attach the output of lspci -vvnn and sudo dmidecode

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.